2007-2014 PrestaShop 

NOTICE OF LICENSE

This source file is subject to the Open Software License (OSL 3.0)
that is bundled with this package in the file LICENSE.txt.
It is also available through the world-wide-web at this URL:
http://opensource.org/licenses/osl-3.0.php
If you did not receive a copy of the license and are unable to
obtain it through the world-wide-web, please send an email
to license@prestashop.com so we can send you a copy immediately.

DISCLAIMER

Do not edit or add to this file if you wish to upgrade PrestaShop to newer
versions in the future. If you wish to customize PrestaShop for your
needs please refer to http://www.prestashop.com for more information.

@author PrestaShop SA <contact@prestashop.com>
@copyright 2007-2014 PrestaShop  SA
@license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
International Registred Trademark & Property of PrestaShop SA

Release Notes for PrestaShop 1.6
--------------------------------
####################################
#   v1.6.0.8 - (2014-06-20)  #
####################################

	Fixed bugs:

	[-] FO : Fix bug #PSCFV-12189, module can be disabled
	[-] FO : Fix bug #PSCSX-2025 again, group by empty color for textures
	[-] FO : Fix bug #PSCSX-2418, no thickbow when only one image
	[-] FO : Fix bug #PSCFV-12204, bad deletion of cart rule    Conflicts:    	themes/default-bootstrap/js/cart-summary.js

	[-] BO : Fix bug #PSCSX-2455, lang not valid
	[-] BO : Fix bug duplicate manufacturers, follow up https://github.com/PrestaShop/PrestaShop/pull/1892
	[-] BO : Fix bug #PSCSX-2382, could not chosse an accessory
	[-] BO : FixBug #PSCSX-2440
	[-] BO : Fix bug #PSCSX-2419, could not force id
	[-] BO : Fix bug #PSCSX-2431, bad admin_themes.js loading
	[-] BO : Fix #PSCSX-2432, Display theme info from DB if no XML
	[-] BO : Fix Invalid date Exception on AdminCustomers
	[-] BO : Fix bug #PSCFV-12205, checked property for specific product selection

	[-] CORE : #PSCSX-2438 undefined conts

	[-] WS: Fix #PSCSX-2344 preg_match(): Compilation failed

	Improved/changed features:

	[*] BO : fix strip switch
	[*] BO : strip label & checkbox for bootstrap/chrome


####################################
#   v1.6.0.7 - (2014-06-17)  #
####################################

	Fixed bugs:

	[-] Installer : Fix the name of the language    PT-BR is Portuguese of Brazil's, PT-PT is Portuguese of Portugal

	[-] FO : Fix bug #PSCSX-2388, fancybox on visible thumbs    Conflicts: themes/default-bootstrap/js/product.js
	[-] FO : product-list-colors bad cache id
	[-] FO : Fix bug #PSCFV-12176, var not sanitized in stores.js
	[-] FO : Fix bug #PSCSX-2236, bad check on addJs array
	[-] FO : Fix bug #PSCSX-1730, could not translate customization upload inputs
	[-] FO: Improve performance of some SQL requests #PSCSX-2321
	[-] FO : Fix display issue #PSCSX-2229 on homeslider
	[-] FO : Fix bug #PSCFV-12140, color status in front
	[-] FO : Fix bug #PSCFV-12140, could not see order status color
	[-] FO : Fix bug #PSCSX-2299, followup https://github.com/PrestaShop/PrestaShop/commit/14374814021310677909b17ea1ba52cace6d3756
	[-] FO : Css fix
	[-] FO : Fix bug #PSCSX-2216, uniform conflict with radio inputs
	[-] FO : Fix bug #PSCSX-2193, cms category description
	[-] FO : no View larger with default img
	[-] FO : Fix #PSCSX-2208, undefined
	[-] FO : Fix bug #PSCFV-12113, duplicate phone in stores address
	[-] FO : Fix bug #PSCSX-2184 when !PS_BLOCK_CART_AJAX
	[-] FO : Fix bug #PSCSX-2025, no texture in product-list
	[-] FO : Fix bug #PSCSX-2142, bad state selected
	[-] FO : Correct displaying issue #PSCSX-2091
	[-] FO : Fix #PSCFV-12006, erratic cart rules highlight
	[-] FO : product.js Fix amount discount and display prices without tax (customer group)
	[-] FO : Fix bug #PSCSX-2090, bad discount value when TI on shopping cart
	[-] FO: css and not js folder.
	[-] FO : Fix bug #PSCSX-2083, no oos message
	[-] FO : Fix bug #PSCFV-12066, Cart carrier not updated correctly when carrier selected before account create
	[-] FO : Fix bug #PSCSX-2066, nb of item per page badly set from cookie
	[-] FO : Css fix #PSCSX-2037
	[-] FO : Fix bug #PSCSX-2037, stock label when allow oosp
	[-] FO : Category image resize FF
	[-] FO : Fix bug #PSCFV-11922, bad carrier default selection
	[-] FO : Fix bug #PSCSX-2014, bad carrier in OPC
	[-] FO : fixed global sass file, charset is now taken in account on compilation
	[-] FO : Fix bug #PSCFV-12040, google map in https
	[-] FO : Meta priceCurrency fixed #PSCSX-1991
	[-] FO : Fix css bug #PSCSX-1929
	[-] FO : Fix bug #PSCSX-1956, USA adress format
	[-] FO : Fix bug #PSCSX-1935, notice when using header.php
	[-] FO : Wrong cache on active ul on index
	[-] FO : Fix bug #PSCSX-1930, could not delete banner in live edit
	[-] FO : Bug #PSCSX-1678, Concert price in Voucher table
	[-] FO : Fix bug #PSCFV-12003, robots.txt without unactive languages
	[-] FO : Fix bug #PSCFV-12001, previous category badly selected
	[-] FO : #PSCSX-1889 Css fix
	[-] FO : order-carrier.js "acceptCGV" method needs "msg_order_carrier" translation which shall depend on PS_CONDITIONS rather than PS_ORDER_PROCESS_TYPE
	[-] FO : Fix bug #PSCSX-1828, showall button
	[-] FO : Fix bug #PSCSX-1693, missing infos in stores
	[-] FO : FixBug #PSCSX-1857
	[-] FO : Corrected vouchers order details displaying issues #PSCSX-1583
	[-] FO : FixBug #PSCSX-1505
	[-] FO : Correcting touch based device issues #PSCSX-1621
	[-] FO : Category badly instantiated on product page
	[-] FO : Corrected #PSCSX-1621 ajax-cart touch screen issue
	[-] FO : Fix bug #PSCSX-1607 missing order message in OPC
	[-] FO : Fix bug #PSCSX-1717, active
	[-] FO : Contact form Exception with ip2long
	[-] FO : Fix css bug #PSCSX-1427
	[-] FO: Fix controller detection when url rewrite is on

	[-] BO : Fix bug #PSCSX-2410, bad date for bought products
	[-] BO : fixed undefined help variable for light display
	[-] BO : fixed radio/checkbox for AdminProduct
	[-] BO : Fix bug #PSCSX-2402, states for warehouses
	[-] BO : Could not create shop
	[-] BO : fixed links with accented characters in contextual help
	[-] BO : Fix bug #PSCSX-2380, bad domain trim
	[-] BO : $.scrollto not working
	[-] BO : Fix bug #PSCFV-12180 no scrollto + norms
	[-] BO : Fix export theme path check
	[-] BO : Filemanager prevents null byte
	[-] BO : fixed contextual help language
	[-] BO : Fix bug #PSCSX-2354, divider in option list
	[-] BO : Fix error message on same variation
	[-] BO : Fix bug #PSCSX-1821, shop url when themeconfugurator not enabled
	[-] BO : contextual help toc fix
	[-] BO : Fix bug #PSCSX-2038, bad cars in json in combinations loading
	[-] BO : Fix bug #PSCSX-2038, open base_dir restrict in AdminProductsController
	[-] BO : Fix bug #PSCFV-12120, unit price ratio during import
	[-] BO : Bad AdminFeatures orderby
	[-] BO : Could not associate image to shop
	[-] BO : Fix bug #PSCSX-2185, cms preview
	[-] BO : Fix #PSCSX-2087
	[-] BO : Fix bug #PSCSX-2174, addresses fixtures
	[-] BO : Fix bug #PSCSX-2120, admin features orderby
	[-] BO : Fix bug #PSCSX-2120, manufacturers orderby
	[-] BO : Fix bug #PSCSX-2120, suppliers order by
	[-] BO : Missing compagny in manufacturers
	[-] BO : Fix bug #PSCFV-12089, do not set name as default required field for import
	[-] BO : Fix bug #PSCFV-12030, false positive on extract return when pclzip
	[-] BO : Fix bug #PSCSX-2047, chmod on contact attachment
	[-] BO : Footer github link updated
	[-] BO : Bug #PSCSX-2101, Display error when modules aren't updated
	[-] BO : added error management when trying to install a theme without write permissions
	[-] BO : Fix bug #PSCFV-12091, default shop reset on employee pwd renewal
	[-] BO : Typo fixed: "sprinf" instead of "sprintf"    When saving email translations with an invalid module name, the error was displayed with *sprinf* function instead of *sprintf*, hence triggering a PHP Fatal Error
	[-] BO : Fix link to edit customer in group member list
	[-] BO : Fixed position updating issue #PSCSX-2026 PSCSX-1873    A change made on March 24th prevented to update the positions correctly in some tabs (like "Attributes/Values". The $position_group_identifier variable would be always populated with 1 or 0 instead of the $this->position_group_identifier value.    This will make the "id" HTML attribute wrong and methods such as ajaxProcessUpdateAttributesPositions() to fail. Fixed it by keeping the change made on March 24th and using getValue() instead of getIsset().
	[-] BO : Add module blacklist for host mode
	[-] BO : Fixed module action buttons issue #PSCSX-2015
	[-] BO : Fix feature #PSCFV-12041, choose products categories defaukt display
	[-] BO : Fix bug #PSCSX-2028, company for suppliers addresses
	[-] BO : Bug #PSCFV-11515, Supply order autocompletion is now sorted correctly
	[-] BO : Fix bug #PSCSX-1692, import success
	[-] BO : renderShopList, reselect disabled group
	[-] BO : Fix #PSCSX-2003, prevent shop url lik category image rwrite
	[-] BO: use addJquerylugin (autosize)    (And correct the filename, cause jquery.autosize.min.js doesn't exist !)
	[-] BO: use addJqueryPlugin (colorpicker)
	[-] BO : AdminTranslations could not copy in configuration_lang
	[-] BO : Performance    its not necessary to count Products per Manufacturer here. ( $get_nb_product passed to false )
	[-] BO : Fix bug #PSCFV-12034, modules removed from Files check
	[-] BO : Fix bug #PSCFV-11166, orderslips in multishop
	[-] BO : Install module button style changed #PSCSX-1959
	[-] BO : fix left and right column display    Hi,    The problem is :    For pages that doesn't exists in 'ps_theme_meta' tables ( like front controller in new module, or add in override/controllers ),    $colums['left_column'] and $colums['right_column'] value is null, so the columns aren't displayed even if $this->display_column_left or $this->display_column_right is set to true.    $column test resolve this problem.    Thanks
	[-] BO : Fix bug #PSCSX-1686, manufacturers address errors
	[-] BO : Fix bug #PSCSX-1908, index rewrite
	[-] BO : Correct abandonned carts issue #PSCSX-691
	[-] BO : Fix bug #PSCSX-1780, Unable to generate delivery slips without invoices
	[-] BO : Fix bug #PSCSX-1779, PS_INVOICE not taken into account
	[-] BO : Fix bug #PSCFV-9880, no overrides pdf TR in FO
	[-] BO : Fix bug #PSCFV-11989, address required fields for warehouses
	[-] BO : Images options not checked
	[-] BO : Bug #PSCSX-1859, AdminTabs - change default link of helperlist
	[-] BO : Fix bug #PSCSX-1850,bad  price display precision
	[-] BO : Fix bug #PSCSX-1831 customer_message readed
	[-] BO : FixBug #PSCSX-1706
	[-] BO : FixBug #PSCSX-1561 - Customer service order
	[-] BO : Fix bug #PSCSX-1671, return on confirm in AdminTaxes
	[-] BO : Fix bug #PSCSX-1682, could not filter with comma
	[-] BO : Fix bug #PSCSX-1687, html tags in description for AdminTracking
	[-] BO : #PSCFV-11918, possible bad carriers display IN BO
	[-] BO : Fix bug #PSCFV-11930, could not import state
	[-] BO : FixBug #PSCSX-1668
	[-] BO : Undefined offset
	[-] BO : Fix bug #PSCSX-1659, could not update conf key PS_GROUP_FEATURE_ACTIVE && PS_COMBINATION_FEATURE_ACTIVE
	[-] BO : FixBug #PSCSX-1471
	[-] BO : Bug #PSCFV-11936, Escape HTML char for Return Message
	[-] BO : FixBug #PSCSX-1741 - Wrong fields label
	[-] BO : FixBug #PSCSX-1762 - Add more test file
	[-] BO : FixBug #PSCFV-11946
	[-] BO : fix fatal when adding a theme without directory
	[-] BO : FixBug #PSCSX-1569
	[-] BO : Bug #PSCSX-1767, Display correct number of messages
	[-] BO : fix a display when updating a module with a file upgrade
	[-] BO : fix an issue when installing a theme directly from the disc

	[-] CORE : Fix bug #PSCSX-2307, bad language_code in ps_lang < 1.5.6.1
	[-] CORE : Fix bug #PSCSX-2361, bad closing tag in ajax requests
	[-] CORE : Fix bug #PSCFV-12169, bad call to Product::cleanPositions
	[-] CORE : Fix bug #PSCSX-2307, again lang detect conflict
	[-] CORE : fix mails copy for translation #PSCSX-2133
	[-] CORE : Fix bug #PSCFV-12147, bad sql join in getAttributesColorList
	[-] CORE : Fix #PSCSX-2256, add ui.spinner in media dependancies
	[-] CORE : Fix bug #PSCSX-2110, bad check on country active
	[-] CORE : external js badly called
	[-] CORE : Follow up #PSCSX-2039, parsing regex in admin TR
	[-] CORE : Fixed module install buttons display
	[-] CORE: Fix feature #PSCFV-10463, enable check for displaying best sellers page
	[-] CORE : Fix bug #PSCFV-11584 bad cache on setNoMultishipping
	[-] CORE : Fix bug #PSCFV-11298, context in single shop on module install
	[-] CORE : Fix bug #PSCFV-11157 part 2
	[-] CORE : Partial fix for #PSCFV-11157 Default cache attribute problems in multistore
	[-] CORE : Partial fix for #PSCFV-9955, products restriction
	[-] CORE : Fixed php issues Cart::duplicate
	[-] CORE : Fix bug #PSCSX-1961, Db::getInstance method can return server id > total servers
	[-] CORE : Fix bug #PSCFV-9517, check voucher validity before order validation
	[-] CORE : Fix bug #PSCSX-1899, short tags in overrides
	[-] CORE : Fix bug #PSCSX-1898 Missing trailing slash
	[-] Core: Fix cart rule discount price in db when total_products < total_shipping with free shipping #PSCFV-11702
	[-] CORE : could not disable overrides
	[-] CORE : FixBug #PSCSX-1834 - modified / deleted address used during order
	[-] CORE : FixBug #PSCSX-1485 - Wrong orders date information
	[-] CORE : Fix non recursive module install override
	[-] CORE: Fix bug #PSCSX-1676, bad id shop for PS_DELIVERY_NUMBER

	[-] MO : blocklayered - Correct filtering issues #PSCSX-2030
	[-] MO: Product comments comparison    Bug when delete a product from comparator when this have reviews
	[-] MO : Correct 'show all' issue #PSCSX-2030
	[-] MO: ratingValue fixed value    Fixed ratingValue

	[-] LO : Fix bug #PSCSX-2348, html in text mails
	[-] LO : #PSCSX-2009 fix taxRulesGroup in nl.xml

	Improved/changed features:

	[*] Installer : hover on print login information

	[*] FO : better small screen quickview handling #PSCSX-2029
	[*] FO : Better schema.org support
	[*] FO :  Add more schema.org attributes
	[*] FO : Typo    // double strip tag
	[*] FO : Fix #PSCSX-1703, enable configuration for defering scripts
	[*] FO : Duplicate line    Unnecessary line in CSS.
	[*] FO : better footer css #PSCSX-1985
	[*] FO : Fixed button-medium exclusive hovering - Fix PSCSX-1206
	[*] FO : Bug #PSCSX-1844, Display correct reduction amount and percentage

	[*] BO : updated bootstrap to latest version
	[*] BO : admin_theme js + admin themes controller js
	[*] BO : fixed UI themes
	[*] BO : Change KPI from Net Profit per Visitor to Net Profit per Visit
	[*] BO : fixed help.js home + nav
	[*] BO : fixed top-bar menu
	[*] BO : fix footer overflow + update schemes
	[*] BO : UI fixes for addon's login, payments, themes
	[*] BO : Fix _PS_CACHING_SYSTEM_ selection
	[*] BO : Prevent nyll bytes in upload name
	[*] BO : updated github link on login page
	[*] BO : viewport scale
	[*] BO : update fontAwesome 4.1 (sass src)
	[*] BO : help behavior + update fontAwesome 4.1
	[*] BO : help (fontAwesome)
	[*] BO : added admin.js to help popup.
	[*] BO : help
	[*] BO : fix hidden class for file upload safari/pc
	[*] BO : HelperFrom, improved html type behavior
	[*] BO : new help section and some wording for the Carriers page.
	[*] BO : #PSCSX-2087
	[*] BO : Add use of tabs in AdminPatters
	[*] BO : Introduce tabs feature in HelperForm
	[*] BO : New Theme Page is fully working
	[*] BO : Introduce tabs feature in HelperOption
	[*] BO : Fix #PSCFV-12070, bind filter on enter key only
	[*] BO: better wording for modal_not_trusted.tpl.
	[*] BO : display order summary without taxes if needed
	[*] BO : Better dashtrends kpi #PSCSX-1928
	[*] BO : Scroll to module upload - fix PSCSX-1932
	[*] BO : added a timeout to footer display - fix PSCSX-1806
	[*] BO: updating labels and descriptions, and made a string easier to translate, for AdminShopController.
	[*] BO : helper list - date filters are now localized - fix PSCSX-1874
	[*] BO : Difference between abandonned cart and non ordered is now available
	[*] BO : Fix feature #PSCSX-1890, enable country on loc. pack loading
	[*] BO : Add untrusted modal window on module install
	[*] BO : Improvement #PSCSX-1830
	[*] BO: Bug #PSCSX-1606, Add links on KPI
	[*] BO : Bug #PSCSX-1669, Add search form in AdminSearch page
	[*] BO : Product Pack Refacto - fixes/updates
	[*] BO : string updated in AdminStockManagementController.
	[*] BO : Product Pack refacto
	[*] BO : clearer labels for request_sql
	[*] BO : Bug #PSCSX-1763, Display bought label in module list
	[*] BO : better string for modules/configuration_bar.tpl
	[*] BO: updating labels and descriptions for Import form.tpl

	[*] CORE : Load all theme xml
	[*] CORE: Add new XML with all native modules (for all countries)
	[*] Core : Revamp profiling - fix PSCSX-1933    https://www.dropbox.com/s/hmp4ri5dqrea6e1/Capture%20d%27%C3%A9cran%202014-04-25%2017.24.06.png
	[*] Core: Bug #PSCSX-1891, Introduce Trusted and Untrusted xml files
	[*] Core : Add addons API call for isModuleTrusted()
	[*] CORE: Allow override of DisplayEnableLink in Module class and child class

	[*] MO : blocktopmenu - Better category slide up/down under mobile devices

	[*] PDF : #PSCSX-2023 Add custos to Delivery Slip

	Added Features:

	[+] BO : help update
	[+] BO : contextual help
	[+] BO : Added ID on nav/subnav - fix PSCSX-1836
	[+] BO : Improvement #PSCSX-1426
	[+] BO : Product Pack Refacto

	[+] LO : Added Hungarian installer
	[+] LO : Added Norwegian (Bokmål) installer


####################################
#   v1.6.0.6 - (2014-04-10)  #
####################################

	Fixed bugs:

	[-] Installer : BR was missing from the timezones in the installer

	[-] FO : Made ribbon NEW and SALE clickable on product page and quickview    Conflicts:    	themes/default-bootstrap/css/product.css
	[-] FO : Fix #PSCFV-11235, transitionIn is fancybox 2
	[-] FO: Bad redirection on add to cart in quick view without PS_BLOCK_CART_AJAX
	[-] FO : Fix bug #PSCFV-11457, missing available_ values in queries
	[-] FO : Fix bug #PSCFV-11178, tpl and ajax not truncating at same car
	[-] FO : Fix bug #PSCSX-1599, hide blocklayered in accordion
	[-] FO : Fix css bug #PSCSX-602
	[-] FO : Fixed display issues #PSCSX-1529
	[-] FO : FixBug #PSCSX-1550
	[-] FO : Fix bug #PSCSX-886, #PSCSX-812, bad availability display
	[-] FO : Fix css bug #PSCSX-757, #PSCSX-1100, #PSCSX-852
	[-] FO : FixBug #PSCSX-1473 - Category image problem
	[-] FO : css fix #PSCSX-1402
	[-] FO : Css fix #PSCSX-1406
	[-] FO : Fix #PSCSX-1434, remove OutOfStock itemprop
	[-] FO : Fix bug #PSCSX-1441, bad displayimage on color pick
	[-] FO: redirect to http when SSL is disabled
	[-] FO : fixed products properties for best sellers
	[-] FO : Fix css bug #PSCSX-1355
	[-] FO : Update discount table on combination change
	[-] FO : removed cart rule description from the name in the blockcart
	[-] FO : Fix bug #PSCSX-1285, carriage returns in description_short
	[-] FO : 1.5 theme on opc free order
	[-] FO : Bug #PSCSX-1228, hide cart step when loging in
	[-] FO : Fix bug #PSCSX-1233, bad column count on payment
	[-] FO : Bug #PSCSX-1216, Change z-index for promo
	[-] FO : Fix #PSCSX-1165, display correct Group reduction price
	[-] FO : fixed bug #PSCFV-8805 Store contact Postcode and city are displayed in wrong order
	[-] FO : Fix bug #PSCSX-1127, retro compat for writeBookmarkLink

	[-] BO : Fix bug #PSCFV-11505, bad tax display on finalPrice
	[-] BO : Fix bug #PSCFV-10539, memcache_connect
	[-] BO : Fix bug #PSCFV-11124, Feature cleanPositions order by position
	[-] BO : Fix bug #PSCFV-11124, bad feature position import
	[-] BO : Bug #PSCSX-1542, Fix range testing for carrier wizard
	[-] BO : fix a display issue on adminmodules
	[-] BO : Recommended Modules display fix
	[-] BO : change permissions when installing a module from zip
	[-] BO : Copy all mail files for every lang on first translation/modification
	[-] BO : FixBug #PSCSX-1431 - Missing configuration option for modules
	[-] BO : fixed bug #PSCSX-938 - SAV attachment display in thread
	[-] BO : Fix bug #PSCSX-1374, undefined
	[-] BO : #PSCSX-1436, Add text to addon login
	[-] BO : Translatable string in Configuration error
	[-] BO : Language iso code should be lowercase
	[-] BO : strip dots in KPI key name
	[-] BO : fixed bug #PSCSX-1199 - Admin Customer Threads are not showing customer messages
	[-] BO : catch potential error from modules called in ajax requests
	[-] BO : FixBug #PSCSX-1134 - No position for Cms pages
	[-] BO : FixBug #PSCSX-1009 - Force json content with json request header
	[-] BO : FixBug #PSCFV-11740 - Inactive language not duplicated for attributes
	[-] BO : fix an issue when updating carriers status
	[-] BO : FixBug #PSCSX-1136 - Product accesories autocomplete - thanks to @Tiago
	[-] BO : FixBug #PSCSX-1295 wrong orders currencies in orders list
	[-] BO : fixed bug #PSCSX-1299 - Cannot delete Carrier
	[-] BO : Update JS control for advanced stock management
	[-] BO : fixed #PSCSX-1236 - validate range bug fixed
	[-] BO : Bug #PSCSX-1201, Add column names in SQL
	[-] BO : Bug #PSCSX-1218, Fix Path in Tiny MCE
	[-] BO : fixed bad encoding #PSCSX-1207
	[-] BO : Fixbug #PSCSX-1152 - wrong google maps center
	[-] BO : AdminThemes : update product_per_page when updating current theme
	[-] BO : Change Handling label
	[-] BO : Fix bug #PSCFV-11828, open_base_dir
	[-] BO: HelperTreeCategory, Call setInputName in getInputName
	[-] BO : Fix bug #PSCFV-11825, double encoding
	[-] BO : Fix default color for Order return states
	[-] BO : Fix bug #PSCFV-11819, bad ajax query for customers

	[-] CORE : Fix bug #PSCSX-1241, replaceByAbsoluteURL should handle url starting with //
	[-] CORE : Fix bug #PSCFV-11124, bad features position cleaning
	[-] Core: Fix #PSCFV-9986, Moved stock assignement to Controller
	[-] Core: Fix #PSCFV-9986, Set out of stock behavior when coping product to another shop
	[-] CORE : FixBug #PSCSX-1493 - Double quoted class
	[-] CORE : Fix bug #PSCSX-1258, js stack repeated for 1.4 template
	[-] CORE : Use correct theme override directory
	[-] CORE : Fix template files directory for helper tree and uploader
	[-] CORE : Fix bug #PSCSX-847, one charset for cccCSS
	[-] CORE : fixed bug #PSCSX-1151 isUrl & isAbsoluteUrl now accept $
	[-] CORE : Fix bug #PSCSX-1167, missing index

	[-] MO : homeslider - resolve #PSCSX-1529 responsive issue
	[-] MO : BlockLayered - FixBug #PSCSX-1497 - Correct Change select value problem
	[-] MO : Fix bug #PSCSX-654, could not delete a wishlist
	[-] MO : fixed bug #PSCSX-1198 css path fixed
	[-] MO : Fix bug #PSCSX-1158, getProductsProperties for bestsellers on home

	[-] WS : Fix bug #PSCFI-5696, Price empty when = 0    It seems the fix never made it to the current version.

	Improved/changed features:

	[*] Project : Add if defined to _PS_OVERRIDE_DIR_ constant

	[*] FO : a string you can actually translate.
	[*] FO : Antialias Social Icons
	[*] FO : Fix feature #PSCFV-11822, assign default combination image depending on cover if matches
	[*] FO : blockcms : options added to display each links

	[*] BO : Module quickview price - fix PSCSX-1522
	[*] BO : Rewording of supply order status names in AdminStockConfiguration.
	[*] BO : Add some lists content to Patters
	[*] BO : Helper Switch fix
	[*] BO : AdminPatterns
	[*] BO : UI fixes - thx @devnet
	[*] BO : Hook displayBackOfficeHeader is now executed even if the module is disabled
	[*] BO : Order details - applied a badge on quantity when more than one product ordered
	[*] BO : Order details - fix repay shipping costs when returning products - PSCSX-1383
	[*] BO : Order detail UI fixes
	[*] BO : some UI fixes
	[*] BO : Modules - some UI fixes
	[*] BO : Changed 'state' for 'status' in many strings.
	[*] BO : Search input for top nav - fix PSCSX-1382
	[*] BO : Responsive table scroll
	[*] BO : Tooltip placement
	[*] BO : Attributes//Features - UI fixes
	[*] BO : List actions - delete moved bottom (added a divider)
	[*] BO : Stats - better breakpoints
	[*] BO : Helper List - Removed bulk action row when empty
	[*] BO : improved memory check for modules page
	[*] BO : Update nvd3
	[*] BO : Modules - remove hover on rating's star
	[*] BO : KPI - cache multi-language
	[*] BO : Various string updates.
	[*] BO : RTL - Switch themes/schemes
	[*] BO : RTL - WIP
	[*] BO : updating labels and descriptions for order document section.
	[*] BO : Init
	[*] BO : RTL
	[*] BO : missing name change to Default-bootstrap
	[*] BO : updating labels and descriptions for AdminAttributesGroups.
	[*] BO : fixed misspelled automatically
	[*] BO : Add index.php in MODULES/mails/ISO_CODE
	[*] BO : Login - fix cache problem
	[*] BO : Remove references to back-office screens in e-mails sent to the customer.
	[*] BO : Wording in translation_modules.tpl    Removed duplicate information and simplified strings in order to make life easier for translators.
	[*] BO : Wording in translation_mails.tpl    Removed duplicate information and simplified strings in order to make life easier for translators.
	[*] BO : Wording in translation_form.tpl    Removed duplicate information and simplified strings in order to make life easier for translators.
	[*] BO : better wording in AdminCarrierWizard.
	[*] BO : Update indications in default e-mails.
	[*] BO : Schemes + remove _multistore.sass

	[*] MO : Remove "toll free" from blockcontact strings.
	[*] MO : CMS block fix
	[*] MO : blockfacebook shows a preview
	[*] MO : CMS block refacto

	Added Features:

	[+] LO : Added Serbian localization pack
	[+] LO : Added Serbian installer! Want yours? Join us on Crowdin!


####################################
#   v1.6.0.5 - (2014-03-17)  #
####################################

	Fixed bugs:

	[-] Installer : fixed string
	[-] Installer : wrong module name caused wrong position

	[-] FO : Fix bug #PSCSX-1145, bindStateInputAndUpdate after email_create
	[-] FO : Fix bug #PSCSX-1135, bad cache id for homlefeatured
	[-] FO : no cache when live edit !
	[-] FO : Fix bug #PSCSX-920, bug on gift_div
	[-] FO : Fix bug #PSCSX-1117, bad assignement
	[-] Fo : Fix bug #PSCSX-1111
	[-] FO : Fix bug #PSCSX-1081 Bad cache on home modules when qty update
	[-] FO : Fix bug #PSCSX-1075, pagination for module
	[-] FO : Fix bug #PSCSX-1056, could not seize DNI
	[-] FO : Fix bug #PSCSX-1038, wrong cast in products.js
	[-] FO : Fix bug #PSCSX-1032, click on #bigpic in fancybox
	[-] FO : Fix display for #PSCSX-750
	[-] FO : Fix bug #PSCFV-11781, bad display of resetImages

	[-] BO : Always test bulk enable/disable in initProcess
	[-] BO : Fix carrier wizzard validation
	[-] BO : FixBug #PSCSX-1124 - Wrong order by for addresses export
	[-] BO : fixed upgrade with dashgoals module
	[-] BO : HelperTreeCategory, set name attr for inputs and remove useless override
	[-] BO : FixBug #PSCSX-1105 - Wrong image path
	[-] BO : fixed bad parenthesis in adminimages #PSCFV-11811
	[-] BO : fixed language installation with multilanguage modules #PSCSX-778 #PSCFV-11786
	[-] BO : Fix bug #PSCSX-1091, setAdvancedStockManagement called without validateFields
	[-] BO : Fix bug #PSCSX-1087, parserror on category tree
	[-] BO : fixed a few configuration issue with 1.6 upgrade #PSCSX-1010
	[-] BO : fixed KPI #PSCSX-924
	[-] BO : fix an issue when a module does not have a valid name
	[-] BO : Fix bug #PSCSX-1042, live config lang in FO url
	[-] BO : FixBug #PSCSX-989 - Bulk change order state
	[-] Bo : Fix bug #PSCSX-1012, duplicates in order currencies
	[-] BO : Fix bug #PNM-1783, bad display of group shop active
	[-] BO : FixBug #PSCSX-1026 Missing date time input
	[-] BO : Fix #PSCSX-864, display correct multishop checkbox for translatable fields
	[-] BO : FixBug #PSCSX-998 - Missing translations
	[-] BO : FixBug #PSCSX-991 - Wrong theme font color
	[-] BO : FixBug #PSCSX-987 Missing translated string
	[-] BO : FixBug #PSCSX-985 - Missing Save and add a new value in Features

	[-] CORE : Fix bug #PSCSX-1097, typo in cache_control
	[-] CORE : Fix bug #PSCSX-1079, PS_VIRTUAL_PROD_FEATURE_ACTIVE undefined
	[-] CORE: Fix bug #PSCSX-1005 Remove warning
	[-] CORE : Fix blacklist cache

	[-] MO : Fix bug #PSCSX-1135, home bad cache id
	[-] MO : fixed #PSCSX-1137
	[-] MO : Blocksearch #PSCSX-1088, ac_results to blocksearch width
	[-] MO : BlockLayered - FixBug #PSCSX-1085 - Wrong meta in products list breadcrumb
	[-] MO : Refresh modules list cache on check and update
	[-] MO : CarrierCompare, Update override for v2.0
	[-] MO : Fixed blocklayered's CSS include
	[-] MO : fixed gapi request #PSCSX-1036
	[-] MO : Blockcart, fix bug #PSCSX-609 last part
	[-] MO : Blockbestsellers clear cache on home
	[-] MO : Fix #PNM-2140, Display correct referal amount for any currency
	[-] MO : Blocklayered - adding cache
	[-] MO : Blockcart Fix bug #PSCSX-609 second part
	[-] MO : homeslider fix configuration issue

	Improved/changed features:

	[*] INSTALLER : Switch doc URLs to 1.6.

	[*] FO : one less frontend query
	[*] FO : optimize condition for a faster frontend
	[*] FO : button_order_cart hover

	[*] BO : UI Translations
	[*] BO : refacto homeslider
	[*] BO : HelperTreeCategory, remove selected class on search, only with radio inputs
	[*] BO : Orders current state color - fix PSCSX-1120
	[*] BO : UI Firefox - fix PSCSX-1121 - fix PSCSX-1122
	[*] BO : Chosen style PSCSX-1102
	[*] BO : stats optimization
	[*] BO : Multistore select
	[*] BO : Bug #PSCSX-1110, Fix menu active for CarrierWizard
	[*] BO : Carrier Wizard  - Status/Enabled switch
	[*] BO : Schemes update
	[*] BO : UI fixes
	[*] BO : Order details - responsive tables
	[*] BO : Change fonts in themes
	[*] BO : Javascript for anchor link
	[*] BO : Module Theme Configurator
	[*] BO: updating hints and errors in AdminThemesController.
	[*] BO : Module - clean icons
	[*] BO : Product - Specific Price - table responsive
	[*] BO : Module - delete uninstalled module
	[*] BO : Dashboard - Prevent scroll to anchor for tabs
	[*] BO : Helper - Image Upload - Safari
	[*] BO : Product - Image Upload - Safari - Fix PSCSX-1065
	[*] BO :  Added process-icon-envelope fix PSCSX-1049
	[*] BO : fixed PSCSX-1048 - Adjust position for anchor elements
	[*] BO : Fix #PSCSX-1037, Remove monthly expenses in Dashboard
	[*] BO : Moved bulk actions 'enable' and 'disable'
	[*] BO : min width
	[*] BO : Fix module list for AdminPayment
	[*] BO : Display Marketing modules list like the main module list
	[*] BO : switch global.sass to .scss
	[*] BO : vendor update (bootstrap+fontawesome)
	[*] BO : navigation
	[*] BO: rewording in AdminDashboard.
	[*] BO : navigation + toolbar
	[*] BO : navigation - fix PSCSX-988
	[*] BO: updating labels and descriptions for combinations.tpl.
	[*] BO : close button for alerts
	[*] BO : Improvement #PSCSX-983 - Live configurator
	[*] BO : list-toolbar-btn icons for modules
	[*] BO : Miss override form action    Hi,    In form.tpl, form action can be overrided by $submit_action var.    $submit_action is assigned in HelperForm.php, but in AdminController.php, the variable and the assignment of the variable HelperForm->submit_action is missing.    This is usefull for generate Form with different action that add-Table-.    Thanks
	[*] BO : tiny mce - fixs PSCSX-896

	[*] MO : Redirect after configuration is saved
	[*] MO: Blocklink, better wording for translations
	[*] MO: in referralprogram, no need to differentiate localized variables: it's the same value.

	[*] LO: fix localization for Persian

	Added Features:

	[+] Installer: Add Persian lang and sample data to installer
	[+] Installer: Add RTL Support with override css file

	[+] LO : Added Catalan installer. Want yours? Join us on Crowdin!
	[+] LO : Added Turkish installer - want yours? Join us on Crowdin!
	[+] LO : Added Czech installer - want yours? Join us on Crowdin!
	[+] LO : Added Farsi installer and Installer RTL support


####################################
#   v1.6.0.4 - (2014-03-06)  #
####################################

	Fixed bugs:

	[-] Project: use correct phpdoc return type PrestaShopCollection

	[-] Installer: fix install without demo products
	[-] Installer : fixtures : French product
	[-] Installer : fixtures : French feature_value
	[-] Installer : fixtures : French feature
	[-] Installer : fixtures : French category
	[-] Installer : fixtures : French carrier
	[-] Installer : fixtures : French attribute_group
	[-] Installer : fixtures : French attribute

	[-] FO : Fix bug #PSCSX-974, bloctopmenu under jqzoom
	[-] FO : Fix #PSCSX-932, add animation when products are deleted from comparison table
	[-] FO : tinymce : fixed an issue with wrong image url on multi language
	[-] FO : Fix bug #PSCSX-887, position of cart layer
	[-] FO : Fixed identity form, DOB is now saved
	[-] FO : Fixbug #PSCSX-734 FancyboxI18n
	[-] FO : show discount table when discount on all combination
	[-] FO : Fix bug #PSCSX-620, could not tweak colums on products-comparison
	[-] FO : Fix customer privacy checkbox style
	[-] FO : Fix bug #PSCSX-828, could not delete on safari
	[-] FO : Fix bug #PSCSX-632, do not display availibility if PS_STOCK_MANAGEMENT disabled
	[-] FO : Fix bug #PSCSX-831, additional escaping
	[-] FO : Fix bug #PSCSX-838 empty dicounts table
	[-] FO : warning when adding a product without filling required customisations fields
	[-] FO: fixed some css bugs = bad z-index on category page and add margin on wishlist link
	[-] FO: fixed bug #PSCSX-99
	[-] FO: fixed bug #PSCSX-615
	[-] FO : Fix bug #PSCSX-826, bad z-index on labels
	[-] FO : Fix bug #PSCSX-787, hide quantity in catolog mode
	[-] FO : fix bug #PSCSX-801, uniform on states etc
	[-] FO : Fix bug #PSCSX-760, bad product select display in contact
	[-] FO: fixed bug #PSCSX-749
	[-] FO: fixed bug #PSCSX-543 + change charset in CSS
	[-] FO : bad price convert of volume discounts on product page when the reduction does not have a price specified
	[-] FO: Fix bug #PSCSX-724, Fix green order button
	[-] FO : Fix bug #PSCSX-722, bad Combination for cart layer
	[-] FO : Fix bug #PSCSX-702, could not have jquery in tpl inline script
	[-] FO: Fix quantity reset on combination change #PSCSX-720
	[-] FO : FixBug #PSCSX-706 price class responsive problem
	[-] FO : Fix bug #PSCSX-699, add_to_cart button is now hidden in Catalog mode
	[-] FO : Fix for #PSCSX-627
	[-] FO : FixBug #PSCFV-11653 - Use SimpleXMLElement instead of DOMDocument
	[-] FO : Fixed Quantity column in order payment table
	[-] FO : use $left_column_size for left_column
	[-] FO: Fix Themeconfigurator's HTML field    The field of Themeconfigurator's hook items labeled "HTML" was not stored    as HTML in the backend, as also it was not rendered as HTML
	[-] FO : Fix bug #PSCSX-656, could not translate form fields
	[-] FO : Fix bug #PSCSX-665 could not delete customization
	[-] FO : Fix big on invalid gift message    Bug not found in forge :    While submitting an invalide gift message (including per example "<" character), processCarrier function attempts to include footer.php (which does not exist anymore ?) and then exits script, instead of letting the classic validate system running and showing an error.
	[-] FO : FixBug #PSCSX-593 intval on specific price
	[-] FO : Fix bug #PSCSX-578, w3c  validation + safari bug on homeslider
	[-] FO : Fix bug #PSCSX-572, undefined company on OPC
	[-] FO : Fix bug #PSCSX-570, specific price with 0 reduction

	[-] BO : fixed bug #PSCSX-963 - carrier wizard validation finish step
	[-] BO : FixBug #PSCSX-618 - Set active preselected date range
	[-] BO : when installing a theme, if a module can not be installed, the error will be displayed
	[-] BO : fix colorpicker
	[-] BO : FixBug #PSCSX-952
	[-] BO : Fix #PSCSX-928, change default color for colorpicker
	[-] BO : Fix bug #PSCSX-950, bad dashboard stats_date_from
	[-] BO : FixBug #PSCSX-948 - Fix new supply orders template bug
	[-] BO : FixBug #PSCSX-946 - typo
	[-] BO : AdminMeta : fixed an issue when updating metas
	[-] BO : FixBug #PSCSX-926 - Fix bulk update order status cancel action
	[-] BO : Fix bug #PSCSX-923, token warning on duplicate
	[-] BO : FixBug #PSCSX-889 - fix Supplier order status bug
	[-] BO : Bug #PSCFV-11705, Add checkbox in admin products page (quantity tab)
	[-] BO : Fix bug #PSCFV-11738, could not enable a module on a shop
	[-] BO : Convert voucher's minimum amount to correct currency. See #PSCFV-11220 and #PSCSX-385
	[-] BO : Clear smarty and media cache on url shop change
	[-] BO : Display CountryAddressFormat errors and improved regex (see #PSCFV-9995)
	[-] BO : FixBug #PSCSX-848 - Customization product style
	[-] BO : FixBug #PSCSX-842 - Resize autosize textarea
	[-] BO : FixBug #PSCSX-832 Add id attribute group to value restriction
	[-] BO : FixBug #PSCSX-827 - missing clearfix
	[-] BO : FixBug #PSCSX-545 - Better password validation message
	[-] BO : FixBug #PSCFV-11717 - Do not update product after deletion
	[-] BO : Correct case in function call
	[-] BO : FixBug #PSCSX-795 Employee form problems
	[-] BO : Fixbug #PSCSX-797 wrong modules name sort
	[-] BO : filemanager : like config.php
	[-] BO :  upon theme deletion, if the folder is used by another theme, the folder will not be deleted
	[-] BO : fixed a bug in getCartProducts()    Now getCartProducts() really return similar outputs of Cart::getProducts
	[-] BO : classe AttributGroup : size => 128    BD => 128
	[-] BO : classe attribut : size => 128    DB size => 128
	[-] BO : Fix SQL security issue from PR merge
	[-] BO: Add double check on the password when changing employee password
	[-] BO : Fix bug #PSCSX-771, remove ampersands
	[-] BO : FixBug #PSCSX-772 double check
	[-] BO : Add new line at EOL in CSV export
	[-] BO : Fix bug #PSCSX-758, do not index inactive products
	[-] BO: Fix feature values listing - custom could be null in database
	[-] BO : FixBug #PSCSX-742 can't filter by active option on join table
	[-] BO : AdminShop : add l s='' for translation
	[-] BO : AdminOrders : add l s='' for translation
	[-] BO: Add return for _clearCache()
	[-] BO : tinymce textcolor plugin was not loaded.
	[-] BO: Fix bug #PSCFV-11633, Fix email issue for customized product
	[-] BO : AdminCms : Save and stay
	[-] BO : FixBug #PSCSX-663 remember checked list checkbox
	[-] Bo : Fix bug #PSCSX-613, could not return errors on rights on updating pack
	[-] BO : FixBug #PSCSX-685 Missing order customer message
	[-] BO : Fix bug #PSCSX-630, display total with or without tax according to customer group
	[-] BO : FixBug #PSCSX-660, toggle quick access new window property
	[-] BO : Display price and taxes according to settings in order display
	[-] BO : Fix bug #PSCSX-684, Fix alignment in customer theads
	[-] BO : Fixed SQL request if there isn't any impact (product duplicate)
	[-] BO : Fix bug #PSCSX-647, could not register country without states
	[-] BO : FixBug #PSCSX-682 Copying themes has htmlentities select options
	[-] BO : FixBug #PSCFV-11370 Remove product selection when no action is selected
	[-] BO : AdminCarrierWizard : missing translation
	[-] BO : FixBug #PSCSX-644 - Missing States/Countries list bulk actions confirmation
	[-] BO : FixBug #PSCSX-642 - Selected carriers not added
	[-] BO : FixBug #PSCFV-11448 Attributes Impact not duplicated
	[-] BO : FixBug #PSCSX-638 - Correct product form flow
	[-] BO : Linked order id should not have lead 0's
	[-] BO : FixBug #PSCSX-639 - Setting default virtual product file name
	[-] BO : FixBug #PSCFV-11536 Fix PDF margin bottom problem
	[-] BO : FixBug #PSCSX-608 SocialSharing button margin
	[-] BO : Missing trackingfront module check on Referrers controller
	[-] BO : Remove Shop checkbox for product customization
	[-] BO : FixBug #PSCSX-595 Missing helper translations
	[-] BO : AdminTranslations : save and stay fixed
	[-] BO : FixBug #PSCSX-587 Incorrect date format
	[-] BO : FixBug #PSCSX-573 Fix carrier refresh
	[-] BO : FixBug #PSCSX-579 Missing remaining customized product quantity
	[-] BO : FixBug #PSCSX-580 Customized products return not displayed
	[-] BO : Fixed incorrect icon class on..    ... supply orders status
	[-] BO : Fixed incorrect icon class on..    .. supply order status
	[-] BO : Correct text for status color...    ... on supply orders

	[-] CORE : Fix bug #PSCSX-939, cookie currency can be deleted
	[-] CORE : Fix bug #PSCFV-11755 ModuleCore squeeze ps_versions_compliancy
	[-] Core: fix call to Order::getDocuments() more than one time
	[-] Core: Group reduction must not change the regular price
	[-] CORE : Fix bug #PSCSX-813, dynamic hooks may be live editable
	[-] CORE : Remove product supplier attribute entry when delete attribute
	[-] CORE : Validate - Set password length to constante
	[-] CORE : Add parent category restriction to nestedCategories
	[-] CORE : FixBug ignored language getting category link
	[-] CORE : FixBug #PSCFV-11660 - Wrong tree selected childs count
	[-] CORE : FixBug #PSCSX-744 - tinyMce filemanger thumb directory problems
	[-] CORE : FixBug #PSCFV-11680 multibyte truncate problem
	[-] CORE : FixBug #PSCFV-11677 Prevent count list result cache
	[-] CORE : FixBug #PSCFV-11669 Encoding header problem with attachment
	[-] CORE : Fix module overload path
	[-] CORE : Fixed typo in OrderState model definition
	[-] CORE : FixBug #PSCSX-581 Adding text delimiter and removing newline feed

	[-] MO : Blockcart , Fix bug #PSCSX-609 first part
	[-] MO : FixBug #PSCSX-601 - Blocklayered - Fix responsive design
	[-] MO : FixBug #PSCSX-922 - Fix blockhover delegate
	[-] MO : FixBug #PSCSX-901 - Blocklayered admin header design
	[-] MO : Greece could not be VAT applicable    Il y a une recherche sur les valeurs du tableau de la fonction getPrefixIntracomVAT mais je pense qu'il faudrait rechercher sur les clés donc remplacer le "in_array" par "array_key_exists".
	[-] MO : blockcategories : fixed an issue where the block was not shown when not on a controller affected by a category
	[-] MO : bug fix on check configuration bankwire    banwire module was checking in __construct if configuration values was setted via isset, but values was retrieved by Configuration::getMultiple(), so the key was always setted but could be empty. The fix uses !empty instead of isset
	[-] MO : Fix bug #PSCSX-789, blocmsinfos, enable em on tinymce
	[-] MO : Blockbestsellers - Fix display
	[-] MO : Blocktopmenu - Improve queries number in categories display
	[-] MO : BlockLayered - Fix wrong combination display price
	[-] MO : SocialSharing, urlencode parameters
	[-] MO : blocksupplier : no links if the suppliers are disabled
	[-] MO : Fix bug #PSCSX-704, SocialSharing, share URL with parameters
	[-] MO : themeconfigurator : demo images are no more deleted when uninstalling the module.
	[-] MO: Social Sharing - Clear cache for comparison tpl
	[-] MO : productpaymentlogos : missing translation
	[-] MO : sendtoafriend : send before cancel
	[-] MO : productcomments  : 'write a review' button's appearance for a guest fixed
	[-] MO : Prevent js error in blocksearch
	[-] MO : blockadvertising : wrong image link on the configuration page fixed
	[-] MO : mail alerts : bad display when removing alerts fixed
	[-] MO : blocksharefb : add author PrestaShop
	[-] MO : blockreinsurance : add author PrestaShop
	[-] MO : blocksocial : add author PrestaShop
	[-] MO : blockfacebook : add author PrestaShop
	[-] MO : blockcmsinfo : add author PrestaShop
	[-] MO : Fix bug #PSCSX-674, add Author in blockcontact and blockcontactinfos
	[-] MO : blockcontactinfos : add author PrestaShop
	[-] MO : blockcontact : add author PrestaShop
	[-] MO : fixed dashtrends conversion rate comparison #PSCSX-583
	[-] MO : FixBug #PSCSX-611 Blockfacebook reduced size overflow display
	[-] MO : blockcms : Incorrect copyright year
	[-] MO: Blockbanner Fix #PSCSX-578, little css bug on safari

	[-] WS: fix webservices when some hook are called and they instanciate a product #PSCFV-8077

	Improved/changed features:

	[*] Installer : add field for translation

	[*] FO: error500.html is supposed to be in English.
	[*] FO : B2B info can now be set in myaccount
	[*] FO : Fix #PSCSX-814, display phone numbers in the right order
	[*] FO : Improving CSS CCC    When using an absolute URL for import( or url( in CSS, it was creating bugs, so if the url is already an absolute URL, it won't change.    For exemple in case of fonts : @import url(http://fonts.googleapis.com/...);
	[*] FO : inline/align review stars
	[*] FO : inline review stars
	[*] FO : Move wrong ids to classes on product page
	[*] FO: Missing jquery.ui.accordion dependencies    To make $this->addJqueryUI('accordion') make work properly and include all    dependencies as expected
	[*] FO : Fix  #PSCSX-715, fancybox size on productscomments
	[*] FO : Use real list tags.

	[*] BO : ui fixs
	[*] BO : quick access
	[*] BO :  AdminThemes : when installing a theme, all the images types are now updated + added a link to AdminImages
	[*] BO : dashboard small fix
	[*] BO : employee avatar fix PSCSX-875
	[*] BO: string improvements in AdminDashboard.
	[*] BO : employee password fixs
	[*] BO : supply orders fixs
	[*] BO : ordesr fixs
	[*] BO: wording in multistore mode when editing an option.
	[*] BO: typo in multistore mode when editing a product.
	[*] BO : Use American English for "behavior".
	[*] BO : specific price fix - PSCSX-837
	[*] BO : wording consistency for "Zip/postal code".
	[*] BO : position fix PSCSX-933
	[*] BO : dashboard fixs
	[*] BO: typos in AdminImportController.
	[*] BO: better wording for products/informations.tpl
	[*] BO: HTML tags in i18n'd string in AdminShopGroup.
	[*] BO: typos in AdminStatuses.
	[*] BO: typos in AdminCustomerThreads.
	[*] BO : ui improvements
	[*] BO : AdminModules : the user is now prompted when reseting a module that contain a reset function
	[*] BO: typo in AdminReturnController.
	[*] BO : upload + tinymce
	[*] BO : move quick access + fix nav
	[*] BO : Bug #PSCFV-11422, Returns are now mulishop
	[*] BO : rating + tiny
	[*] BO : Fix #PSCFV-10144, Display return slip in BO
	[*] BO : notification avoid flicking
	[*] BO : Improvement #PSCSX-830 - Add module Quick view information
	[*] BO : rating + multishop WIP
	[*] BO : nav
	[*] BO: updating labels and descriptions for AdminCustomers.
	[*] BO : removed 0 and O from the code generations in order to avoid confusion
	[*] BO : typos and example.com.
	[*] BO : Modules category added (Dashboard)
	[*] BO : Fix #PSCFV-11705, save availability date when adding new combination
	[*] BO :  Fix  module toolbar
	[*] BO :  Fix dashboard + nav
	[*] BO :  Working on Nav
	[*] BO :  Orders - fix PSCSX-780
	[*] BO :  Set localization for jquery validate
	[*] BO :  Chosen input fix - PSCSX-667
	[*] BO : import Bootstrap progress bar
	[*] BO : AdminStockManagement : bad display - fix PSCSX-754
	[*] BO : Introduce Moment.js
	[*] BO : fix PSCSX-697
	[*] BO : colorpicker
	[*] BO : Improved employee profile/preferences
	[*] BO : list bool ajax + style
	[*] BO : fixs css
	[*] BO : tinycme
	[*] BO : remove useless word in AdminCountries.
	[*] BO : typographic changes.
	[*] BO : typo in AdminThemes.
	[*] BO : typo in seo.tpl.
	[*] BO : New employees only get notifications from orders/customer_messages/customer created after registration
	[*] BO : TinyMce, Multishop
	[*] BO: updating labels and descriptions for Cart rules product_rule_group.tpl.
	[*] BO: useless dot in Cart Rules generator.
	[*] BO : Fixed regex typo    Noticed a regex typo when reviewing the code. I'm guessing the regex should map (anything)(.)(tpl or php), not (anything)(anything)(tpl or php)
	[*] BO : some changes into design - part3
	[*] BO : some changes into design - part2
	[*] BO : some changes into design
	[*] BO : String consistency.
	[*] BO : Better consistency and some typos in the Product tabs.
	[*] BO : better wording for AdminCustomersController.
	[*] BO : typo in AdminCurrenciesController.
	[*] BO: better wording for module configuration template.
	[*] BO : design fixs (switch, form, options, ...)
	[*] BO : More coherent labels (and some typos) in admin controllers.
	[*] BO : update bootstrap + lot of UI fixs
	[*] BO: updating labels and descriptions for Localization admin pages.
	[*] BO : better wording for Dashproducts.
	[*] BO : various design fixs
	[*] BO : fix sidebar nav
	[*] BO : fix KPI customer
	[*] BO : fixs + update icons
	[*] BO : fixs KPI
	[*] BO : typos in dashboard modules.

	[*] Core: Upgrade Mobile Detect to 2.7.8
	[*] Core: Missing attributes field for templates

	[*] MO : Corrected comma placement and added words in a Dashproducts string.
	[*] MO : label improvement in blockcategories_admin.tpl
	[*] MO : better wording for vatnumber module.
	[*] MO : typos in statspersonalinfos module.
	[*] MO : cheque : controllers informations added
	[*] MO: remove semicolon in Dashactivity module.
	[*] MO : carriercompare, fix state list display bug
	[*] MO : Rewording a few module names
	[*] MO : Blocklayered, add js def and remove page reload
	[*] MO : Typo in previous blocklayered commit.
	[*] MO : blockcategories : new option to choose if the blockcategories shows all the categories or only the children categories of the current category/product.
	[*] MO : typos in themeconfigurator module.
	[*] MO : improve wording for Theme Configurator.

	Added Features:

	[+] BO : badge non ordered on shopping cart
	[+] BO : badge validate on list orders
	[+] BO : badge quantity 0 in product list
	[+] BO : chosen on iso_localization_pack
	[+] BO : password generate
	[+] BO : Now you can filter orders and customers by company in B2B mode
	[+] BO : Code improvement for tiny mce colorpicker
	[+] BO : AdminThemes : import uninstalled themes automatically on page load
	[+] BO : Add warning to selected product on cart rule
	[+] BO : Orders - Add focus on product search when adding a new product
	[+] BO : Add mod_security warning for translations
	[+] BO : improvements on side navbar +  new color schemes
	[+] BO : preserve sidebar submenu when you want it to be preserved

	[+] CORE : Tools - Add function to get admin url
	[+] CORE : Add cache and groups filter for nested categories

	[+] MO : a module can register controllers (e.g. bankwire). This allow the user to enable/disable the left/right column of a theme on those controllers

	Deprecated methods:

	[~] BO : Fix search conf indexation amount (PSCSX-758)    Fixes http://forge.prestashop.com/browse/PSCSX-758    The indexation values (amount / total) are wrong because the SQL query doesn't filter by product_shop "visibility" and "active" state (but the Search::indexation method does)
	[~] BO : AdminScenesController : generate images    Generate images in all formats when scenes are saved (when images are uploaded).


####################################
#   v1.6.0.3 - (2014-02-03)  #
####################################

	Fixed bugs:

	[-] installer : the theme default-bootstrap is now installed during an upgrade
	[-] Installer : query added to hydrate the table PREFIX_theme_meta
	[-] Installer : configuration : homeslider missing var
	[-] Installer : fixed offline installation

	[-] FO : Fix bug #PSCSX-534 customusization to zero as string
	[-] FO : Removed translatable #    Is it a mistake, or is there a special reason this is translatable?
	[-] FO: fixed bug #PSCSX-560  & #PSCSX-558
	[-] FO : Fix bug #PSCSX-547 no more resizeAddressesBox
	[-] FO : Fix bug #PSCSX-25 again, do not display voucher for free shipping from cart rule
	[-] FO : Fix bug #PSCSX-497, double escaping in search query
	[-] FO : #PSCSX-521 first ul
	[-] FO : Fixed reduction display on product page for products with attributes
	[-] FO : quick view : add l s='' for translation
	[-] FO : reinsurance : bad display
	[-] FO : block list : wrong display with >    BO > Smart cache for CSS on    FO > ?
	[-] FO : Bad protocol on medias  again sorry about this
	[-] FO : Bad protocol on medias
	[-] FO : Fix bug #PSCSX-255 cart rule free carrier should affect display of carriers prices
	[-] FO : Fix bug #PSCSX-257 remove from cart returning false value, follow up 002ed831dba6fd6f96eee9137e5ea13e27adcfd4
	[-] FO : Fix bug #PSCSX-254 technical error on order-address
	[-] FO : Fix bug #PSCSX-447 bad value for textearea
	[-] FO : FixBug #PSCSX-477 table design
	[-] FO : FixBug #PSCSX-471 - Delivery address with virtual products
	[-] FO : block list : wrong display with >    if BO > Smart cache for CSS on
	[-] FO : FixBug #PSCSX-472 newsletter input size
	[-] FO : FixBug #PSCSX-467 Address block design
	[-] FO : fixed layout for blockcategories footer in the sitemap page
	[-] FO: fixed bug PSCSX-444
	[-] FO : Fix bug #PSCSX-253 could not add to cart custom product cause of tabs in data
	[-] FO : #PSCSX-313 move X before product name
	[-] FO : Fix bug #PSCFV-11267, bad cache on carrier choice in normal checkout
	[-] FO : Fix bug #PSCSX-350 SKU empty
	[-] FO: Fix bug #PSCSX-394
	[-] FO: improve responsive display on tablets/smartphones/small screens
	[-] FO: Color selector when not color attribute    If you define a attribute as a color and define some attributes with colors, if you change the attribute type the color selector stills appears.
	[-] Fo : Fix bug #PSCSX-356 bad colspan on order-payment.tpl
	[-] FO : Fix bug #PSCSX-319 bad priceReductionPercent
	[-] FO : Fix bug #PSCSX-327 truncate on custo
	[-] FO : Fix bug #PSCSX-332 wrong cart total
	[-] FO : Fix bug #PSCSX-330 smarty exception
	[-] FO : Follow up #PSCFV-11098
	[-] FO : Fix bug #PSCSX-141, bad escaping on msg
	[-] FO : Fix bug #PSCFV-11098 logo under media servers
	[-] FO : FixBug #PSCSX-102 - email input too small
	[-] FO : FixBug #PSCSX-246 - Default active tab
	[-] FO : FixBug #PSCSX-171 - Missing data validate
	[-] FO : fixed typo in template variable name
	[-] FO : Exception on tag search
	[-] FO : Fix bug #PSCSX-98, missing product condition
	[-] FO : Fix bug #PSCFV-11361, inner join on category_product
	[-] FO : OrderOpcController Fix wrong hook
	[-] FO : OrderConfirmationController is not kept on https when the platform is set up to handle the order checkout process on https. Now, also the order confirmation page is on https if needed.

	[-] BO : FixBug #PSCSX-569 wrong switch display
	[-] BO : fixed bug #PSCSX-565 - carrier breadcrumbs fix
	[-] BO : Fix bug #PSCSX-396 duplicate import matches
	[-] BO :  Blockbanner : Typo fix
	[-] BO : FixBug #PSCSX-564 Warning on carriers selection
	[-] BO : FixBug #PSCSX-534 supply order pdf template
	[-] BO : FixBug #PSCSX-552 Fix price impact
	[-] BO : FixBug #PSCSX-557 wrong description
	[-] BO : FixBug #PSCSX-539 Hide texture with color attribute
	[-] BO : FixBug #PSCSX-524 Missing save and stay button
	[-] BO : FixBug #PSCSX-538 Missing filter button
	[-] BO : FixBug #PSCSX-532 Fix remove button bug
	[-] BO : FixBug #PSCSX-530 Missing save and stay button
	[-] BO : Fix bug #PSCFV-11158 updateDefaultAttribute on product import
	[-] BO : FixBug #PSCSX-526 Product combination design
	[-] BO : modules : missing fields for translation
	[-] BO : FixBug #PSCSX-525 Wrong url encode
	[-] BO : blocklayered - Add max_input_vars check
	[-] BO : fixed bug #PSCFV-11530 - Shipping to a new Zone not working correctly
	[-] BO : FixBug #PSCSX-523 Check login page in ajax
	[-] BO : FixBug #PSCSX-519 always active currency on install
	[-] BO : FixBug #PSCSX-516 toggle button not working
	[-] BO : FixBug #PSCSX-514 - Changing tags help hint
	[-] BO : FixBug #PSCSX-515 Missing ajax control
	[-] BO : FixBug #PSCSX-510 Fix image size
	[-] BO : FixBug #PSCSX-509 Missing pointer icon
	[-] BO : Toolbar New Product - removed preview button
	[-] BO : Toolbar - removed save button
	[-] BO : Admin Access - removed confusing error for missing modules.
	[-] BO : fixed bug #PSCSX-492 - range overlapping small fix
	[-] BO : fixed old parse error in bulk delete of backups
	[-] BO : fixed bug #PSCSX-247 - carrier range are overlapping
	[-] BO : AdminThemes : theme installation on existing directory without a relation with theme fixed
	[-] BO : FixBug #PSCSX-485 - theme_mobile_dir
	[-] BO : FixBug #PSCSX-446 Grow message error on save button click
	[-] BO : FixBug #PSCSX-425 Products tab buttons
	[-] BO : fixed double entities for configuration values in HelperOptions #PSCFV-11532
	[-] BO : FixBug #PSCFV-11311 - Remove browser autocomplete for customers
	[-] BO : FixBug #PSCSX-358 - Clear smarty cache after add/edit/delete specific price rule
	[-] BO : orders missing icon for products
	[-] BO : FixBug #PSCFV-8755 - Total shipping amount include in second voucher
	[-] BO : FixBug #PSCSX-385 Cart rule does get minimum amount with correct curreny
	[-] BO : import : products_import.csv doesn't match fields
	[-] BO : FixBug #PSCFV-11458 Can't update an attachment file without upload again
	[-] BO : TaxRulesGroupController > Create > créer
	[-] BO : blocktopmenu : btn btn-primary > btn btn-default
	[-] BO : blockcart missing mod for translation
	[-] BO : FixBug #PSCSX-258 - New backoffice store tree
	[-] BO : fixed partial import of localization pack #PSCSX-421
	[-] BO : AdminThemes : theme auto install fixed
	[-] BO : FixBug #PSCSX-423 product move postiion call on click
	[-] BO : FixBug #PSCSX-427 Wrong save button position
	[-] BO : FixBug #PSCSX-424 Missing SEO & URLS button
	[-] BO : FixBug #PSCSX-161 htaccess regenerated with prev domain
	[-] BO : FixBug #PSCSX-419 - Error in copyright date
	[-] BO : FixBug #PSCSX-375 Error when deleting virtual product with no files
	[-] BO : FixBug #PSCSX-403 Missing TinyMCE textarea class
	[-] BO : FixBug #PSCSX-414 Fix smarty exception in module favorite list
	[-] BO : fixed page addition in SEO & URLs
	[-] BO : AdminThemes : fix multi shop theme install
	[-] BO : FixBug #PSCSX-410 Unremoved failed uploaded files
	[-] BO : AdminThemes : fix disable unspecified native module upon new theme install
	[-] BO : adminthemes : fix export with no module to export
	[-] BO : FixBug #PSCSX-392 virtual product
	[-] BO : adminthemes : default value for left_column and right column set to true
	[-] BO : FixBug #PSCSX-325 - module list style
	[-] BO : FixBug #PSCSX-278 duplicate attribute value
	[-] BO : Fixbug #PSCSX-282 module uninstall confirmation alert
	[-] BO : FixBug #PSCSX-315 - removing js code
	[-] BO : FixBug #PSCSX-317 unremoved function call in CSV import
	[-] BO : fixed link to parent tab in breadcrumb
	[-] BO : FixBug #PSCSX-345 - Remove duplicated buttons
	[-] BO : Wrong help icon
	[-] BO : Remove percentage char from frendly url
	[-] BO : Control legend length on add product image
	[-] BO : fixed bug #PSCFV-11266 - Customer service Forward this discussion email link
	[-] BO : fixed BO filter with empty() values
	[-] BO : Fix bug #PSCFV-11407 delete packs on products truncates
	[-] BO: Clear CCC cache after media servers update
	[-] BO : fixed error handling (and fixed a warning)
	[-] BO : FixBug #PSCSX-248 - Wrong order refund quantity display size
	[-] BO : FixBug #PSCSX-242 - Change module display icons
	[-] BO : fixed cache on thumbnails
	[-] BO : Remove save from generic page header toolbar
	[-] BO : Fix bug #PSCSX-67, could not return to form
	[-] BO : fixed bug #PSCSX-225 - display warning when mod_ssl is not installed
	[-] BO : FixBug #PSCSX-224 Duplicate save button
	[-] BO : fixed order map (country was missing)
	[-] BO : FixBug #PSCSX-168 - Non persistent filters
	[-] BO : Display image resizing error for product image upload
	[-] BO : FixBug #PSCFV-11345 - Different address format
	[-] BO : Bad error message on module execptions
	[-] BO : FixBug #PSCSX-83 - Wrong redirection after status update.
	[-] BO : FixBug #PSCSX-204 - Missing bulk action button
	[-] BO : Add page header toolbar title for import and export theme
	[-] BO : switch clicable on adminthemes
	[-] BO : Add responsive process to controller

	[-] CORE : Wrong id_delivery in cart_product after id_delivery update in cart
	[-] Core: fix price validator
	[-] CORE : FixBug #PSCSX-518 Wrong class name
	[-] CORE : FixBug #PSCFV-11546 break on back button to prevent others
	[-] CORE : FixBug #PSCFV-11547 Wrong function parameters
	[-] CORE : FixBug #PSCSX-490 - Product visibility in search result by tag
	[-] CORE : FixBug #PSCFV-11534 - Cache improvement
	[-] Core : Missing backquotes added in getProducts
	[-] Core : remove duplicate `id_product` in select    The getProducts() select had the `id_product` column twice.
	[-] Core: Fix Product::getPriceStatic() quantity discounts cache
	[-] CORE : Use context if set in ObjectModel displayFieldName
	[-] CORE : FixBug #PSCFV-11426 - Missig maxlength option with callback
	[-] CORE : Fix bug #PSCSX-130 isBirthDate validator on futur dates
	[-] CORE : fixed bug #PSCFV-8652 - Order::generateReference() collision
	[-] CORE : Fix options footer buttons
	[-] CORE : Could not update an employee after updating
	[-] CORE : Fix bug #PSCFV-11325, wrong match when deleting languages

	[-] MO : Themeconfigurator - fix target blank
	[-] MO : ThemeConfigurator FixBug #PSCSX-554 remove reinsurance block
	[-] MO : ThemeConfigurator FixBug #PSCSX-555 Fix error in live configurator
	[-] MO : products : js=1
	[-] MO : socialsharing : the cache was not refreshed when updating the settings    // norm
	[-] MO : Blocklayered - Fix meta titles and heading
	[-] MO : blockwishlist FixBug #PSCSX-507 Missing traductions
	[-] MO : blockbestsellers : the prices were shown on the column even if the user is not allowed to see the product prices
	[-] MO : blocklink : fix add/update links
	[-] MO : homeslider : multishop fix    //norm
	[-] MO : blocktopmenu FixBug #PSCSX-466 input field problems
	[-] MO : blockcms : add options to hide the 'our stores' link in the footer
	[-] MO : referralprogram : wrong display of  the discount
	[-] MO : productcomments : send review friendly url fixed
	[-] MO : productcomments : add comment title
	[-] MO : Fix bug #PSCSX-445 Blockcart + clean up tpl
	[-] MO : homeslider : ver 1.2.3 > 1.2.4 > like homeslider.php
	[-] MO : blocktopmenu : mod "blocktopmenu" > mod 'blocktopmenu'
	[-] MO : themeconfigurator : button btn btn-primary > right
	[-] MO : Themeconfigurator FixBug #PSCSX-441 - wrong css style
	[-] MO : Blockstore FixBug #PSCSX-431 wrong image variable
	[-] MO : themeconfigurator FixBug #PSCSX-422 language select
	[-] MO : FixBug #PSCSX-429 Themeconfigurator css missplaced
	[-] MO : producttooltip : use growl instead of jgrowl + growl moved to his own directory
	[-] MO : blockbanner : fix img link when file doesn't exists
	[-] MO : blockmanufacturer : 'use a drop-down list' set to no by default
	[-] MO : dashgoal FixBug #PSCSX-294 legends
	[-] MO : blockcms : fix add button missing
	[-] MO : blockbestsellers : fix hook on left and right column
	[-] MO : blocklayered FixBug #PNM-1521 - Wrong quantity when allow order out of stock
	[-] MO : blocklayered FixBug #PNM-702 - Meta title
	[-] MO : blocklayered FixBug #PNM-809 - nofollow rel
	[-] MO : fixed bug #PNM-1986 - Dashactivity has 30 hard-written in its template
	[-] MO : blocklayered FixBug #PNM-1740 - memory_get_peak_usage()
	[-] MO : blocklayered FixBug #PNM-313 id_product_attribute = 0 (Thanks to Evert-Jan van der Valk)
	[-] MO : blocklayered - FixBug #PSCSX-310 bootstrap style
	[-] MO : blocklayered FixBug #PNM-1105 translate price and weight slider filter url name
	[-] MO : blocknewproducts use now two distinct template for home and column block
	[-] MO : blocknewproducts : fix configuration & display
	[-] MO : blocklayered FixBug #PNM-1981 categories tree render error
	[-] MO : blocktopmenu FixBug #PSCSX-321 List item improvement
	[-] MO : homeslider : height parameter removed     // since the new slider don't use a height parameter
	[-] MO : homeslider : fix bad configuration display
	[-] MO : productpaymentlogos now clear cache upon title save
	[-] MO : be sure to use sales price in stats
	[-] MO : changed addsharethis for socialsharing in themeconfigurator #PSCSX-250
	[-] MO : productcomments : fix bad display when a comment has been sent
	[-] MO : FixBug #PSCSX-240 - ThemeConfigurator - Error updating image
	[-] MO : FixBug #PSCSX-231 - wrong product count display on blocklayered module
	[-] MO : fix statslive empty result when using maintenance ips ending with a comma
	[-] MO : Blockcategories Fix bug #PSCSX-157 assign cookie in footer
	[-] MO : fixed call to the 404 image that was only used as a placeholder in blockcart
	[-] MO : blocknewsletter fix bad display when a wrong address is sent

	[-] WS: add a modifier system for the attributes of the entities
	[-] WS: delete image on database even if it not exists on the disk #PSCFV-5799
	[-] WS: adding a new order history must call OrderHistory::addWs()

	[-] PDF : PNG files take up to 1 second to be processed by TCPDF - Replaced the default PNG logo by a jpg for PDF.
	[-] PDF : fixed TCPDF issue: sometimes the disk cache for images is deleted but the image is still present in $imagekeys, thus TCPDF looks all over the web for an inexisting image

	Improved/changed features:

	[*] Project: rename class Collection to PrestaShopCollection

	[*] Installer : Less confusing French e-mail.
	[*] Installer : you can now share your experience with your friends!
	[*] Installer : added safe, automatic detection of rewrite
	[*] Installer: add an option to create the database on the console installer

	[*] FO : Better 404 alt text
	[*] FO : generate product and category images in the right format on the fly when 404
	[*] FO : added onblur for fields validation
	[*] FO : Added file size to the attachments    // Quickfixed CCC (need review)
	[*] FO : Move css header modules to css/modules folder
	[*] FO : Update Minify HTML    // Changed tab order #PSCSX-236
	[*] FO : movde header id to classes

	[*] BO: updating labels and descriptions for AdminThemes view.tpl.
	[*] BO: updating labels and descriptions for AdminThemes.
	[*] BO : Improvement #PSCSX-541 Add bulk actions to Warehouses list
	[*] BO : Improvement #PSCSX-221 Show update items button
	[*] BO: typos ("cant") in AdminThemes.
	[*] BO : FixBug Missing filter by category translation, thanks to @indesign47
	[*] BO : Nav + Theme fixs
	[*] BO : modules can now use ajax action on their HelperList    // javascript that manage the ajax on helperlist is show only if one field use ajax
	[*] BO : css is now changing live in your account preferences
	[*] BO : Improvement #PSCSX-294 - Dashgoals
	[*] BO : fix dropdown
	[*] BO : fixed PSCSX-463 - tree actions search
	[*] BO : add scheme choice for BO employees
	[*] BO : Improvement #PSCSX-443 Maintenance alert when changing default currency
	[*] BO : required fields on customization
	[*] BO : updated config.xml management for module (one file by language)
	[*] BO : Clear XML cache
	[*] BO : login fix
	[*] BO : refacto sass structure (part 2)
	[*] BO : refacto sass structure
	[*] BO: updating labels and descriptions for AdminFeatures.
	[*] BO: updating labels and descriptions for AdminCurrencies.
	[*] BO: updating labels and descriptions for AdminCountries.
	[*] BO: updating labels and descriptions for AdminCarriers.
	[*] BO: updating labels and descriptions for AdminBackup.
	[*] BO: updating labels and descriptions for AdminOrder.
	[*] BO: updating labels and descriptions for AdminStatuses.
	[*] BO: updating labels and descriptions for AdminSlip.
	[*] BO: updating labels and descriptions for AdminDelivery.
	[*] BO: updating labels and descriptions for AdminReturn.
	[*] BO: updating labels and descriptions for AdminInvoices.
	[*] BO: updating labels and descriptions for orders/form.tpl.
	[*] BO : Update Addons modules and templates live display
	[*] BO : fixed google map in orders
	[*] BO: updating labels and descriptions for AdminOrders.
	[*] BO: updating labels and descriptions for AdminCustomers.
	[*] BO: updating labels and descriptions for AdminGroups.
	[*] BO: updating labels and descriptions for AdminContacts.
	[*] BO: updating labels and descriptions for AdminGenders.
	[*] BO: updating labels and descriptions for modules_positions/form.tpl.
	[*] BO: updating labels and descriptions for modules_positions/list_modules.tpl.
	[*] BO: removed French text from form_ranges.tpl.
	[*] BO: updating labels and descriptions for AdminCarrierWizard.
	[*] BO: updating labels and descriptions for AdminShipping.
	[*] BO: updating labels and descriptions for AdminRequestSql.
	[*] BO: updating labels and descriptions for AdminTabs.
	[*] BO: updating labels and descriptions for AdminProfiles.
	[*] BO: updating labels and descriptions for AdminQuickAccesses.
	[*] BO : Categories improvement #PSCSX-340 return to list after category creation
	[*] BO : Recommended modules & badges
	[*] BO: updating labels and descriptions for AdminTaxRulesGroup.
	[*] BO : fix icon check + product image  (fix PSCSX-378)
	[*] BO: updating labels and descriptions for AdminTaxesController.
	[*] BO: updating labels and descriptions for AdminTranslations (translation_modules.tpl).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_mails.tpl).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_form.tpl)(2).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_form.tpl).
	[*] BO: updating labels and descriptions for AdminTranslations (translation_errors.tpl).
	[*] BO : fix growl notification
	[*] BO: updating labels and descriptions for AdminTranslations.
	[*] BO: updating labels and descriptions for AdminPreferences.
	[*] BO : fixed some css issues + recommended modules modal
	[*] BO : adminthemes : warning added in order to suggest to regenerate thumbnail
	[*] BO : Switched to official bootstrap sass repository => https://github.com/twbs/bootstrap-sass    + fix modal overlay
	[*] BO : Tweak css (menu, modal, footer)
	[*] BO: updating labels and descriptions for AdminCustomerThreads (2).
	[*] BO: updating labels and descriptions for AdminCustomerThreads.
	[*] BO : fixed bug #PSCSX-359 - added delete confirmation for carrier logo
	[*] BO: updating labels for AdminModulesPositions.
	[*] BO: updating labels for AdminDashboard.
	[*] BO: updating description for AdminModules.
	[*] BO : Improvement #PSCSX-293 Remove icon for menu entry
	[*] BO : Improvement #PSCSX-272 remove optimisation tips switch
	[*] BO : Improvement #PSCSX-223 - Check and update modules
	[*] BO : Improvement #PSCSX-235 - Remove multishipping option
	[*] BO : Improvement #PSCSX-28 - Update all modules button
	[*] BO : updated contextual help (part #1)
	[*] BO : Wording improvement #PSCSX-275
	[*] BO : improve breadcrumb with custom names
	[*] BO : new breadcrumb management
	[*] BO: clarifying discount option hint (2). Fixes PSCSX-289.
	[*] BO: updating option labels et descriptions for AdminShopGroup (2).
	[*] BO: updating option labels et descriptions for AdminShopGroup.
	[*] BO: clarifying discount option hint. Fixes PSCSX-289.
	[*] BO: updating option labels et descriptions for AdminSupplyOrders.
	[*] BO: updating option labels et descriptions for AdminStockCover.
	[*] BO: updating option labels et descriptions for AdminStockManagement.
	[*] BO : module page optimization
	[*] BO: updating option labels et descriptions for AdminWarehouses.
	[*] BO: updating option descriptions for AdminReferrers.
	[*] BO: updating option labels et descriptions for AdminEmployees.
	[*] BO: updating option labels et descriptions for AdminAdminPreferences.
	[*] BO: updating option labels et descriptions for AdminWebservice.
	[*] BO: updating option labels et descriptions for AdminEmails.
	[*] BO: updating option labels et descriptions for AdminPerformance.
	[*] BO : tab name can now be up to 64 chars
	[*] BO: updating option labels et descriptions for AdminInformationController.
	[*] BO: updating option labels et descriptions for AdminSearchConf.
	[*] BO: updating option labels et descriptions for AdminStores.
	[*] BO: updating option labels et descriptions for AdminImages.
	[*] BO: updating option labels et descriptions for AdminCms (2).
	[*] BO: updating option labels et descriptions for AdminCms.
	[*] BO: updating option labels et descriptions for AdminMeta.
	[*] BO : Remove undefined images formats when deleteOldImages
	[*] BO : Copying a price rule on a cart now also duplicates product/category filters
	[*] BO : added legend colors in dashactivity
	[*] BO : added callback in /js/admin-dashboard.js: toggleDashConfig()
	[*] BO : AdminThemes : the themes can now specify the number of products per page in their config.xml
	[*] BO: updating option labels et descriptions for AdminThemesController.
	[*] BO: updating option labels et descriptions for AdminCustomerPreferences.
	[*] BO: updating option labels et descriptions for AdminPPreferences (2).
	[*] BO: updating option labels et descriptions for AdminPPreferences.
	[*] BO : improvement of multiple sql queries using order current states

	[*] CORE : css and js versionning
	[*] CORE : Improvement #PSCSX-506 FancyBox message size
	[*] Core : added the possibility to choose between 301, 302 and no redirection to the canonical URL
	[*] Core : MAJ Archive_Tar
	[*] CORE : Remove zero size css file from stack
	[*] CORE: add removeCSS & removeJS
	[*] Core: allow to call hooks with a different shop - usefull in the BO - #PSCFV-10530
	[*] Core : let's switch to jQuery 1.10 !

	[*] MO : Themeconfigurator - Improvement #PSCSX-512 redirect to shop after save theme options
	[*] MO : statsdata updated
	[*] MO: updating labels and descriptions for vatnumber module.
	[*] MO: updating labels and descriptions for trackingfront module.
	[*] MO: updating labels and descriptions for statsvisits module.
	[*] MO: updating labels and descriptions for statsstock module.
	[*] MO: updating labels and descriptions for statssearch module.
	[*] MO: updating labels and descriptions for statssales module.
	[*] MO: updating labels and descriptions for statsregistrations module.
	[*] MO: updating labels and descriptions for statsproduct module.
	[*] MO: updating labels and descriptions for statspersonalinfos module.
	[*] MO: updating labels and descriptions for statsorigin module.
	[*] MO: updating labels and descriptions for statsnewsletter module.
	[*] MO: updating labels and descriptions for statslive module.
	[*] MO: updating labels and descriptions for statsforecast module.
	[*] MO: updating labels and descriptions for statsequipment module.
	[*] MO: updating labels and descriptions for statsdata module.
	[*] MO: updating labels and descriptions for statscheckup module.
	[*] MO: updating labels and descriptions for statscatalog module.
	[*] MO: updating labels and descriptions for statscarrier module.
	[*] MO: updating labels and descriptions for statsbestvouchers module.
	[*] MO: updating labels and descriptions for statsbestsuppliers module.
	[*] MO: updating labels and descriptions for statsbestmanufacturers module.
	[*] MO: updating labels and descriptions for statsbestcustomers module (2).
	[*] MO: updating labels and descriptions for statsbestcategories module (2).
	[*] MO: updating labels and descriptions for statsbestproducts module.
	[*] MO: updating labels and descriptions for statsbestcustomers module.
	[*] MO: updating descriptions for socialsharing module.
	[*] MO: updating labels and descriptions for sekeywords module.
	[*] MO: updating labels and descriptions for producttooltip module.
	[*] MO: updating labels and descriptions for productscategory module.
	[*] MO: updating labels and descriptions for productpaymentlogos module.
	[*] MO: updating labels and descriptions for pagesnotfound module.
	[*] MO: updating labels and descriptions for homeslider module.
	[*] MO: updating labels and descriptions for homefeatured module.
	[*] MO: updating labels and descriptions for gridhtml module.
	[*] MO: updating labels and descriptions for dashproducts module.
	[*] MO: updating labels and descriptions for crossselling module.
	[*] MO: updating labels and descriptions for cheque module.
	[*] MO: updating labels and descriptions for blockviewed.
	[*] MO: updating labels and descriptions for blocktopmenu.
	[*] MO: updating labels and descriptions for blocktags.
	[*] MO: updating labels and descriptions for blocksupplier.
	[*] MO: updating labels and descriptions for blockstore.
	[*] MO: updating labels and descriptions for blockspecials.
	[*] MO: updating labels and descriptions for blocksocial.
	[*] MO: updating labels and descriptions for blocksharefb.
	[*] MO: updating labels and descriptions for blockrss.
	[*] MO: updating labels and descriptions for blockreinsurance.
	[*] MO: updating labels and descriptions for blockpermanentlinks.
	[*] MO: updating labels and descriptions for blockpaymentlogo.
	[*] MO: updating labels and descriptions for blocknewsletter.
	[*] MO: updating labels and descriptions for blocknewproducts.
	[*] MO: updating labels and descriptions for blockmanufacturer.
	[*] MO: updating labels and descriptions for blocklink.
	[*] MO: updating labels and descriptions for blocklanguages.
	[*] MO: updating labels and descriptions for blockcustomerprivacy.
	[*] MO: updating labels and descriptions for blockcmsinfo.
	[*] MO: updating labels and descriptions for blockcms.
	[*] MO: updating labels and descriptions for blockcategories.
	[*] MO: updating labels and descriptions for blockcart.
	[*] MO: updating labels and descriptions for blockbestsellers.
	[*] MO: updating labels and descriptions for blockbanner.
	[*] MO: updating labels and descriptions for blockadvertising.
	[*] MO: updating labels and descriptions for bankwire.
	[*] MO: updating labels and descriptions for blockfacebook.
	[*] MO: updating labels for dashproducts.
	[*] MO: updating option labels et descriptions for Dashactivity module.
	[*] MO : fixed module installs according to the availability of left and right columns
	[*] MO : blocknewsletter - refactored (un)subscribe process
	[*] MO : replaced addsharethis module by custom module and links
	[*] MO : use media servers for themeconfigurator images
	[*] MO : cleaned blockbanner and used media server for the image

	[*] WS: add reference/ean13/upc fields in the orders_row of the order

	[*] TR: Improved behaviour of translation functions when using double quoted strings

	[*] LO: Updated French VAT rates for 2014

	Added Features:

	[+] FO : js and css files in the autoload directory in the theme are now loaded (via CCC) automatically

	[+] BO : Inline Help + theme - Fix PSCSX-491
	[+] BO : Backward compatibility
	[+] BO : Themes
	[+] BO : Color Schemes Variations
	[+] BO : AdminThemes : change layout of the theme installation    // added psVersion to the addons call
	[+] BO : AdminThemes : theme meta upon theme update layout changed
	[+] BO : AdminThemes : workflow to add a theme without import changed
	[+] BO : added authors in modules list view
	[+] BO : AdminModules : module warning now link to the module's configuration
	[+] BO : added third arg to addJqueryPlugin to specified the inclusion of the css
	[+] BO : form_group_class can be specified to add a class to the  form-group wrapping the input
	[+] BO : added toolbar condition for iframe
	[+] BO : adminthemes : upon theme install, unspecified native module are disable
	[+] BO : Added bulk change order status

	[+] CORE : Add footer toolbar to forms
	[+] CORE : ImageManager - Add error handling for resize function
	[+] CORE : Generic redirection handle after object status update
	[+] CORE : Add preTable block to list header helper template
	[+] CORE : Add force bulk action to show variable when list count <= 1
	[+] CORE : HelperTreeCategories - Add input name variable

	[+] LO : Added Macedonian Installer
	[+] LO : Added Simplified Chinese Installer


####################################
#   v1.6.0.2 - (2013-12-19)  #
####################################

	Improved/changed features:

	[*] Installer: install fixtures before modules

	[*] FO : Dynamization of the number of items per page
	[*] FO : Added posibilty to display new price instead of quantity discount
	[*] Fo : Report of https://github.com/PrestaShop/PrestaShop/commit/f2d70076bd1cb7e4953978cca6d147ced72f4fa2
	[*] FO : Move header modules to new hook, last part 2/2
	[*] FO : Fixed issue with custom statues does not have any color, and text was not visible
	[*] FO : Move header modules to new hook, first part 1/2
	[*] FO: now you can download files >1G without running into max execution limitation    Added @ to suppress warning i safe mode.
	[*] FO: now you can download files >1G without running into max execution limitation    when reading large files ( >1G ), you often get max execution timeout error, this fix will prevent this.
	[*] FO : Move both sliders module on new hook
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/48
	[*] FO : Code cleaning, optimizations, new callstack available in the profiling tools
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/854 again
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/854
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/766
	[*] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/820 + https://github.com/PrestaShop/PrestaShop/commit/5e407db21e3e30a1a5fa94b9558314ffa21af407
	[*] FO : Added getCategory getter in ProductController #PSCFV-8408
	[*] FO : Added the possibility to deactivate customer groups management (for performances) [part 2]
	[*] FO : Added the possibility to deactivate customer groups management (for performances) [part 1]

	[*] BO : switch added on adminthemes
	[*] BO : informations about the default left and right column added in the theme config file
	[*] BO : performance improvement on AdminInvoices loading time
	[*] BO : AdminThemes add form to update the theme_meta
	[*] BO : MVC for myErrorHandler
	[*] BO : AdminModules do not submit form on key Enter
	[*] BO : delete theme_meta on theme delete
	[*] BO : informations about the number of column by page added
	[*] BO : Limit new error handler in BO
	[*] BO : import a theme from a zip placed in the 'themes' folder in AdminThemes
	[*] BO : changed dashgoals system
	[*] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/636
	[*] Bo : removed empty filters from the cookie (thus limiting its size)
	[*] BO : Added option to always rewrite friendly url of product
	[*] BO : Fixes issue with not beeing able to edit weight beacuse string is longer then max length
	[*] BO : AdminImport, check choosen csv exists
	[*] BO : AdminImport, check choosen scv exists
	[*] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/852
	[*] BO : replaced age by total spent in the customer list
	[*] BO : Added countries to order list (idea from PhpMadman https://github.com/PrestaShop/PrestaShop/pull/909)
	[*] BO : Added combination ean13 in the backend search #PSCFV-10436

	[*] CORE : Set PHP error handler
	[*] CORE: original search_query assign to .tpl    Avoid problems with special characters for eg. in polish language like ąźćłó etc.
	[*] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/582
	[*] CORE : Throw Exception when no theme selected only in front office
	[*] CORE : Throw Exception when no theme selected
	[*] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/729

	[*] MO : blockviewed added title tag to image
	[*] MO: blockcontact Adds title tag on link
	[*] MO : Blockrss added title tag to links
	[*] MO : Merge of https://github.com/PrestaShop/PrestaShop/pull/721

	[*] PDF : Merge of https://github.com/PrestaShop/PrestaShop/pull/873

	[*] LO : Corrected units for weight/volume/distance    UK uses Metric for weight, volume and short distances but uses Imperial  for long distances (i.e. Miles). Yes, it's a silly system here in the UK!    // I will add counties (states) with correct ISO codes when I get chance.

	Fixed bugs:

	[-] FO : Fix real time item compare count on bottom button
	[-] FO : Fix bug #PSCSX-182, could not be redirected to addresses controller
	[-] FO: fixed bug #PSCSX-88
	[-] FO : Fix bug #PSCSX-107 qty input on virtual
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/7e841c4448ae70d762d33787da120b6695077f86
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/1140b5e8b5f7d10c8b34fc255269f80a34254901
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/50eee795ed9a2e592e25a8adf52f45a6eec84d11
	[-] Fo : Report of https://github.com/PrestaShop/PrestaShop/commit/26d1ad0668bdcf573d84f2ff267951239c462c19
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/c8dfe1c17442b2d9d5f40520a4e633181a1ed9dc
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/f0f630fb5070d0401fec07815aba21ce5e159b4e
	[-] Fo : Report of https://github.com/PrestaShop/PrestaShop/commit/6ef7f258eac40bf45a98ef6ba5dc4f2c5e3ea312
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/c7323c2bfeb019074a408a68e0b58f30cb36de01
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/7c1623c7fab3bbb6a92be2395ee81f9175775f96
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/2ffc2962790e8ca0c8b2c4688fdd82dec3c76382
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/81945cef71fe56ad15b2719e3143ae490a97290f
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/6d3640e895924a48480ff9f52e56658e0a8621f9
	[-] FO : Report of https://github.com/PrestaShop/PrestaShop/commit/ad4ecefcf97d356308f7ebbb99a3755e4ee7793a
	[-] FO : Fix versatile jQuery selector    `:hidden` selects form elements with `type="hidden"` but also : elements with `display:none`, elements with their width/height equal to zero and which the ancestor element is hidden.    `input[type=hidden]` is more appropriate for those reasons.
	[-] FO : Remove bad links on home tabs
	[-] FO : fixed product comparator when there are no products anymore
	[-] FO : Added condition to display the phone number only if it is set up in the admin
	[-] FO : Fix bug #PSCFV-11190 double escaping on customization
	[-] FO : fixed cart rules cache id #PSCFV-11123 #PSCFV-11175
	[-] FO : fixed potential error when you delete a best seller #PSCFV-11167
	[-] FO : CCC do not withdraw \t+ and \s+
	[-] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/718
	[-] FO : trailing \t in minified html
	[-] FO : Merge of https://github.com/ldecoker/PrestaShop/commit/d3bf4d233005511e08554a7c283e0b992815e01a
	[-] FO : Merge of https://github.com/PrestaShop/PrestaShop/pull/696
	[-] FO : exclude external css from CCC #PSCFV-10839
	[-] FO : header add translation for fields
	[-] FO : Contact-form add translation for fields
	[-] FO : Fixed bug #PSCFV-11076
	[-] FO : fixed tax rules cache
	[-] FO : Fixed meta title entities #PSCFV-10312
	[-] FO : Fix bug #PSCFV-11052 no carrier fess whne tax display to false
	[-] FO : Fix #PSCFV-11069 remove unused file

	[-] BO : fix theme config file format for meta
	[-] BO : fix check column existence
	[-] BO : duplicate function
	[-] BO : fix associated table theme_meta
	[-] BO : FixBug #PSCSX-190 button ducplicated
	[-] BO : Fix duplicate button on dashboard configuration
	[-] BO : Fixbug #PSCSX-140 - Module anchor after search
	[-] BO : Update correcte date value on dashboard
	[-] BO: Fix language fields validator
	[-] BO : improved simulation mode in the dashboard
	[-] BO : Report of https://github.com/PrestaShop/PrestaShop/commit/8d3c78f6b2dc2aeb2e48dc6e99c2914f3fb4d32d
	[-] BO : FixBug uploading product image with empty legend.
	[-] BO : FixBug #PSCSX-133 - Error in validation process
	[-] BO : fix bug in adminthemes
	[-] BO : fix bug in adminthemes while updating the mobile theme parameter
	[-] BO : FixBug #PSCSX-160 Missing button
	[-] BO : FixBug #PSCSX-84 Fix image mapping position
	[-] BO : FixBug #PSCSX-122 Live module favorite
	[-] BO : FixBug #PSCSX-115 Friendly URL generated
	[-] BO : FixBug #PSCSX-116 Wrong friendly url hint description
	[-] BO : Set correct table alias name in updatePosition
	[-] BO : FixBug #PSCSX-37 - Double upload in carrier wizard
	[-] BO: call actionProductUpdate hook on status change
	[-] BO : FixBug #PSCSX-86 Missing color selector
	[-] BO : FixBug #PSCSX-91 Wrong texture display in products attributes colors
	[-] BO : FixBug #PSCSX-100 wrong checkbox integration
	[-] BO : carrier wizard no fees display
	[-] BO : Fixes for Advanced Stock Management Import    [*] BO : Combinations import supports Advanced Stock Management    [*] BO : Advanced Stock Management import now supports stock increase    [*] BO : Advanced Stock Management stock unit price uses wholesale_price (Product Cost) or 0.00001 if not set    [*] BO : Added Advanced Stock Management to csv import docs
	[-] BO : fixed bug #PSCSX-76 - carrier wizard fees not display after reload carrier
	[-] BO : fixed top right link with the "open in a new tab" button
	[-] BO : Better maxlength on shippinh input fields
	[-] BO : Fix timeout handling on product images regeneration
	[-] BO : carrier wizard range tab now overflow scroll
	[-] BO : carrier wizard fixed when select zone and set no shipping fees
	[-] BO : carrier wizard, remove fees when desabled zone
	[-] BO : Fix bug #PSCFV-11162 AdminImport, Exception on ProductSupplier
	[-] BO : better error display for forgotten password #PSCSX-58
	[-] BO: Add some useful hooks to modify the listings/options/forms
	[-] BO : Adminimport reset selected csv if not exists
	[-] BO : Category code cleaning, fixing, moving and multistore-ing
	[-] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/819
	[-] BO : Merge of https://github.com/smilesrg/PrestaShop/commit/b7b79ff4614e5be7891f8702acdc46c8303a2fdd
	[-] BO : Undefined on image upload, revert of https://github.com/PrestaShop/PrestaShop/commit/48b7a49b1aea34a2def355ffec1d4c08dfdbdfd6
	[-] BO : Double separator in function createTemplate()    smarty->getTemplateDir() returns a result ending with a separator,    so no need to add DIRECTORY_SEPARATOR ?
	[-] BO : FixBug #PSCSX-40 categories unchanged after select a new home category
	[-] BO : AdminImport new supplier csv
	[-] BO : AdminImport products add missing fields    Add to file header : Width, Height, Depth, Minimal quantity, Visibility, Additional shipping cost, Unity, Unit price ratio
	[-] BO : AdminImport add image suppliers
	[-] BO : AdminImport add image manufacturers
	[-] BO : Cart rules optimization / Attempt to fix #PSCFV-8895 (need to be double-checked)
	[-] BO : AdminImages manufacturers/suppliers/stores image    • Missing logo Fashion_Manufacturer.jpg (small/medium/large)    install-dev/fixtures/fashion/img/m    • Missing logo Fashion_Supplier.jpg (small/medium/large)    install-dev/fixtures/fashion/img/su
	[-] BO : getCartsRuleByCode should be retrocompatible
	[-] BO : Fixed potential errors with untranslated admin tabs #PSCFV-8104
	[-] BO : Remove warning with open_basdir on module list
	[-] BO : fixed bug #PSCSX-25 - carrier wizard summary design and missing infos
	[-] BO : fixed bug #PSCSX-32 class-danger on mail send error
	[-] BO : FixBug #PSCSX-33 Misplaced save button

	[-] Core: remove module overrides if installation failed
	[-] CORE : Fix missing php self
	[-] CORE : FixBug duplicate hook in getHookModuleExecList
	[-] CORE: Fix Pagination problem
	[-] CORE : FixBug #PSCSX-132 - file drag & drop
	[-] CORE : After adding cart rule redirect improvements    This allows us display success message after adding CartRule or create other actions
	[-] CORE : FixBug #PSCSX-89 - Up configuration name size to 255
	[-] CORE : Ensure correct parent category for home categories
	[-] Core: Fix #PSCFV-11165 numerical configuration values should not be overridden if the value is the same between shop and global context
	[-] Core : integrated modified pull request https://github.com/ExploZe/PrestaShop/commit/40abb0aa72607ddfe912b364d8fc7d65733d2bd8
	[-] CORE : Remove notices on ob clean
	[-] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/816
	[-] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/813
	[-] CORE : Merge of https://github.com/PrestaShop/PrestaShop/pull/814
	[-] CORE : No Exception when CONTENT_LENGTH is no set
	[-] Core : fixed smarty escape htmlall > html

	[-] MO : homeslider - FixBug #PSCSX-213 missing pointer on description zone
	[-] MO : homeslider - add on description click event
	[-] MO : homeslider - fix wrong text position
	[-] MO : Blockbanner - FixBug #PSCSX-155
	[-] MO : homeslider - FixBug #PSCSX-158
	[-] MO : themeconfigurator - Fix live configurator posistion
	[-] MO : Themeconfigurator - FixBug #PSCSX-135
	[-] MO : Blockcart #PSCSX-176 - Fix Scroll top
	[-] MO : homeslider -  FixBug #PSCSX-178 - missing php_self variable declaration
	[-] MO : blocktopmenu FixBug #PSCSX-151 - Move Buttons
	[-] MO : fixed warning in addsharethis
	[-] MO : cheque - FixBug #PSCSX-164 - typo
	[-] MO : Blocktopmenu - Fix missing categories and cms categories options
	[-] MO : BlockLayered - FixBug #PNM-1331 Categories now filtered by groups
	[-] MO : BlockLayered - FixBug #PNM-468 Correct sprintf format
	[-] MO : BlockLayered - FixBug #PNM-468 Wrong filter unit
	[-] MO : blockcms - Clean cache when "display on footer" parameter is updated
	[-] MO : Newsletter - FixBug #PSCSX-113 - Missing id in field desc
	[-] MO : BlockLayered - Fix missing attribute anchor separator
	[-] MO : display_column_left not assigned to smarty in modules initContent() + ssl on loyalty front controller
	[-] MO : Dateofdelivery Fix bug #PNM-1773 when a product has an available date
	[-] MO : Bug fix - Blockwishlist, Product image link in BO
	[-] MO : cheque add translation for fields
	[-] MO : bankwire add translation for fields

	[-] WS : Fix bug #PSCFV-11328 : Don't insert attribute image(s) id if no id to insert    There was an issue with the webservice where inserting an empty <images node_type="image"></images> tag would result in an error 500 when it was not needed.
	[-] WS: update product default combination after updating a new add or modify a combination

	Added Features:

	[+] FO : Missing old default templates

	[+] BO : Add error control to modules uploading
	[+] BO : Merge of https://github.com/PrestaShop/PrestaShop/pull/570
	[+] BO : AdminSearchConf add import alias
	[+] BO : AdminAttributes add import combinations
	[+] BO : AdminProducts add import products

	[+] Core: Allow to disable modules on each devices && Mobile Detect library update
	[+] CORE : Merg of https://github.com/PrestaShop/PrestaShop/pull/775

	[+] MO : Add name value when hover color in blocklayered.tpl - Thanks @codeurWeb


####################################
#   v1.5.6.1 - (2013-11-18)  #
####################################

	Fixed bugs:

	[-] Project : missing ui.menu in jquery_ui_dependencies.

	[-] FO : Fix bug #PSCFV-11043, bad cache id from module template
	[-] FO : Missing sup for DNI field
	[-] FO : Fix bug #PSCFV-10911, doubles in cart rules highlight
	[-] FO : Bad value for back when controller name is sent
	[-] FO : FixBug #PSCFV-9291 - Ecotax increment display price in product combination
	[-] FO : fix contact-form id_order input when customer is not logged
	[-] Fo : Call  Gmaps on https if required
	[-] FO : Wordwrap on prices in history
	[-] FO : Fixed errors when calculating most selled products from footer link
	[-] FO : #PSCFV-10978 firstname displayed instead of lastname in invoice address
	[-] FO : Customized meesage with carriage return follow up #962
	[-] FO : getTaxCalculator bad cache key again // sorry about that
	[-] FO : getTaxCalculator bad cache key
	[-] FO : Prevents warning in safePostVars when $_POST has been unset
	[-] FO : in multistore payment module restrictions by customer group was not applied to specific shop
	[-] FO : Fix bug #PSCFV-10892, getCMSPages by id_shop thnaks @jd440
	[-] FO : FixBug Categories description
	[-] FO : Fix bug #PSCFV-10889 wrong color when oos product
	[-] FO : CustomerMessage ip_address to string
	[-] FO : Fix bug #PSCFV-10851, no shop restriction in vouchers display in cart
	[-] FO: fixed bug #PSCFV-10654 - TinyMCE editor: List of products by manufacturer, products by supplier - Long description is not hidden.
	[-] FO: Fix bug #PSCFV-10623 blocknewproducts shows products when PS_NB_DAYS_NEW_PRODUCT == 0
	[-] FO: Fix bug #PSCFV-10230, Blockspecials still caching when files cache limit is 0
	[-] FO: Fix bug #PSCFV-10625 Js error on carriers step if AjaxCart disabled
	[-] FO : Follow up https://github.com/PrestaShop/PrestaShop/pull/879
	[-] FO: removed width on message product select    Limiting select could make the user think the select is not working if they click to much to the left on bigger screens
	[-] FO : Prevent fatal error on getUniqReference when order not loaded
	[-] FO: Don't auto detect language if it not associated to the shop #PSCFV-10273
	[-] FO : Could not redirect back to url in adress.php
	[-] FO : $back value twice escaped
	[-] FO : #PSCFV-10640 again, bad assignement
	[-] Fo : Fix bug #PSCFV-10640, redirect loop when country address is not among active countries in OPC
	[-] FO : Fix bug #PSCFV-10688, bad priceDisplay in order-carrier
	[-] FO : Fix #PSCFV-10690 again, change just on directories
	[-] FO : Fix bug #PSCFV-10690 could not index a category beacause of robot.txt
	[-] FO : Copuld not load datepicker in trackingfront stats.php
	[-] FO : Fix bug #PSCFV-10497 cart_block hooked on column disappearing
	[-] FO : Fix bug #PSCFV-10606 could not have correct taxCalculationMethod when vat number in customer address

	[-] BO : Fix bug #PNM-1594, selected value error in helper list
	[-] BO: product price was changed on changing to advanced stock management #PSCFV-10996
	[-] BO : Fix warning when no memcached servers
	[-] BO : Fix #PSCFV-11016 typo
	[-] BO : Model return html error messagae instead of json while image uploading
	[-] BO : Product final price can not be hidden on loading tab, report of https://github.com/PrestaShop/PrestaShop/commit/6c6c3b240ee2249b7f99be1a112905cd0edbee46
	[-] BO : test on xml string follow up https://github.com/PrestaShop/PrestaShop/pull/690#issuecomment-28542506
	[-] BO : 406 when mod_security follow up https://github.com/PrestaShop/PrestaShop/commit/034e6a7e7f391e3a8861248db45a4a376b19633c
	[-] BO : AdminImport, execption when creating groups
	[-] BO : Fix bug #PSCFV-10990 bad version comparison for ps_versions_compliancy
	[-] BO : Fix bug #PSCFV-10982 reduction group truncated
	[-] BO : Could not check all modules after ajax call
	[-] BO : Fix css bug #PSCFV-10899, fixed fix-toolbar z-index
	[-] BO : Fix bug #PSCFV-10932, ranges input disabled on load
	[-] BO : getCMSPages to associated shop in cmscontroller
	[-] BO : Fix bug #PSCFV-10666 product_supllier currency set to 0
	[-] BO : Fix bug #PSCFV-10937, bad escaping for var product_prices in prices.tpl
	[-] BO : Cart was not using order reference, corrected syntax
	[-] BO : Cart was not using order reference
	[-] BO : Could not change image position
	[-] BO: Fix from name when replying to customer threads
	[-] BO : Do not enable rewrite url for index
	[-] BO: Fix empty group list on changing opt or newsletter on customers listing
	[-] BO : AdminImport withdraw separator changed in js
	[-] BO : AdminImport wrong group by default
	[-] BO : FixBug #PSCFV-10882 - Add json encode and decode smarty modifier via tools class
	[-] Bo : AdminImport customer group default
	[-] BO : Fix bug #PSCFV-10872 AdminImport could not import supllier orders
	[-] BO: fix the checkbox of shop activation on modules configuration
	[-] BO : Adminimport default customers group
	[-] BO : tagify call twice if field is not translatable
	[-] BO : Stats are empty when no conversion rate
	[-] BO : Order-follow displayed order id instead of order reference
	[-] BO : hide stmp options when selecting never send emails
	[-] BO : FixBug #PSCFV-10866 - Tagify system not working
	[-] BO : FixBug #PSCFV-9319 - display only valid order id
	[-] BO : Do not delete other default jpg when _deleteOldImages and type defined
	[-] BO : AdminImport, fix bug from https://github.com/indesign47/PrestaShop/commit/84454bbc1c7a315e232245c5e43b300b8f153473#commitcomment-4418502
	[-] BO : Fix bug #10689, could not set image legend in back office
	[-] BO : Fixed bug PSCFV-9910 using basic queries to prevent locking errors
	[-] BO : Fix bug #PSCFV-10718 AdminAttachments old file not deleted on update
	[-] BO : FixBug #PSCFV-10600 - Unmatched Boundary with mod_security
	[-] BO : fix #PSCFV-10728, prices incorrectly formatted when creating new order from BO
	[-] BO : FIx bug #PSCFV-10736 again, fixing query when product is not in base
	[-] BO : FIx bug #PSCFV-10736, could not load a product given from getBoughtProducts
	[-] BO : Fix bug #PSCFV-10790, Customer group names not exploded
	[-] BO: product listing should call Product::getPriceStatic() with the product default shop in the context when it is not a shop context
	[-] BO: Synchronize stock available after receipt supply order items #PSCFV-10724
	[-] BO : Fix bug #PSCFV-10638, Admin Import by reference moves products to home category
	[-] BO : Fix bug #PSCFV-7907 AdminImport, add custom field to features
	[-] BO : Fix bug #PSCFV-10767, could not retrieve feature value when product IDs not forced
	[-] BO : Fix bug #PSCFV-10607 one upload name
	[-] BO : wrong csv files name
	[-] BO : Report of https://github.com/PrestaShop/PrestaShop/commit/fd86a29c5c369ec5da0f91bbe97c584a00d02d0d
	[-] BO: Default country should be overriden in the context in multishop
	[-] BO : Fix bug #PSCFV-10709 rename root category with slashes in it
	[-] BO : Could not order by reserved words like 'key'
	[-] BO : AdminImport, wrong default separators
	[-] BO : Fix bug #PSCFV-10692, AdminImport bad utf8 cars for subst
	[-] BO : Fix #PSCFV-10678 warning in chrome
	[-] BO : FixBug #PSCFV-10671 - remove htmlentities on customer message
	[-] BO : Could not insert referrer id_connections_source can not be null
	[-] Bo :  Could not update mailalert 2.5 with id_lang missing
	[-] Bo :  Could not update mailarler 2.5 with id_mlang
	[-] BO: Fixbug #PSCFV-10671 - Double htmlentities.
	[-] BO : AdminImport, fix Group searchByName
	[-] BO : Adminimport, id_specific key_price not defined
	[-] BO : FixBug - Remove second email in recipient
	[-] BO : Fix bug #PSCFV-10660, could not delete csv file on NT
	[-] BO : FixBug #PSCFV-9957 - Duplicate order invoice number
	[-] BO : fixed bug #PSCFV-10637 PS_CARRIER_DEFAULT is not updated after edit default carrier
	[-] BO : AdminImport no default value for separators
	[-] BO : pass correct typed parameter to setCurrency

	[-] Classes : Hook - Installer & context shop id
	[-] Classes : Modules listing and case insensitive

	[-] Core: Group::getCurrent() return the default customer group of the shop if default customer group is not associated to shop
	[-] CORE : invalid method name in displayAjax method of Controller action
	[-] CORE : Fix bug #PSCFV-10901 warnings on htmlentities
	[-] CORE : Currency conversion rate can not be 0
	[-] CORE : SetEnv in if statement
	[-] CORE : SetEnv not available on all config // @todo curl request on dummy .htacces
	[-] CORE : Fix bug #PSCFV-10687 again, #PSCFV-10752 replaceAccentedChars() // sorry for that
	[-] CORE : error_get_last > PHP 5.1
	[-] Core: Out of stock status should be setted after the first order history
	[-] Core: Product::getPriceStatic called with 1 quantity return the specific price for 1 qty if called with id_cart = 0
	[-] CORE : Fix bug #PSCFV-10687 bad conversion for accentuated Y and W, thanks @mike15
	[-] CORE : $smarty->compile_check is not set to false, thanks @prestamodule

	[-] MO : Referralprogram Prevent Exception when badly configured
	[-] MO : Missinag closing href
	[-] MO :Fixed #PNM-1654 (Loyalty module) by using most expensive attribute instead of default one
	[-] MO : Mailalert was not using order reference
	[-] MO : Blocklayered follow up https://github.com/PrestaShop/PrestaShop/commit/a6e67b078e067445eef358e907649e843a1dc26a#commitcomment-4538556
	[-] MO : Fixed #PNM-1600 by modifying getPageLink()
	[-] MO : Blockcategories last_visited_category must not be cached
	[-] MO : Could not translate in transit mail, revert from https://github.com/viger-creator/PrestaShop/commit/3213b5dffb266ddb0639b94f72babd892328ffa2
	[-] MO : mailalert - Fix deprecated warning on displayDate
	[-] MO : Blockwishlist no product image when id_product_attribute is defined, thanks @Broceliande
	[-] MO : Fix NetworkError 404 Not Found on admin in blocklayered.php    These files not exists :     - /js/jquery/jquery-ui-1.8.10.custom.min.js     - /css/jquery-ui-1.8.10.custom.css
	[-] MO : Fix bug #PSCFV-10841, blockcart hides on product page when last product is removed from cart
	[-] MO : Fixbug #PSCFV-10679 dateofdelivery PDF invoice array and array
	[-] MO : Fixed bug PNM-1431 - referralprogram  Lack the % sign
	[-] MO : Fix bug #PSCFV-10787, cms associated to all shops
	[-] MO : if customer is logged we do not recreate it
	[-] MO : Fix bug #PSCFV-10775, could not upload .jpeg in TinyMCE
	[-] MO : ScrollTo not loaded
	[-] MO : Trackingfront, could not load employee stats date

	[-] WS: Fix bug #PSCFV-10970 use configuration for uploaded images quality
	[-] WS: Fix stockavailables list when stock is shared between shops #PSCFV-10793
	[-] WS: Fix #PSCFV-10672 order by ID for non multishop entities

	Improved/changed features:

	[*] FO : DNI can be not required
	[*] FO : Fix #PSCFV-8715 add product.attributes in carrier tpl
	[*] FO : set at least a class to body
	[*] FO : addTextFieldToProduct without Line feed, follow up https://github.com/PrestaShop/PrestaShop/pull/962#issuecomment-28294571
	[*] FO : https on TOS in fancybox, follow up https://github.com/PrestaShop/PrestaShop/pull/956
	[*] FO : Redirect to address.tpl when !Address::isCountryActiveById
	[*] FO : Cache on getDiscountsCustomer, follow up https://github.com/PrestaShop/PrestaShop/pull/960
	[*] FO : Set cache for StockAvailable::getQuantityAvailableByProduct
	[*] FO : Added posibilty to display new price instead of quantity discount
	[*] FO: Follow up https://github.com/PrestaShop/PrestaShop/commit/e86c56172dad2892d5c7e7dbb0908b0f4ffbaae0
	[*] FO: Can not establish purchase total when tax incl.
	[*] FO : Fix bug #PSCFV-10689 handle image legend
	[*] FO: Removed missplaced </li> on mobile theme

	[*] BO : AdminPerformances Hide warnings message when not necessary
	[*] BO : add class on TD in standard List    Back office :    Add a class on TD in list created by getList()    In fields_list array of AdminController, we can add a new parameter('class')    example :    		'name' => array(    			'title' => $this->l('Name'),    			'width' => 150,    			'class' => 'ma_classe',    			'filter_key' => 'b!name'    		),    This parameter can be used for javascript effect, ...    Thanks.
	[*] BO : New import csv files
	[*] BO : Manual merge of https://github.com/PrestaShop/PrestaShop/pull/891 1/2
	[*] BO : AdminProducts find smallest images
	[*] BO : improved unicode characters replacement in URLs (Russian and Ukrainian characters added)
	[*] BO : AdminImport add img manufacturers-suppliers
	[*] BO : AdminImport add img suppliers
	[*] BO : AdminImport add img manufacturers
	[*] BO : chmod 664 to config.xml file
	[*] BO : Adding a title tag to display the module name on hover like PS 1.4

	[*] CORE : Remove duplicate SQL queries
	[*] CORE : Profiling hide non doubles
	[*] CORE : Cache store for isAssociatedToShop::isAssociatedToShop
	[*] CORE : Manual merge of https://github.com/PrestaShop/PrestaShop/ thanks @kpodemski
	[*] CORE: Add phone_mobile to address format    I honestly do not know why you decided by default to show only the first field of the phone :)    Users often ask me why they don't see their mobile phone on orders in BO.

	[*] MO : Remove calls to isRegisteredInHook in crossselling and productscategory
	[*] MO : New modules version since 1.5.6.0
	[*] MO: blocksharefb optimization
	[*] MO: productcomments optimization

	[*] LO : Fix PSCFV-10876: use IETF code to set language of shop, not 'iso' code, allows to distinguish between chinese variants etc.
	[*] LO : Added states to Spanish localization pack
	[*] LO : Fixed a few bugs with currency formats in Back-Office orders
	[*] LO : set correct currency format for CHF

	Added Features:

	[+] BO : Add debug mode system
	[+] BO : AdminImport add entity Alias

	[+] CORE : Fixed cache_id

	[+] MO : Blockcart - Add error handler on ajax function

	Deprecated methods:

	[~] BO : Export DeliverySlip    The dates range wasn't using the correct sql fields.


####################################
#   v1.5.6.0 - (2013-10-07)  #
####################################

	Fixed bugs:

	[-] Installer : added the missing default tab in the employee
	[-] INSTALLER : Fix bug #PSCFV-8289 bad orders vouchers total after update
	[-] INSTALLER: Wrong SQL query for PS_LEGACY_IMAGES to 0
	[-] INSTALLER: short_description for PREFIX_manufacturer_lang is now type TEXT
	[-] INSTALLER : Fix infinite loop when order message has additional ampersand
	[-] INSTALLER : Fix fatal error in upgrade, could not load configuration class
	[-] INSTALLER : no update value in fix_download_product_feature_active
	[-] INSTALLER : Fix fatal error when upgrading

	[-] FO : isVirtualCart was forced to false
	[-] FO: Fix display of quantity discounts on product pages if the customer is allowable for multiple discount for the same quantity #PSCFV-10580
	[-] FO: packages should be splitted with advanced stock management when carrier is not associated to multiple warehouse
	[-] FO : Fix #PSCFV-10480 again, css fix
	[-] FO : Fix #PSCFV-10480 again css fix
	[-] FO : Fix bug #PSCFV-10478 could not see auto added cart rule voucher on product page
	[-] FO: Fix #PSCFV-10461
	[-] FO : Fix bug #PSCFV-10328 Set country currency if defined when geolocated
	[-] FO: Fix Product::getAttributesGroups() minimal_quantity/weight/available_date should be multishop
	[-] FO : replace ucfirst by ucwords for the customer firstname #PSCFV-10396
	[-] FO : 301 Redirect /iso_lang to /iso_lang/ url
	[-] FO : Fix bug #PSCFV-8917 taxes calculation when changing delivery address
	[-] FO: Fix SSL links on domain_ssl instead domain
	[-] FO : fixed chinese search with multiple symbols #PSCFV-10322
	[-] FO : Partial fix of adding gift on cart rule on the same entity in the cart rule
	[-] FO : Fix bug #PSCFV-10118 quantity not updated when cart rules give the same product as gift
	[-] FO : fixed bug when is virtual cart on OPC carriers is no longer displayed
	[-] FO : FixBug when route id is empty

	[-] BO : Bug fix - Modules confirmation messages
	[-] BO : Retro compat, PS_ADMIN_DIR not defined //bad commit sorry
	[-] BO : Employee's default_tab may not exists, switching to AdminOrders
	[-] BO : Retro compat, PS_ADMIN_DIR not defined
	[-] BO : AdminImport add combinations available fields
	[-] BO : AdminImport add adresses required fields
	[-] BO : Fix bug #PSCFV-9323 supplier_reference can be unset
	[-] BO : Fix bug #PSCFV-10064, could not import feature in multilang, thanks @E.Bigfoot
	[-] BO : Fix bug #PSCFV-10064, could not import deature in multilang, thanks @E.Bigfoot
	[-] BO : Remove dead code in AdminImport
	[-] BO : FixBug #PSCFV-10558 - Invalid HTML markup.
	[-] BO : Fix bug #PSCFV-8389 duplicates is SpecificPrice table
	[-] BO : AdminImport, tables are not truncated
	[-] BO : managed decimal format in BO orders
	[-] BO : Fix bug #PSCFV-5060 could not import supplier_combinations in combinations import
	[-] BO : Fix #PSCFV-6482 could not import tags in deiffrent languages
	[-] BO : fixed currency format on order creation
	[-] Bo : Fix again #PSCFV-10474 again, not deleting start page after import
	[-] Bo : Fix again #PSCFV-10474 coul not export more than 300 products
	[-] BO: Fix total without tax in breakdown taxes when taxes are combined #PSCFV-10394 on the invoices
	[-] BO: translation mismatch    Here is a form to edit the values ​​in the group, we do not need here "attribute type".
	[-] BO : AdminImport, not matching by ref for updating
	[-] BO: Fix #PSCFV-10488 filter by employee on logs tab
	[-] BO : FixBig #PSCFV-10442 - Members Cutomer Group list
	[-] BO : Could not import empty linkrewrite for products and not matching refs
	[-] BO : Sort import files in select
	[-] BO : Remove duplicate sql insert in setProductOutOfStock in monoshop
	[-] BO : Fix #PSCFV-10501 Remove fatal error
	[-] BO : Fix bug #PSCFV-9675 could not import non existent parent category
	[-] BO : Bad entity pre selected in AdminImport
	[-] BO : Fix bug #PSCFV-10483, could not import other language product link_rewrite
	[-] BO: Fix data validation when iframe is allowed on some entities like CMS
	[-] BO : Fix Bug For new Fancy Box events
	[-] BO : fixed the redirection to a 404 page when loging in in the updater
	[-] BO : Bad input radio names
	[-] BO : Issue with domready on adminImport
	[-] BO : do not reaffect import_type for categories
	[-] BO: Bad id for multishop checkbox on admin products - weird bug with active flag #PSCFV-9935
	[-] BO : Fix proces and save buttons for Modules and AdminControllers
	[-] Bo : Modules 'save' button not active
	[-] BO : Fix bug #PSCFV-8214 import entity pre selected
	[-] BO : Fix bugPSCFV-10249 images copy when unix path
	[-] BO : limited the number of customers displayed in the group view to 100 in order to avoid memory usage error
	[-] BO : FixBug #PSCFV-9900 Double quote escape problem in delete button link
	[-] BO : Could not order in AdminStatuses by ID or template
	[-] BO : Fix bug #PSCFV-8407 can not customize feature column name if needed
	[-] BO : quote badly decoded in customerThreads
	[-] BO : Fix Bug #PSCFV-10331 check all from list
	[-] BO : Customer message twice encoded
	[-] BO : Fix bug, orders states not ordered by order state name
	[-] BO : Bug fix - Encoding & tips of the day
	[-] BO : Do not copy link_rewrite from title if cms already has one
	[-] BO : Small changes when creating vouchers in back office orders
	[-] BO: Fix out of stock creation with multishop and stock sharing
	[-] BO: Fix preview url with multishop
	[-] BO : Fix possible Uncaught exception 'ReflectionException' when viewing AdminMeta
	[-] BO : FixBug PSCFV-10331 - Tax rules Pagination
	[-] BO : Display the old image system migration tool if product images are in _PS_PROD_IMG_DIR_
	[-] BO : ini_get('safe_mode') can return false
	[-] BO : AdminModulesController - Bug fix, $params was not set
	[-] BO : Fix #PSCFV-9906 could not register search engines keywords
	[-] BO : Fix pull request #665
	[-] BO : Fix error returned when first import of a localisation pack
	[-] BO : FixBug #PSCFV-10213 check product/attribute id - Thanks F. Cespedes
	[-] BO: Fix fatal error on customer edition when email is not valid
	[-] BO : fixed bug when try to add jquery from  ajax.googleapis.com in BO
	[-] BO : FixBug Url rewrite preview when user have a different language from shop
	[-] BO : fixed bug with multistore context on carrier wizard

	[-] Classes : Bug fix - FrontController, mobile & JS minifier fixed

	[-] CORE : #PSCFV-10389 Avoid eventual empty Specific Price Rule
	[-] CORE : Fix bug #PSCFV-10179 Duplicate specific price records when updating a product
	[-] CORE : Cart rules not ordered by priority for PaymentModule
	[-] CORE : Partial fix bug #PSCFV-10534 bad total_products_wt calculated without other cart rules
	[-] CORE : Could not add too long tags
	[-] CORE : Missing tag max size
	[-] CORE : Partial fix for #PSCFV-10482 getCacheId is different in back office
	[-] CORE : Fix bug #PSCFV-10471 Cart item count problem, unique_id grouping error for id_product and id_product_attribute
	[-] CORE : #PSCFV-10461 customer group in getPriceStatic, pull request https://github.com/kpodemski/kp-PrestaShop/commit/361ebc72e09d00463bb7a7b7af670e3235ab6a5a
	[-] Core: Set a remote addr with php-cli #PSCFV-10372
	[-] CORE : Could not add several cart rules
	[-] CORE : Fix bug #PSCFV-10040 Notice: Undefined index: unifunc && Fatal error: Function name must be a string on some PHP version with empty cache folder and smarty cache enabled
	[-] CORE: Fix for field length and type regarding https://github.com/PrestaShop/PrestaShop/pull/678
	[-] CORE : Remove PHP Warning:  file_put_contents on modules config.xml
	[-] CORE : fixed bug #PSCFV-10175 - No virtuel download email send after accepted payment

	[-] MO : Blocklayered - Fix empty fancy box after template edit
	[-] MO : FixBug #10460 - UTF8 bug on accented URL
	[-] MO : Blockcart, wrong tbody
	[-] MO : Fix buig #PSCFV-10480 Blockcart too long cart_block_product_name
	[-] MO : FixBug #PNM-1683 - Treeview problem
	[-] MO: Fix time of smarty cache invalidation
	[-] MO : PNM-1715 - Bug fix accented chars & ajax-cart
	[-] MO : Editorial could not delete image
	[-] MO : Fixed a bug when displaying textures    Corrections links texture image in the blocklayered
	[-] MO : carriercompare fixed bug, override template's files in theme. Ticket #PNM-1691
	[-] MO : Statsdata, exception on duplicate entry
	[-] MO: Fix unifunc smarty errors if module is displayed on multiplehook without cache
	[-] MO : fix bug #PSCFV-9906 again, bad url parsing
	[-] MO: Fix blocklayered sort by quantity #PSCFV-10300

	[-] WS: Fix order by on id field on multishop entities
	[-] WS: Fix entities retrieve for some cases
	[-] WS: 404 error should be returned if a multishop entity does not exists #PSCFV-10229
	[-] WS: Bad xlink for tax_rules_group in product

	[-] PDF : Report of https://github.com/enumag/PrestaShop/commit/9c939cceadebd58ad390fb4f108816e3c17c0275

	[-] LO: Argeninian localization

	Improved/changed features:

	[*] Project : Orders should rely only on ps_order_cart_rule

	[*] Installer : added file check in order to check if everyhting has been successfuly uploaded

	[*] FO: Allow to enable SSL on all the pages
	[*] FO : removed extra slash and point

	[*] BO : AdminImport, retrieve separators and lang selected
	[*] BO : Add category id in AdminSpecificPriceRule
	[*] BO: Allow to breakdown the taxes when they are computed
	[*] BO : AdminImport, remove csv files
	[*] BO : Adminimport, check csv download path
	[*] BO : Add csv file download in AdminImport
	[*] BO : improved automatic language creation
	[*] BO : Set import entity in cookie (#PSCFV-8214)
	[*] BO: sort modules name in Stats

	[*] CORE : Increasing the length of link_rewrite & name in Category.php    In database this fields have varchar(128) so let's give the user full size of fields
	[*] CORE : bad else if in getTemplatePath
	[*] CORE : Refactoring Tools::copy() as copy with context > PHP 5.3
	[*] Core: don't re-generate the class_index.php file if a class is not known to avoid misuse of class_exists()

	[*] MO : MailAlerts : Add SQL update script for v2.5
	[*] MO : MailAlerts : multishop/multilang full compatibility    Customers will receive alerts based on the real context of the moment they subscribed to the alert (sho, theme & language)    SQL update table : `ps_mailalert_customer_oos`    =========================================    ALTER TABLE `ps_mailalert_customer_oos`    ADD `id_lang` INT( 10 ) UNSIGNED NOT NULL ,    DROP PRIMARY KEY ,    ADD PRIMARY KEY ( `id_customer` , `customer_email` , `id_product` , `id_product_attribute` , `id_shop` ) ;

	[*] LO : Removed 'Miss' from the default genders because too country specific
	[*] LO : Use single quote as thousands separator for CHF currency

	Added Features:

	[+] FO : add getManufacturer() to ManufacturerControllerCore    Add getManufacturer() to ManufacturerControllerCore to access the protected manufacturer instance of the controller.

	[+] BO : add TinyMCE editor for supplier descrpition in AdminManufacturerSupplier
	[+] BO : add TinyMCE editor for short and long descrpition in AdminManufacturerController
	[+] BO : Improve mod rewrite check

	[+] MO : add link to all manufacturer page and the feature to show All Suppliers
	[+] MO : add the option to show all Manufacturer    Add the option to show all Manufacturer in blocktopmenu module.
	[+] MO : Mailalerts - Add Total tax paid to order confirmation

	[+] TR : Added Indonesian installer

	[+] LO : Completed Traditional Chinese Installer
	[+] LO :  Added Bengali installer
	[+] LO: Added Traditional Chinese installer


####################################
#   v1.5.5.0 - (2013-08-22)  #
####################################

	Fixed bugs:

	[-] Installer : added ob_start() (required with the cookie mode when debug mode is activated)
	[-] Installer : fixed clear smarty cache
	[-] Installer : changed syntax from $class:func to call_user_func because it seems to be more compliant with old PHP versions
	[-] INSTALLER : Force update of PS_LEGACY_IMAGES to 0
	[-] INSTALLER : missing parenthesis in SQL in set_product_suppliers, thanks to @EvaldasUzkuras
	[-] INSTALLER : Fix bug while updateing supplier reference, back from https://github.com/PrestaShop/PrestaShop/pull/618 thanks @EvaldasUzkuras
	[-] Installer: update leftcolumn alias to enable live_edit on blockmyaccount
	[-] INSTALLER : Errors in upgrader
	[-] INSTALLER : Fix SQL warnings when upgrading
	[-] INSTALLER : fix bug when updating add_new_tab not defined
	[-] INSTALLER : Remove warnings
	[-] Installer: Fix some sql queries
	[-] INSTALLER : Shown index can return empty array
	[-] INSTALLER : Prevent crash when populating data, MACOSX OS creates hidden files
	[-] INSTALLER : Fix bug #PSCFV-8813 1.4.7.0.sql not uptodate
	[-] INSTALLER : Fix bug #PSCFV-8813 missing file PHP:setAllGroupsOnHomeCategory();
	[-] INSTALLER : Create reinsurance_lang when updating from below 1.5.0.13
	[-] INSTALLER : SQL error during upgrade from 1.5.0.13
	[-] INSTALLER : SQL error during upgrade from 1.5.0.9
	[-] INSTALLER : Fix bug #PSCFV-8605 loop on ressource wether than n array
	[-] INSTALLER : Fix bug #PSCFI-7075 too short column in PREFIX_webservice_account
	[-] INSTALLER : Fix bug #PSCFV-8605 first part, do not affect memeory limit when upgrading if set to -1
	[-] INSTALLER : Fix bug #PSCFV-8750 do not activate disabled module during upgrade

	[-] FO : fixed bad search redirection #PSCFV-10158
	[-] FO : FixBug Missing PS_STOCK_MANAGEMENT smarty variable
	[-] FO : fixed html tags that should not appear in blockcategories
	[-] FO: Fix quantity discount table display for non default attribute #PSCFV-9942
	[-] FO : FixBug #PSCFV-10058 - Missing required form fields in address format
	[-] FO : FixBug #PSCFV-10090 urlencode syntax error - Thanks Duarte
	[-] FO : FixBug #PSCFV-10058 Invalid id country after allow to select no country
	[-] FO : FixBug CGV does not pop-up in Fancy Box
	[-] FO : FixBug generated_date error
	[-] FO : input token missplaced in address.tpl
	[-] FO : Do not redirect on 301 when POST request
	[-] FO :ProductSale::getBestSales() by modified date renders SQL error, thanks @SebSept
	[-] FO : expiration date not displayed in email for downloadable product
	[-] FO : FixBug No warning message when no carriers available from advanced stock management
	[-] Fo : Bad date format in order-detail, merge from https://github.com/PrestaShop/PrestaShop/pull/476 thanks @gbelorgey
	[-] FO: fixed bug shopping cart price misplaced - #9971
	[-] FO : Fix bug #PSCFV-9856 could not add Uncombinable cart rules and Minimum amount check badly calculated
	[-] FO : Fix bug #PSCFV-9993 could not see product quantity in pack content
	[-] FO : Fix bug #PSCFV-9847 Cart Rule not updated when address is updated on Checkout Page
	[-] FO : FixBug #PSCFV-9846 Bookmark title escape problem on special language
	[-] FO : FixBug #PSCFV-9766 All products in products list for email confirmation with multi-shipping
	[-] FO : FixBug Wrong offset in more than one shipping address
	[-] FO : FixBug #PSCFV-9961 Remove wishlists icon
	[-] FO : FixBug #PSCFV-9951 Syntax error - Thanks to Oleacorner-Olivier B
	[-] FO : Force browser language detection in Tools::setCookieLanguage
	[-] FO : FixBug #PSCFV-9879 Email confirmation message not present
	[-] FO : Prevent unsassigned category id, thans @PrestaCaptainFLAM
	[-] FO : fixed pagination for p = 0 #PSCFV-9746
	[-] FO : Removed useless live edit query #PSCFV-9845
	[-] FO : FixBug of total products from supliers and manufacturer
	[-] FO : FixBug #PSCFV-8018 All products was counted in manufacturer lsit even if products was set as hidden
	[-] FO : FixBug #PSCFV-8018 All products was counted in manufacturer list even hidden products
	[-] FO : FixBug #PSCFV-7723 Bad manufacturers list pagination
	[-] FO : fixed group query for cart rules #PSCFV-8992
	[-] FO : Fixed partial use of cart rules which does not offer free shipping #PSCFV-9216
	[-] FO : Fix bug #PSCFV-9662 udpate payments means after delete thanks @maofree
	[-] FO : Fix bug #PSCFV-9754 do not use back url on cart summary link in steps
	[-] FO : fixed useless error when the product id in the URL is not an int #PSCFV-9726
	[-] FO : Fix bug #PSCFV-9021 : bad category id for breadcrumb on product when url rewrite is on
	[-] FO : you cannot access the front office with a disabled language anymore #PSCFV-9714
	[-] FO : fixed bad condition in the dispatcher rules
	[-] FO : Fix bug #PSCFV-9653 could not return a custom product
	[-] FO : could not see old_price_display when specific price on one combination
	[-] FO : Bad specific price for a combination // sorry
	[-] FO : Bad specific price for a combination
	[-] FO : Fix bug #PSCFV-9355 dleete button missing for custo in blockcart
	[-] FO : Fix bug #PSCFV-9669, update total price on order-payment
	[-] FO :Fix bug #PSCFV-9650 could not see delete href in block cart
	[-] FO: OrderHistory - Unclosed tag
	[-] FO : added smarty cache to blockcms
	[-] FO: Fix #PSCFV-9325 all  was included on 301 for root deprecated controllers
	[-] FO : fixed remove button for free product in the cart block #PSCFV-8465
	[-] FO : fixed entities issue in javascript alerts #PSCFV-9001
	[-] FO : fixed bug #PSCFV-9388 - newsletter is required error, showing two times
	[-] FO : Fix bug #PSCFV-8412 no zipcode for countries when default country has no zip code in adress format
	[-] FO : fixed bug #PSCFV-7454
	[-] FO : Css fix on first address and avaibility
	[-] FO : Fix one_phone_at_leastphone again when PS_REGISTRATION_PROCESS_TYPE = 1 && PS_ORDER_PROCESS_TYPE =0
	[-] FO : fixed bug #PSCFV-9007 - Best sales query has ambigious column when sorted on date_add
	[-] FO : Fix #PSCFV-9414 submitGuestAccount is not submitAccount
	[-] FO : #PSCFV-9532 remove hardcoded unidentified group number
	[-] FO : Fix bug #PSCFV-9525 escape double quote in address formated fields
	[-] FO : Fix #PSCFV-7388 again Instant checkout - State validation
	[-] FO : fixed alternative row color on shopping cart summary #PSCFV-9208
	[-] FO: Fixed bug PrestaShop 1.5.4.1 Catalog Mode Display Incorrect Header (mis-aligned) - #PSCFV-9327
	[-] FO : fixed pdf template #PSCFV-9430
	[-] FO: Fix shop restriction on features #PSCFV-7848
	[-] FO : fixed bug #PSCFV-9092 - conflict on the company field during account creation
	[-] FO: fixed w3c errors
	[-] FO: solved some W3C errors
	[-] FO: some W3C errors corrected
	[-] FO: Fix no image displayed for products in the cart when it was added from another store in multishop #PSCFV-9385
	[-] FO : In stock sort is now removed when Stock managment is disabled on default theme.    Not to be confused for my pull #465, which was for default mobile theme.    This is for the default regular theme.
	[-] FO : Report of #PSCFI-7240 typos in cms.tpl
	[-] FO: http page should be redirected to http when accessed with https #PSCFV-9212
	[-] FO: Fix Category::getSubCategories() default group used #PSCFV-9356
	[-] FO: Fix Order::getOrdersTotalPaid() reference is now a string #PSCFV-9342
	[-] FO : In stock is now removed when Stock managment is disabled    Fixes the bug where Stock managment is disabled, it stil show "In Stock" in the sort by list.    Added $PS_STOCK_MANAGEMENT to line 64.
	[-] FO: Fix Carrier::getDeliveredCountries for multishop #PSCFV-9279
	[-] FO : Fix bug #PSCFV-9171, can not order with a unactivated country
	[-] FO: Tools::getMediaServer() should return Tools::getShopDomain() instead of Tools::getHttpHost() #PSCFV-9217
	[-] FO : first_item class don t exist if shopping cart have only one item    if shopping cart have only one product, last_item class exist but not    first_item because of "else if" after if isset($productLast)
	[-] FO: Fix #PSCFV-9057 close output buffer before sending attachment and virtualproducts
	[-] FO : Fix bug #PSCFV-8967 large image instead of thickbox when one image
	[-] FO: fixed bug: Solved a javascript problem on the new 1.5.4.1 with the full image on product page - PSCFV-8967
	[-] FO: improve some css for RTL language
	[-] FO: replace logo on the left (fixed bug RTL language - #PSCFV-8891)
	[-] FO : Jqzoom must be enabled to add class jqzoom
	[-] FO : removed misleading label on the shipping total #PSCFV-8556
	[-] FO : fixed truncate and entities in the cart block #PSCFV-8870

	[-] BO : fixed bug when save carrier without range
	[-] BO: Fix multishop association for tax rules group - #PSCFV-9967
	[-] BO : fixed bug #PSCFV-10169 - now you can go backward from step 3 to 2 when no ranges are set
	[-] BO : fixed bug #PSCFV-10073 - now you can upload carrier logo on windows
	[-] BO: Delete from attribute_shop when an attribute group is deleted #PSCFV-9902
	[-] BO : FixBug #PSCFV-10075 remove product attribute image association on delete product attribute
	[-] BO : FixBug Preview product url
	[-] BO : fixed bug #PSCFV-9782 - live edit bug with multistore
	[-] BO : fixed range deletion when press enter on input 'all' on carrier wizard
	[-] BO : FixBug #PSCFV-7571 Error checking available product quantity
	[-] BO : FixBug update received quantity in suply order
	[-] BO : fixed bug #PSCFV-10111 when carrier is free don't display ranges in summary
	[-] BO : Added comprehensive error display when prestashop cannot write the .htaccess file
	[-] BO :FixBug Suppliers and Warehouses accordion
	[-] BO : fixed bug #PSCFV-10096
	[-] BO : fixed bug when carrier is free and change shipping method
	[-] BO : fixed bug #PSCFV-10091 - you can now enable all zone in one clic
	[-] BO : fixed bug #PSCFV-10033 - disable next step if no range has been added on carrier wizard
	[-] BO : fixed multistore thumbnail on product list
	[-] BO : FixBug root category listed after list reset
	[-] BO : Fix additional quote in live edit template
	[-] BO : list of carriers should only contain the active one in AdminProducts
	[-] BO : OrderSlip now correctly displays the order slip date, thanks @Jacky75
	[-] BO : Do not display root category bool if addrootcategory not in url
	[-] BO : Fix send e-mails updating tracking number    Hi,    We've fixed some bugs parameters about the Send function of Mail class in the AdminOrdersController.php.    Regards,    Massimo.
	[-] BO : FixBug Multiple list pagination error.
	[-] BO : FixBug Manufacturer multilist pagination, filter, order problems and manufacturer address filter exception
	[-] BO : FixBug #PSCFV-8311 pagination, filter and order with multilist
	[-] BO : Fix bug #PSCFV-8139 bad renderform on errors in AdminStatuses
	[-] BO: Fix #PSCFV-9885 catalog price rules edition
	[-] BO : FixBug #PSCFV-7839 No invoice file attached to payment email confirmation
	[-] BO : Fix warning in AdminAttributesGroups after https://github.com/PrestaShop/PrestaShop/pull/392
	[-] BO : FixBug #PSCFV-7824 No total tax not show in order email confirmation
	[-] BO: FixBug #PSCFV-10005 Filter on COUNT field
	[-] BO : Fix bug #PSCFV-9990 bad count on list header helper
	[-] BO : FixBug #PSCFV-9859 Carriers free shipping inline edit
	[-] BO : FixBug #PSCFV-9748 Missing confirmation and update button problem
	[-] BO : fixed domain warning
	[-] BO : FixBug Install currency on Localization Pack
	[-] BO : FixBug Invalid offset when only one error in layout
	[-] BO : Fix onchange event on Adminmodules list execption
	[-] BO : Fix onchange event on adminmoudlue list execption
	[-] BO : FixBug allow_url_fopen on BackOffice home page
	[-] BO : fixed bug #PSCFV-9809 - carrier wizard tab access fix
	[-] BO : FixBug #PSCFV-9959 file_get_contents error
	[-] BO : Fix while of translation, to find in folder if translation exists
	[-] BO : FixBug #PSCFV-9965 currency not active by default in Localization pack
	[-] BO : fixed some bug on carrier wizard - added tabindex on input - new default carrier img
	[-] BO : doesn't match available_fields of AdminImportController    - Correct wrong position of available_fields    - Add some of available_fields
	[-] BO : fixed input action when set fees for all zones in carrier wizard
	[-] BO : FixBug #PSCFV-9895 Mal function in products suppliers accordion
	[-] BO : FixBug Impossible to remove available date from product attribute
	[-] BO : FixBug #PSCFV-9042 Supply orders now accept 0 value to automatically load products
	[-] BO : FixBug #PSCFV-9839 Update product warehouse on suply order - thanks @O'Donnell
	[-] BO : FixBug #PSCFV-9894 undefined quantity_all_version variable in product.tpl
	[-] BO : Fix SQL query when $join_category == false, pull request https://github.com/Captain-FLAM/PrestaShop/commit/d5f75c63b6e21dd87c77a027bf8dd293afb1a94f thanks @Captain-FLAM
	[-] BO : Could not find cover when image table corrupted
	[-] BO : FixBug #PSCFV-9881 Remove updateCarriersList on zip code blur
	[-] BO : FixBug #PSCFV-9878 Wrong login tab order
	[-] BO : FixBug #PSCFV-8060 Error getting last quantity and price in stock mouvement
	[-] BO : FixBug #PSCFV-8237 Javascript Error setting default supplier
	[-] BO : FixBug #PSCFV-9138 Error duplicate product group reduction
	[-] BO : FixBug #PSCFV-9251 Meta Tag delete previous
	[-] BO : FixBug #PSCFV-9049 Bad actionOrderSlipAdd hook description
	[-] BO : FIxBug Correct image language in product
	[-] BO : fixed sort by currency exchange rate #PSCFV-9840
	[-] BO : If no nb, get default 8, not 10.
	[-] BO : translation copy is now easier #PSCFV-8886
	[-] BO : FixBug #PSCFV-5316 Translation problem in delete button link
	[-] BO : FixBug #PSCFV-6140 Pagination link error
	[-] BO : FixBug #PSCFV-9723 Exporting quantity in instant stock was not returning all rows
	[-] BO : FixBug #PSCFV-8234 Products tags not correctly indexed in search
	[-] BO : Bad return value for AdminCountries::processStatus()
	[-] BO : FixBug Directory Separator on URL
	[-] BO : FixBug #PSCFV-8217 Shop logo image not refresh after change
	[-] BO : FixBug #PSCFV-9613 Fix product tax to be shop dependent
	[-] BO : FixBug #PSCFV-8287 Breadcrumbs label was wrong
	[-] BO : FixBug #PSCFV-8229 Default country value set to manufacturer country    Default country value set to manufacturer country    Click on manufacturer address line now redirect to manufacturer address    edition
	[-] BO : FixBug #PSCFV-6365 Missing message confirmation for Images modification in Preferences > Images
	[-] BO : Fix bug #PSCFV-9722, do not propose adding root categories in categories when there is only one shop
	[-] BO : Use only 0% reduction from category in group
	[-] BO: Fix tax rule edition - unique tax rule can't be edited
	[-] BO : Fix bug #PSCFV-9395 Missing vertical separation between flags
	[-] BO : Fix Bug #PSCFV-9550 Bad URL redirection
	[-] BO : Fix bug #PSCFV-9310 bad type for input in helper thankx @Piotr Moćko
	[-] BO: Delete specific price after combination deletion && fix SpecificPrice::getByProductId() sql query
	[-] BO : fixed charts and grids in multishop #PSCFV-8978
	[-] BO : you can now have different mail topic for one mail template #PSCFV-9617
	[-] BO : added checks on product attributes properties #PSCFV-9703
	[-] BO: display vat number field should not depends of the vatnumber module #PSCFV-9672
	[-] BO : products comments impossible if quantity > 0    The pull request https://github.com/PrestaShop/PrestaShop/pull/219 makes the module not working properly in v1.5.4.1.    Indeed, after this change, the OosHook works as expected but now, as the product comments module is attached to the OosHook, comments information is only shown when the product is out of stock!
	[-] BO: product supplier price should not be converted on product page #PSCFV-9420
	[-] BO : Fix bug #PSCFV-8666 COD module association no more deleted when restrition on other currency
	[-] BO : Fix bug #PSCFV-8619 update order weight when modifying products
	[-] BO : fixed bug #PSCFV-9622
	[-] BO: remove old icon into New Version block
	[-] BO: Fix manufacturer addresses duplication #PSCFV-9601
	[-] BO : fixed translation and languages issues
	[-] BO : fixed addslashes on tpl translations (compatibility between "slashes" and "js" parameters) #PSCFV-9427
	[-] BO : fixed bug #PSCFV-9586 -  Unable to sort CMS page in back office
	[-] BO: Fix #PSCFV-9455 stock was resetted if adv stock management is enable and product preference is submited on shop context
	[-] BO : Fix warnings when product not available in Shop
	[-] BO : fixed bug #PSCFV-7921 - Language selector (with flags) cant be translated
	[-] BO : fixed bug #PSCFV-7634 - Add non-existent new product to order using autocomplete gives javascript error (data.products is not defined)
	[-] BO: This is now not possible to move a tab with id_parent = 0 to an another tab
	[-] BO : Fix bug #PSCFV-7353 can not see the thumb for a scene
	[-] BO : Fix bug #PSCFV-7353 can not see the thumb for a scenes
	[-] BO : remove "utm_*" rules preventing Google services from indexing the shop    Google shopping refuses all products having their URL blocked by the robots.txt file
	[-] BO : allow partial use for credit slip vouchers #PSCFV-9539
	[-] BO : Fix bug #PSCFV-9264 bad cancel qty when refund / return
	[-] BO : missing colspan after update product detail
	[-] BO: Stock should not appears on product listing when stock management is disabled #PSCFV-8207
	[-] BO: fixed bug button on module list
	[-] BO: fixed bug #PSCFV-9463 + improve some css on BO menu
	[-] BO: fixed bug #PSCFV-9461
	[-] BO: fixed bug #PSCFV-7440
	[-] BO : fixed quote issue with magic quote in customization in adminorders #PSCFV-9311
	[-] BO : fixed parsing of discount value in AdminOrders #PSCFV-9481
	[-] BO : Upload image name with trailing slash in name
	[-] BO : fixed ajax in permissions tab #PSCFV-7442
	[-] BO : fixed bug #PSCFV-9405 - Delete file of downloadable product when cancel
	[-] BO : Fixed permission update #PSCFV-7441
	[-] BO : postcode required in manufacturer address
	[-] BO : fixed link in AdminTracking #PSCFV-7409
	[-] BO : fix require path to config.inc.php
	[-] BO: Fix #PSCFV-8904 bad id_warehouse is stored on ps_address table
	[-] BO: association of product attributes on associating a product to another shop #PSCFV-8735
	[-] BO: Fix #PSCFV-9428 features duplicated with multishop on Feature::getFeatures()
	[-] BO: Fix #PSCFV-7763 Re-inject quantities after deleting a product from a order
	[-] BO: Addresses are now totally deleted from the database if not used on a order
	[-] BO: Fix #PSCFV-6657 translations of overriden admin templates
	[-] BO : Fix bug #PNM-788 Loyalty points in adminCustomers when only one order
	[-] Bo : Fix #PSCFV-9306 report of #PSCFI-7115 Add a new specific price = faulty validation
	[-] BO: Fix combinations duplication on multishop with context all for the product duplication #PSCFV-9020
	[-] BO : Report of #PSCFI-6790 REQUEST_URI badly recorded
	[-] BO : Fix bug #PSCFI-7231 strtolower iso_lang for package download link
	[-] BO : Fixed unregistered version field for some modules
	[-] BO: Fix language deletion with multishop when shops still associate to the language #PSCFV-9244
	[-] BO : fixed bug #PSCFV-9178 - is_color_group is not inserted correctly
	[-] BO : Fix bug #PSCFI-6755 "+" in email
	[-] BO: Fix PHP warning on orderslip generation without ecotax #PSCFV-8743
	[-] BO : remove deprecated parameter when call Tools::displayDate()
	[-] BO : remove deprecated parameter when call Tools::link_rewrite() part 2
	[-] BO : remove deprecated parameter when call Tools::link_rewrite()
	[-] BO : Fix #PSCFI-7186 incorrect return in Meta->deleteSelection()
	[-] BO: Root category should be the shop category and not the higher category with multiple root and without multishop #PSCFV-8860
	[-] BO : fixed gift deletion when there is no products anymore in the cart
	[-] BO: Fix listing exports with image or other empty fields
	[-] BO : catch prestashop exception and display smart error messages #PSCFV-9147
	[-] BO : fixed issue with reduction in the category for groups #PSCFV-9101
	[-] BO : Fix  "The controller adminnotound is missing or invalid." error when no controller get variable
	[-] BO: Ajax Confirmation / padding-left
	[-] BO : fixed turkish characters replacement #PSCFV-8968
	[-] BO : fixed potential warning with texture list #PSCFV-9050
	[-] BO : tab cache wasn't emptied on delete #PSCFV-9053
	[-] BO: You can now disable the email sent after account creation
	[-] BO : don't show unecessary tpl module translations - complience with documentation
	[-] BO: Fix #PSCFV-8179 shop domain used in emails sometimes was for the wrong shop
	[-] BO : don't show translation for class/controler overrides when on modules translation page
	[-] BO : fixed infinite loop in the categories #PSCFV-8965
	[-] Bo : Admin login loop under Firefox
	[-] BO : fixed image import with allow_url_fopen deactivated #PSCFV-8181
	[-] BO : bug in BO translations when Windows OS    [-] BO : bug in BO translations when Windows OS    Impossible to translate the strings of the back office in the directory override/controllers/admin/...    under windows environment.    The statement " $parent_class = explode(DIRECTORY_SEPARATOR,..) " returns wrong result under windows environment. because the path name has '/' and '\' chars.    $parent_class contains bad values and the string "override" is not found.
	[-] BO: Fix #PSCFV-8957 order creation when id_cart=0 is present in database but should normally not happen
	[-] BO : fixed automatic creation of email overrides in the template #PSCFV-8785
	[-] BO : fixed error message in language form #PSCFV-8890
	[-] BO : fixed bug #PSCFV-7411 - Store location problem with some longitude values
	[-] BO : Fix bug #PSCFI-7141, wrong quantity and sales number in Product Sales, thankx to @Tuan Tran
	[-] BO : Fixed display when you translate modules without theme selected

	[-] Classes : fix memcache ext #PSCFV-5225 thanks @up2date
	[-] Classes : ModuleFrontController updated. Thank you @codeurWeb
	[-] Classes : ModuleFrontController & templates overrides fixed
	[-] Classes : Bug fix Validate.php - Error with $mail_name
	[-] Classes : SwiftMailer - Fix deprecated preg_replace (PHP 5. 5.0)
	[-] Classes : fixed cachefs and memcache classes #PSCFV-5225 thanks @prestalab
	[-] Classes : Mail - check instance of link in the context
	[-] Classes : Db : Fixed $link
	[-] Classes : Db classe fixed (check InnoDB support MySQL >= 5.6)

	[-] Core: Fix language link with multishop from another shop #PSCFV-10063
	[-] CORE : Do not delete index.php in smarty cache or /img/tmp/
	[-] Core: Fix #PSCFV-8887 - improve performance of search indexation
	[-] CORE : Fix bug #PSCFV-8542 could not have rewrited link for modules in blocklanguage
	[-] CORE : getModuleLink not working on module custom route, merge from https://github.com/PrestaShop/PrestaShop/pull/487 thanks @zimmi1
	[-] CORE : Addslashes on not translated strings for javascript js=1
	[-] CORE : Fix for field validation in ObjectModel::validateFieldsLang() when default lang value not set, thanks @rimas-kudelis
	[-] CORE : Cast product price to float instead of int when adding supplier reference, thanks @rimas-kudelis
	[-] CORE : Merge from PrestaEdit last pull request again
	[-] CORE : Fix warning #PSCFV-9678 when sending message to customer
	[-] CORE : Fix bug #PSCFV-9572 when seizing in 0 in forms input fields for objects
	[-] CORE: Copy live_edit bool when register alias hook
	[-] CORE: No category in url preview on BO product page
	[-] Core: ObjectModel::toggleStatus should change only active field on multishop with global context #PSCFV-9707
	[-] Core: Fix #PSCFV-9652 too much payments for multishipping orders
	[-] CORE : fixed bug #PSCFV-8745 Contact form e-mail template with incomplete information
	[-] CORE : fixed bug #PSCFV-9460
	[-] CORE: Fix bug #PSCFV-9474 missing unity and unit_price_ratio in Cart::getProducts
	[-] CORE : fixed #PSCFV-7451 - error in classes Carrier
	[-] CORE : Report of  https://github.com/PrestaShop/PrestaShop/pull/504 Thanks @aseques
	[-] CORE : CartRule::checkProductRestrictions : A gift product in the same category as its restrictions causes the gift to stay in the cart even if emptied
	[-] CORE : fixed bug #PSCFV-9121 - virtual product does not have link after upgrade - part 2
	[-] CORE : fixed bug #PSCFV-9121 - virtual product does not have link after upgrade
	[-] Core: Hook actionPaymentConfirmation should also be called for PS_OS_WS_PAYMENT order statuse
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop-1.4/commit/ec8deb289185daa03cd11d239797bbe5bdbaecd0
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop-1.4/commit/a6e8a2eda7fe3bab5245df9b98df7b2f6f7d541f
	[-] Core : fixed URL regexp #PSCFV-8986
	[-] Core: Fix StockManager::getProductRealQuantities() per warehouse with some orderstatuses #PSCFV-9219
	[-] CORE: Fix #PSCFV-9185 Wrong product price display on list by manufacturer    Added default_on condition on getProducts() query in Manufacturer class.
	[-] CORE : Fix bug #PSCFI-7168 cast and truncate POST values for statistics.php controller
	[-] CORE : TRACKING_DIRECT_TRAFFIC not respected
	[-] CORE : referer keywords truncated before insertion in connections table
	[-] CORE : Fix bug #PSCFI-7072 redundant configuration get
	[-] Core: Fix StockManager::getProductRealQuantities() for refunded quantities on non delivered orders
	[-] Core: Fix specific prices if they are configured to count quantity per product and not per combination
	[-] CORE : fixed PHP Notice:  Undefined index: date_expiration on virtual product

	[-] MO : fixed smarty cache on blocksearch #PSCFV-8739
	[-] MO : multilines translations does not work #PNM-1645
	[-] MO : sendtofriend FixBug Form error
	[-] MO : fixed potential warning in pscleaner #PSCFV-10070
	[-] MO: no more 1.4 support for blocklayered
	[-] MO : fixed bug #PNM-792 : remove unused js file in blocklayered
	[-] MO : fixed category link on blocklayered #PNM-1427
	[-] MO : blocklayered also try to find the translations in the translations directory
	[-] MO : added `visibility` IN ("both", "catalog") in blocklayered
	[-] MO : fixed module upgrade with common version number
	[-] MO: cover image issue with layered block on multishop, thanks @theginie
	[-] MO : My account column block should not display module icon in list
	[-] MO : blocktopmenu should clear cache when adding a new subcategory
	[-] MO : Missing image in my account for MODULE WishList
	[-] MO : mod='blockmyaccount' missing in blockmyaccountfooter.tpl
	[-] MO : mod='blockmyaccount' missing in blockmyaccountfooter.tpl (translation doesnt work), thanks @mypresta-eu
	[-] MO : Fix sort order for combinations, report of pull request https://github.com/PrestaShop/PrestaShop/pull/364
	[-] MO : blockviewed Fix bug adding last product to list, thanks @kluevandrew
	[-] MO : Fix bug discount display in mail, manual merge from https://github.com/202-ecommerce/PrestaShop/commit/1d5df338c46aef723d13aef3e213792df6ea92e2
	[-] MO : fixed disappearing form in sekeyword #PSCFV-9743
	[-] MO : Followup : don't send emails for empty carts thanks @axometeam
	[-] MO : fixed bad redirection in trackingfront #PSCFV-8378
	[-] MO : Bug fix - PS Cleaner, check if module favoriteproducts is installed.    Fix Bug when favoriteproducts is not install.
	[-] MO: exec hook on hook registration #PSCFV-8977
	[-] MO : fixed bug #PSCFV-5724 - 1.5.2.0 cms block error when adding more than one column to the categories block in the footer
	[-] MO : fixed bug #PSCFV-8654 - 1.5.4.0 My Favorites doesn't add product
	[-] MO : fixed bug #PSCFV-9040 - Block CMS Multishop bug
	[-] MO : fixed bug #PSCFV-8910 - Productcomments module allows post only one comment per product
	[-] MO : do not check the VAT number if the module is disabled #PSCFV-9397
	[-] MO : removed doubled "/" in homeslider template #PSCFV-9439
	[-] MO : fixed editorial issue when the entity does not exist yet for a shop #PSCFV-9442
	[-] MO : do not truncate order return state in pscleaner #PSCFV-9431
	[-] MO : loyalty small smarty fix #PNM-1305
	[-] MO : Fixed double creation of vouchers in loyalty and some redirections #PNM-1317
	[-] MO : Followup : Don't send followup vouchers to guest accounts
	[-] MO : Followup : Don't execute crontasks if the module is disabled
	[-] MO : Report of #PNM-1413 when alert already set on default combination
	[-] MO: Fix newsletter module mail like newsletter_voucher.html    - Edit html/css/translation for newsletter_conf.html and    newsletter_verif.html    - Use {color} variable
	[-] MO: Fix sendtoafriend module #PSCFV-8340    http://code.google.com/p/jquery-json/issues/detail?id=43
	[-] MO : Remove link "Notify me when available" when in stock
	[-] MO: Fix double html entities on link edition in the blocktopmenumodule #PSCFV-8808
	[-] MO: Don't make unnecessary request to ajax cart
	[-] MO: Fix #PSCFV-8973 product images in the blockviewed module
	[-] MO : Fix bug #PSCFI-7055 do not relay on ".html" in referer to find previous category
	[-] MO: blockcart ajax cart product insert missing html class    Added the same HTML class as the other product names have in the ajax cart. Perhaps it would be nice to add an added_from_ajax as well in case you would want to differ between the newly added items and previously added ones?    Another potential issue is on line 445 where there is no space after the insert. If Prestashop is set to minify the normal page, this is correct, otherwise there will be a space missing.
	[-] MO : fixed hug #PSCFV-8994 - clear cache when truncate catalog
	[-] MO : fixed bug #PSCFV-7703 - Images for bank wire, cheque and cash payment missing on Order Summary

	[-] WS: Fix retrieve of stock_availables when stock is shared on the shop group
	[-] WS: add id_address_delivery on cart products association
	[-] WS: Sanity check before creating packs    As it is before this commit, every product that is created from the    schema without removing the empty bundle item in the schema will become    a pack containing one broken item.    Sorry, this bug was introduced by my previous pull request.
	[-] WS: Enable feature request #PSCFV-5581, thanks @codl for pull request #593
	[-] WS: do not escape shop name overzealously
	[-] WS : fixed ?schema=blank (performance issue)
	[-] WS: Fix accessories duplication on product update
	[-] WS: Fix webservice sort for multishop fields #PSCFV-5634
	[-] WS: Fix #PSCFI-7009 product prices on orders with specific prices
	[-] WS: Fix deletion of product_features on product update #PSCFI-6740
	[-] WS: Fix memory leak when getting synopsis

	[-] PDF : Fix columns error
	[-] PDF : Fix dejavusans font for en lang

	[-] TR : fixed missing space in RMA PDF

	Improved/changed features:

	[*] Installer : added cookie mode instead of session for the installer
	[*] Installer: you can now choose to send an email to the administrator after installation with php-cli

	[*] Security : deny access to this folder as already done for classes

	[*] FO : added chinese/japanese search
	[*] FO : Add reference sort to theme
	[*] FO : Blur for tab navigation, followup a0ee3d3, thanks @Seynaeve
	[*] FO : Blur for tab navigation, followup a0ee3d3c34b7fc5d149228197be382af59a49e47, thanks @Seynaeve
	[*] FO : Fix bug #PSCFV-9611, autocomplete to off on opc page and other pages
	[*] FO : updated Fancybox plug-in
	[*] FO : a few more SQL improvements
	[*] FO : lots of performance improvements (removed or merged useless SQL queries)
	[*] FO: display Error500 if no database access    Sometimes, we have some problems with the MySQL Database and a Fatal Error is done. With this, we show the error500 template.
	[*] FO : getCatImageLink doesn't work without type thanks @axometeam
	[*] FO : Retrieve invoice address in OPC + guest checkout, thanks @Piotr Moćko
	[*] FO : Fix bug #PSCFV-9440 add another address in guest checkout in OPC
	[*] FO : removed code specific to multishipping from the no-multishipping process
	[*] FO : added smarty cache on productscategory
	[*] FO : added smarty cache on crossselling module
	[*] FO : improved entity links retrieval (no need to instanciate an object when there is no need... to instanciate un object)
	[*] FO : added smarty cache to blockspecials
	[*] FO : added smarty cache on blockbestsellers
	[*] FO : added smarty cache on homefeatured module
	[*] FO : added smarty cache on blocknewproducts
	[*] FO: Don't make useless ajax requests to blockcart on the cart page
	[*] FO : AuthController can now have its own template
	[*] FO: use Tools::fileAttachment() in ContactController

	[*] BO: Warehouse name is now displayed on each product line orders
	[*] BO : Clear smarty cache when submitting SEO rules
	[*] BO : Add clear smarty cache button
	[*] BO: Add reference to Options
	[*] BO: Add reference to FrontController
	[*] BO : Do not insert duplicates in product_carrier, thanks @edamart
	[*] BO : Do not insert duplicates in poruct_carrier, thanks @edamart
	[*] BO : Add filter choices in title of List, thankx to @ccauw
	[*] BO : refact for modules exeptions regarding https://github.com/PrestaShop/PrestaShop/pull/614
	[*] BO : Fix statistics redirection when change date    When going into a special stats module (for exemple "statsproduct") if you change the date, Prestashop redirect to the "home" of statistics.
	[*] BO : shipping enlarge listbox carriers    enlarge listbox carriers to see all the name of the carrier
	[*] BO : skip the first line by default    All sample csv file use a first line of information
	[*] BO : Proposition : IMPROVEMENT Admin Modules Positions    You can see in action over there :    http://www.youtube.com/watch?v=e7KXuCU3RIM
	[*] BO: Add an option to allow iframes on descriptions
	[*] BO : #PSCFV-8498 You can now use 0% in groups category rules in order to not apply discount on this category
	[*] BO : Not increment stock if statut change fom Error to Canceled    Not increment stock if statut change fom Error => Canceled or Canceled => Error (stock should stay the same).    Add a code simplification too
	[*] BO : Correct the getList() request for quantity and id_product    Quantity and Id_product should be fixe as Int, else the Mysql request do something like : quantity LIKE "%0%"    When an admin key-in quantity as 0, he want product with quantity as 0, not as 0 / 10 /20 / 30... ect (The same for id_product)
	[*] BO : improved unicode characters replacement in URLs
	[*] BO : Fix #PSCFV-8504 carrier on invoice and delivery slip
	[*] BO : Correct Request Sql Manager validate options    Correct Request Sql Manager validate options :    - No size limit for the request    - cutJoin() doesn't work for multiple Join (exemple : LEFT JOIN `XXX ON XXX AND XXX) => Then you can't save the request, even if it work
	[*] BO : AdminControllers : Keep active filter on pagination
	[*] BO: more than one image in HelperForm
	[*] BO : Reselect current step in AdminOrders
	[*] BO : Enable current subtab active class
	[*] BO : attributes taken into account for the language entity in the localization packs
	[*] BO: use Translate::getAdminTranslation instead of translate()
	[*] BO: hook displayAdminForm / add param fieldset

	[*] CORE : Allow external css loading, manual merge of https://github.com/PrestaShop/PrestaShop/pull/406 thanks @m-hume
	[*] CORE : Fix bug #PSCFV-9811 doc on display404Error
	[*] Core: that is now easier to get links for another shop
	[*] Core : Smarty updated from 3.1.13 to 3.1.14 (cache issues fixed)
	[*] CORE: can not delete class_index.php
	[*] Core: you can now pass a query string with php-cli which will merged with  for cronjobs and other things

	[*] MO : added manufactureres order by name, thanks@Jacky75
	[*] MO : Templates overrides works with the new structure (/views/templates/admin|front|hook)
	[*] MO : Added customer and product object to hook sending email
	[*] MO : added configuration cleaning to pscleaner
	[*] MO : you can now exclude IP addresses from the online visitors module #PSCFV-9056
	[*] MO : pscleaner reset employees notyfications    pscleaner afetr truncating orders, messages and customers reset also employees notyfications
	[*] MO : blocklayered optimization
	[*] MO : Followup https://github.com/runningz/PrestaShop/commit/040ff3396ac32a1cc35d4d2464e8d36486cac418
	[*] MO : blockcart - simpler selectors
	[*] MO: Add smarty cache on blocksupplier and blockmanufacturer
	[*] MO: blockcart animation optimization    The animated element would not be removed upon the animation being finished. This made the site slow and unresponsive if the animated image was heavy (eg. a transparent png) and added to cart many times without reloading the page. This addition makes the animation behave as expected also when performing it multiple times.

	[*] WS : order history add(POST) send customer email if sendemail=1 url parameter, thanks @gerdus
	[*] WS : improved performances
	[*] WS : improved web service performances

	[*] PDF : Free shipping in invoice PDF display X2 thanks @axometeam
	[*] PDF : Small column width fix

	[*] TR : Added 10 new localization packs

	[*] LO: Improved Argentina Localization Pack
	[*] LO : corrected Israel standard tax rate
	[*] LO : Fixed units in Belgium localization pack
	[*] LO : Fix PSCFV-9330 (decimals=2)
	[*] LO : Updated it & nl localization files

	Added Features:

	[+] BO: Add a wizard to create and edit your carriers
	[+] BO: Addition, deletion and edition are now logged
	[+] BO: Fix Bug Progress Bar Upload Image Product    Lorsque l'on ajoute des images a des produits, la barre de progression    s'affiche en dehors de son cadre. "position:relative" n'est pas présent    pour "div.progressBarImage" dans le fichier admin.css .    ----    When we add pictures to products, the progress bar is out of his    wrapper.    "position:relative" is missing for "div.progressBarImage" in admin.css    file.

	[+] CORE : new jquery UI version (1.10.3)

	[+] TR: Created file structure for Dutch installer


####################################
#   v1.5.4.1 - (2013-04-25)  #
####################################

	Fixed bugs:

	[-] Installer: installer now work even if no settings.inc.php file is created with an installer session already here
	[-] Installer : do not select activity if not defined
	[-] INSTALLER : add counter loop in update_order_messages
	[-] Installer : Fix bug #PSCFV-8606 bad performance when updating messages
	[-] INSTALLER : fix bug #PSCFV-7688 mailalert_customer_oos not existing in database
	[-] Installer: fix installer in PT languahe
	[-] Installer : Missing directory separator when upgrading images types
	[-] Installer: Switch test of session.save_path to optional test
	[-] INSTALLER : Fix bug, can not check rights on theme folders
	[-] INSTALLER : Fix bug #PSCFV-8167 duplicates product_sqlstock INDEX

	[-] FO : do not use dispatcher routes for static files
	[-] FO : invoice: do not display taxes table if there is not tax to display
	[-] FO : Fixed product comparator CSS
	[-] Fo : Remove additionnal space in phone field value
	[-] FO : fix bug #PSCFV-8684, phone not required in guest checkout when not set in BO
	[-] FO: send current product to some hook like displayProductTabContent on product page #PSCFV-8825
	[-] FO : Fix bug #PSCFV-8728 context country not updated after changing delivery address in OPC
	[-] FO: fixed some css bug for ie7
	[-] FO: Add the protocol content to the cache id of  modules #PSCFV-8810
	[-] FO : empty cache getContextualValue_ when updating cart quantity
	[-] FO : Disable confirm order when already clicked
	[-] FO : address alias lost
	[-] FO : Undefined free_shipping in POC when updateQty
	[-] Fo : Fix big pic alt with jqzoom
	[-] FO : Class free order name for validateOrder
	[-] FO : First part of fix #PSCFV-8636, cart rule on specifice carrier / all carriers
	[-] FO : Fix bug #PSCFV-8623 : Cart rule without code is applied automatically
	[-] FO : add cart rul when cart rul has several groups
	[-] FO: Fix bug too much call of updateCartSummary when OPC and cart rule
	[-] Fo : Fix undefined var in cart-summary when updating id_address_delivery
	[-] FO : Fix login cookie issues
	[-] FO: fixed bug #PSCFV-3238 - compareController typo
	[-] FO: Fix #PSCFV-8722 displayed specific prices on product page was sometimes wrong
	[-] FO : Fix bug #PSCFV-8589 do not loose max level depth when upgrading
	[-] FO :  standardize behavior of selected country in the list when create a new address
	[-] FO: fixed bug DOCTYPE line - #PSCFV-8602
	[-] FO: Fix htaccess generation when disable mod_security is selected #PSCFV-8675
	[-] FO: Don't display vat_number field if not required for the country on address.tpl
	[-] FO: Extension test on file attachment for contact form should not be case sensitive #PSCFV-8616
	[-] FO : Do not fade out on bigpic source change
	[-] FO : Fix bug #PSCFV-7743 and #PSCFV-8286, bigpic source change
	[-] FO: fixed bug Cart Summery Borders - #PSCFV-8421
	[-] FO : Fix bug #PSCFV-8286, displayImage bad selector called
	[-] FO: fixed bug Solved a problem with JSON.stringify problem with IE8 - #PSCFV-8340
	[-] FO : Fix bug #PSCFV-7825 removing import of grid_prestashop.css and displaying errors in AdminPerformances
	[-] FO: fixed bug missing <div class="clear"></div> in product.tpl - #PSCFV-8164
	[-] FO : Add ccs and js to frontcontroller for old modules
	[-] FO: change logo position
	[-] FO : Fix bug #PSCFV-8183 lost order message in OPC

	[-] BO: Fix htaccess generation for subfolders installation
	[-] BO : Fix bug witth shop address and no state in country
	[-] BO : Fix bug for csv export
	[-] BO : Can not set PS_ORDER_OUT_OF_STOCK in one shop
	[-] BO : Bad gender image when no gender
	[-] BO: Fix #PSCFV-8827 fixed price of specific price rules should be a float
	[-] BO: Fix admin carts currency prices on view and listing
	[-] BO : Remove typo in address formating fields links
	[-] BO : Remove undefined name when module can not be installed
	[-] BO: Don't delete the directory of modules before upgrade them
	[-] BO: fixed bug css - #PSCFV-8737 - AdminScenes.php ~~ remove inline css forcing a border to #large_scene_image
	[-] BO: Fix #PSCFV-8730 display of selected dates on the backoffice listings header - thank to pitt phunsanit for the patch
	[-] BO : Deactivate backwardcompatibility module
	[-] BO: PSCFV-7685 parent category for root categories after upgrade
	[-] BO : Fix bug #PSCFV-8626 rename actual admin folder
	[-] BO: fixed bug Cart rules - Javascript error - #PSCFV-5045
	[-] BO : Fix bug #PSCFV-8620 returns with customized product
	[-] BO: Fix #PSCFV-8683 order_way collusion on listing between 2 tabs
	[-] BO : Fix bug : #PSCFV-8631 no download-product.tpl in languages packs
	[-] BO : Fix bug #PSCFV-8540 setting cookie key in cache key
	[-] BO: fixed bug In back office, in product modification page, image pane, the image list appears broken in IE8 - #PSCFV-8024
	[-] BO: Fix the Htaccess rewriting generation when one shop has the rewriting enabled and the last one on the same domain not
	[-] BO: fixed bug #PSCFV-8258
	[-] BO: Clear cart when customer is changed in back office orders #PSCFV-8520
	[-] BO : Remove warning on ProductDownload
	[-] BO : fixed field value saving when value is equal to 0 #PSCFV-8530
	[-] BO : Fix bug #PSCFV-8481 no live edit on index when one language is active only
	[-] BO : fixed bug #PSCFV-8095 now maximum weigh for carrier is float

	[-] Classes : Bug fix : OrderOpcController, check instance of blocknewsletter module
	[-] Classes : Bug fix : Mobile hooks, check PayPal for payments only

	[-] Core: fix redirection loop for bugged versions of mysql using column name aliases on order by
	[-] CORE : Fix bug #PSCFV-8636 again, cart rule with a reduction and free shipping
	[-] CORE : Fix bug last part #PSCFV-8636, cart rule with a reduction and free shipping
	[-] CORE : Fix bug #PSCFV-5624 set order reference to CHAR(10)
	[-] CORE : fixed bug #PSCFV-8475 - Email templates with {shop_url} append url with index.php
	[-] Core: Cache of Cart::getPackageList is now per cart
	[-] Core: Local cache could never be totally cleaned

	[-] MO: homefeatured - numbers are now the same
	[-] MO: Fix product cover image on blockviewed with multishop
	[-] MO : Fix rand parameter in favorite module js
	[-] MO : Fix bug #PSCFV-8430 bad post type ajax request, thanks to maofree
	[-] MO : Fix bug #PSCFV-8399 dictinct categegories in module blockcategories

	Improved/changed features:

	[*] Installer : Set context in upgrader
	[*] Installer: Add PHP CLI installer

	[*] FO : one_phone_at_least should be set
	[*] FO : add steps to authentication pull request 002f468958 thanks to radovanx
	[*] FO: use subdirectory per template for smarty cache
	[*] FO : Check if grid_prestashop.css is available in theme before including
	[*] FO : Retrocompat for default theme 1.4.10

	[*] BO : Add block "close_td" in list_content.tpl    [*] BO : Add block "close_td" in list_content.tpl    {block name="td_content"}    .....    {/block}    {block name="close_td"}    {/block}    So now we can override "td" and "/td" tags.    So we can create    "td" "a" ... content.... "/a" "/td"    when overriding the block open-td and close-td    and we can use "a" tag with "href" rather than "onclick" to create view links in the list.    And the user can choose to open the link in another tab or window.
	[*] BO: The translation of modules are now made in the theme if modules are overrided or directly in the module folder
	[*] BO: List all modules with an upgrade available on AdminModules header

	[*] TR : Removed hard-coded dot in history.tpl
	[*] TR : Improved English text of installer
	[*] TR : added russian installer tabs
	[*] TR : Fixed wrong use of translation functions in AdminTranslationsController
	[*] TR : Added tab translations for installer languages

	Added Features:

	[+] BO: show all languages in setting of employee


####################################
#   v1.5.4.0 - (2013-03-26)  #
####################################

	Fixed bugs:

	[-] INSTALLER : Last fix of bug #PSCFV-8168 loyalty ADD id_shop to layered_product_attribute
	[-] INSTALLER : Second fix of bug #PSCFV-8168 loyalty CHANGE id_discount to id_cart_rule
	[-] Installer : do not fail on warning when addons modules list empty
	[-] INSTALLER : First fix of bug #PSCFV-8168 reinsurance` CHANGE `filename` to `file_name`
	[-] INSTALLER : Fix bug #PSCFV-8167 bad drop of non-existent index and correct genders image copy
	[-] Installer: Install only the language choosen in the installer
	[-] INSTALLER : Update gender for default customer
	[-] Installer: download the language pack even if this is a native language on installation
	[-] INSTALLER : Fix crash from genders jpg copy
	[-] INSTALLER : Using $this when not in object context
	[-] INSTALLER: Fix syntax error, unexpected 'public' (T_PUBLIC)
	[-] INSTALLER : TEXT field can sometimes not have a default empty value
	[-] Installer : Fixed languages parsing
	[-] INSTALLER : Fix bug #PSCFV-6128 do not loose custos on orders from 1.4.X
	[-] Installer: Fix the installation when safe_mode is enabled
	[-] Installer: Fix 2 path for the upgrader
	[-] Installer: fix UNIQUE key on stock_available table #PSCFV-7886
	[-] Installer: fix upgrade __PS_BASE_URI__
	[-] Installer : Fix warning during upgrade when issues with shops tables
	[-] Installer: check create table privileges
	[-] Installer: force magic_quote_runtime to 0
	[-] INSTALLER : fixed bug #PSCFV-5702 - error javascript when password have a simple quote
	[-] Installer: clear the database when an error occured during the install

	[-] FO : Fix bug #PSCFV-8415 zipcode is required without zip code format too
	[-] FO : Customization delete when quantity custo is one, sorry about this bad commit last time
	[-] FO : Fix bug #PSCFV-8364 block cart hidden or products are doubled
	[-] FO : Fix bug #PSCFV-8098 inversion in customer and address name
	[-] FO : GuestAccount required phone
	[-] FO : update total_product_price_X when customized product after login
	[-] FO : Fix bug #PSCFV-8202 special chars for checkCustomizations js function
	[-] FO : Fix bug #PSCFV-8028 refactoring customization
	[-] FO : Fix bug #PSCFV-8031 and maybe others, do not loop when calling displayNewProducts in blockcart
	[-] FO: Fix #PSCFV-7600 display accessory in the product page even if there are no stock for the default combination (on the default theme)
	[-] FO : fixed attributes order #PSCFV-8032
	[-] FO : remove 404 images in Live Edit
	[-] FO : Fix bug #PSCFV-6595, fancybox images for IE and AlphaImageLoader
	[-] FO : Bug fix : JS Minifier replaced with Google Closure Compiler
	[-] FO : Do no try to add empty css or js file name
	[-] FO : Check for cart rules before diplaying shopping cart in OPC
	[-] FO: Fix separated packages
	[-] FO : Mobile theme updated, templates added/improved
	[-] FO : Avoid flashing of availability_statut
	[-] FO : Bug fix #PSCFV-7915 : Mobile theme issue, default attribute
	[-] FO : Fixed mobile theme authentication CSS
	[-] FO : Fix bug #PSCFV-5168, required phone in all templates
	[-] FO : fixed bug #PSCFV-5744 - Using attribute values with decimal points numbers and its ten multiple, have the same url
	[-] FO : minimum purchase total with wurrency
	[-] FO : remove "Invalid address warning" when not "same"  an no invoice address
	[-] FO : Fix bug #PSCFV-7946 delete customized product with several custos
	[-] Fo : Fix bug #PSCFV-7956 select invoice address when adding a first new address
	[-] FO : Fix case for some excluded searched chars
	[-] FO : Fix bug #PSCFV-8149 Notices on undefined properties
	[-] FO: Fix ecotax displayed on the quantity discounts tab with a change of base_price on the product page
	[-] FO : Fix exception when PS_CART_FOLLOWING
	[-] FO : Fix bug #PSCFV-8132 authRedirection not implemented and wrong back redirection
	[-] FO: fixed bug Module crosselling not working properly (Scroll / JS) - #PSCFV-8080
	[-] FO : the option that disable the tax display in the cart wasn't used anymore, I used it again #PSCFV-8033
	[-] FO : Fix bug #PSCFV-7880 display wrapping row in cart
	[-] FO: Fix links to products_attribute when custom url is defined with the blocklayered
	[-] FO : Fix bug #PSCFV-7920 wrong redirection after account creation
	[-] FO: Fix #PSCFV-8083 display of initial price with quantity discount and cart refreshment
	[-] FO: fixed bug two little coding error - #PSCFV-7982
	[-] FO: fixed bug Backoffice and ipad - #PSCFV-7696
	[-] FO : Home w3c validation removed "legend" attribute and target="_blank"
	[-] FO: Fix #PSCFV-7850 sometimes minify_html lib was returned nothing...
	[-] FO : Back slashes for inputs that need it in authentication.tpl
	[-] FO : Fix bug isGuest not defined, set id_carrier in base at login
	[-] FO : cut long referrers in order to avoid a crash #PSCFV-7775
	[-] FO : display total voucher without taxes when the customer group does not display taxes #PSCFV-7746
	[-] FO : fixed guest saving #PSCFV-6150
	[-] FO: Fix display specific prices for combinations in product page #PSCFV-7807
	[-] FO : Fixed regexp for images embbed in description
	[-] FO : Fix warning #PSCFV-7805
	[-] FO: Fix categories and products restriction for unidentified customers after upgrade
	[-] FO : deprecated free_shipping var set to "false"
	[-] FO : Fix bug #PSCFV-7467 no email in post data
	[-] FO : Fix Bug #PSCFV-7439 radio input css
	[-] FO : Fix Bug #PSCFV-7339 available date on product page
	[-] FO : Fix Bug PSCFI-7016 available date on product page
	[-] FO: Fix PHP warning on update quantity in cart with customizables products
	[-] FO: don't load medias if error on product page to avoid JS bugs
	[-] FO: Fix Cart::getDeliveryOption() cache
	[-] FO : Fix bug #PSCFI-6686 when url param has no value set 1 to valuePSCFI-6686
	[-] FO: Fix product restriction by shop
	[-] FO : Fix bug #PSCFV-7491 special characters in direct search
	[-] FO : Fix bug #PSCFV-7562 no availability date in tempalte
	[-] FO: Fix infinite loop on overriding Module::getPaymentModules and executing hook on it #PSCFV-7760
	[-] FO: Fix #PSCFV-7714 quantity discounts displaying in product page for specific customer
	[-] FO: Fix #PSCFV-7627 customer group reduction was applied on combinations for unidentified users on the product page
	[-] FO: Fix fatal error when a customer is deleted and still logged
	[-] FO : you need to execute CartRule::autoAddToCart() after CartRule::autoRemoveFromCart(), everytime #PSCFV-7674
	[-] FO: fixed bug rendering Problems in IE6 with default theme - #PSCFV-7628
	[-] FO : fixed voucher display in the customer view #PSCFV-7332
	[-] FO : Fixed voucher value when it exceeds the product total #PSCFV-7421
	[-] FO : fixed customer discounts #PSCFV-7479
	[-] FO : fixed retro compatibility issue with discounts #PSCFV-7553
	[-] FO : Fix bug #PSCFI-6864 #PSCFV-6516 Issue with deleted address blocking order process
	[-] FO: Fix #PSCFV-7474 display taxes on order payment when the price without taxes is displayed
	[-] FO: Fix #PSCFV-7530 bad quantity returned displayed on order detail for multiple return
	[-] FO : Fix bug #PSCFV-7504 last category for parent and not always default one
	[-] FO : Fix fatal error when memcache is not installed and using Memcached
	[-] FO: Fix #PSCFV-6375 always display the vat_number field for registration even if the european vat number module is disabled
	[-] FO: Fix Product::getProductName for multilang and multishop
	[-] FO : 'undefined' is undefined =)
	[-] FO: fixed bug Change a little css code of global.css to solve a little issue on authentication page - #PSCFV-7527
	[-] FO : Fix #PSCFV-6356 recall adresses in cart after login
	[-] FO : fixed bug #PSCFV-7508 - broken links to images in jquery.fancybox.css
	[-] FO : Fix bug #PSCFV-6516 when not same address to process
	[-] FO: fixed bug Block Cart in columns disappear if product is removed - #PSCFV-7495
	[-] FO: fixed bug Blocknewsletter.css has an extra bracket on the last line and when corrected override still won't work - #PSCFV-7436
	[-] FO: fixed bug PSCFV-6644
	[-] FO : Fix bug #PSCFV-6655
	[-] FO : fixed bug #PSCFV-7381 - free shipping when no carrier available
	[-] FO: Fix #PSCFV-7322 Product::getProductProperties quantity cache
	[-] FO: updated css product_list
	[-] FO : No error on first consultation of shopping cart with minimum purchase
	[-] FO: added a new line for better display on IE9 for the "new" on homefeatured and product list
	[-] FO : Fix bug #PSCFV-7388 Guest checkout & state validation thankx to Sergio
	[-] FO : adding values to empty parameters in ajax of cart-summary.js
	[-] FO : Apply changes from commit 1.4.X 1d0d59845b5f9cb9333a89e60523ab41df076d89 no cache for POST queries
	[-] FO: fixed bug css in IE
	[-] FO: fixed Solutions for authentication.tpl and address.tpl about dni field - #PSCFV-6619
	[-] FO : Try to fix "phone required" bug once again when only signing in
	[-] FO : Fix bug #PSCFI-6751 for 1.5.X carriers and payments update in OPC
	[-] FO : fixed smarty curly bracket    Signed-off-by: Marco Cervellin <marco@macodev.com>
	[-] FO : small fix on shopping cart adresses
	[-] FO: fixed Installer - Message d'erreur mal affiché - #PSCFV-6585
	[-] FO: fixed IE8 Adding Address Problem + improve line-height input on IE - #PSCFV-6401
	[-] FO: improve display voucher code
	[-] FO : fixed bug #PSCFV-5635 - Mobile Theme tax displayed
	[-] FO : fixed reduction display on product page #PSCFV-6308
	[-] FO : fixed bug #PSCFV-6533 - CMS categories: This page does not exist.
	[-] FO : fixed voucher highlighting in the cart #PSCFV-6422
	[-] FO : fixed +/- Tx on the customer voucher page #PSCFV-6642
	[-] FO: Fix Pack::getItemTable with some PHP versions
	[-] FO : recycled package should be disabled by default (because the option can be deactivated) #PSCFV-6639
	[-] FO : fixed shipping number in e-mail #PSCFV-6584
	[-] FO: Fix #PSCFV-6456 price of default attribute with specific price on product comparison
	[-] FO: improvement shopping cart voucher
	[-] FO: fixed bug CSS
	[-] FO: fixed Css issue in BO - #PSCFV-6408
	[-] FO: Fix add to cart for product packs with no quantity and out of stock allowed #PSCFV-4788
	[-] FO : fixed bug #PSCFV-5569 - Trying to get property of non-object in SitemapController
	[-] FO : fixed bug #PSCFV-6529
	[-] FO : fix #PSCFV-6165 cart update when inactive country in old address
	[-] FO : Fix backslashes for smartyTranslate and js=1
	[-] FO : Bad html entities for alert of order-address.js
	[-] FO : Do not suggest states that are not active
	[-] FO : Fix #PSCFV-5905 Fatal error: "no default carrier"
	[-] FO : fixed bug #PSCFV-5312 - Error Uncaught TypeError: Cannot read property top of null in ajax-cart.js when Cart Block is not on product page
	[-] FO : fix PSCFV-5934 bad redirection from https to http for CMS
	[-] FO : Bad checkbox behavior in FF in OPC
	[-] FO : Countries in invoice address in OPC
	[-] FO: rtl.css was missing on default theme
	[-] FO : Fix Exception when invoice address is empty in OPC
	[-] FO : Fix #PSCFV-5544 same alias is no more rejected in OPC
	[-] FO: Fix cookie domain detection for com.co tld #PSCFV-5256
	[-] FO : small fix in front office pagination thanks to @phproberto
	[-] FO : Fix #PSCFV-4885 for DNI field, states and postcode display
	[-] FO: Fix #PSCFV-6493 root and home category id should be different of 1 and 2
	[-] FO : Fix #PSCFV-6307 correct invoice address in OPC
	[-] FO : Fix again #PSCFV-6209 #PSCFV-5686 no required phone
	[-] FO: Fix #PSCFV-6159 order way of best sales
	[-] FO: name of the supplier page fixed #PSCFV-5571    You do it right in 5219457 , but if you already have a old version, it's no change...
	[-] FO: remove WAHOU
	[-] FO : fixed bug #PSCFV-6411 Friendly URL on prices-drop for page 2 doesn't work

	[-] BO : Remove warning at login template
	[-] BO: it is now possible to change the default customer/guest/visitor group per shop
	[-] BO : fixed Alphabetical sorting of categories
	[-] BO: Fix #PSCFV-8422 it is now possible to manage minimal quantity even if stock management is disabled
	[-] BO : set order payments reference to 9 chars after upgrade from 1.4.X
	[-] BO: AdminProductControllers::bulkDelete should return error message if stock left with adv stock management like standard delete #PSCFV-8250
	[-] BO : fixed product indexation markup in import #PSCFV-7695
	[-] BO : Fix bug #PSCFV-8027 bad sql query on messages when private bool = true
	[-] BO : added important check of the default language for ObjectModel multilang properties
	[-] BO : fixed bug #PSCFV-8285 - module tab listing permission
	[-] BO : Fix live edit link
	[-] BO: Fix update of delivery address on backoffice orders
	[-] BO: Fix auto-selection of default category when you have choosen one on the listing
	[-] BO : Avoid warning if img src not defined in controller
	[-] BO : Fix bug #PSCFV-7468 required phone in address creation
	[-] BO : get default language when context language is empty for translation
	[-] BO : admin language is now based directly on the employee language instead of the cookie
	[-] BO : Rename genders images when upgrading from 1.5.0.1 to 1.5.3.1
	[-] BO : Bug with genders icons
	[-] BO : Bug with duplicate carts in back office due to id_guest
	[-] BO: Auto-select the tax rules group most used on product creation
	[-] BO: Fix SQL error on click on notification if no new notifications
	[-] BO : Fix warning on $db_tab_module_list
	[-] BO: Fix Currencies bulk statuses and deletion
	[-] BO : Premium activation block & logos
	[-] BO: Fix selected shop displayed on the shop listing after F5
	[-] BO: fixed bad set of display status set in AdminCMS
	[-] BO : fixed bug when save image shop association
	[-] BO : Fix bug #PSCFV-7657 all groups checked when creating customers
	[-] BO: Second part of #PSCFV-8067 for orderslips
	[-] BO: Fix #PSCFV-8067 the europeean vat exempt label was not using the tax address type
	[-] BO: fixed bug block shipping display in orders
	[-] BO: Fix #PSCFV-8068 stock available total cache after deleting a combination
	[-] BO: fixed bug cart rules display
	[-] BO: fixed header display on tablet- #PSCFV-6166
	[-] BO: Use default language for copying emails if english is deleted
	[-] BO : fixed bug #PSCFV-7871 - bad breadcrumb when create a new CMS
	[-] BO: don't allow bulkdelete of default language
	[-] BO: Fix case sensitive issue on search blacklist
	[-] BO: Fix module listing with addons module with default currency not on the xml #PSCFV-8005
	[-] BO: Filter customers listing by shop context on AdminGroups
	[-] BO: Fix #PSCFV-7995 countries/groups/currencies refreshment when selecting a shop in specific price form
	[-] BO: Fix form displayed for features add after error
	[-] BO: pagination was missing on tax rules listing
	[-] BO: fixed lots of UI bugs in CMS:    - no more id_category (doesn't exists, it's id_cms_category)    - change category position now redirects in parent category (not at root category)    - change category status now redirects in parent category (not at root category)    - delete multiples category now redirects in parent category (not at root category)    - add form new category now auto select parent category (not root category)    - add a new category now redirects in parent category (not at root category)    - delete multiple categories now redirects in parent category (not at root category)    - now execute parent::postProcess() only if none action found (duplicate postProcess was done)    - now redirects to CMS form if found errors (not at root category)    - fixed unexists $object variable (was $cms) for saveAndStay    - delete multiple cms content now redirects in parent category (not at root category)    - change cms content position now redirects in parent category (not at root category)    - change cms content status now redirects in parent category (not at root category)
	[-] BO: Fix PHP notice on ob_clean if no buffer to delete
	[-] BO : automatic conversion of , into . in cart rules #PSCFV-7430
	[-] BO : fixed payment distribution #PSCFV-7398
	[-] BO: Fix #PSCFV-7838 deleted taxes should not appears on the listing
	[-] BO: improve payment module page on IE
	[-] BO: improve module payment page
	[-] BO: improve payment module page + header
	[-] BO: Fix #PSCFV-7851 - shop logo and name should depend of the order shop and from the context
	[-] BO: Fix #PSCFV-7646 JS error when adding a product existing in an other shop
	[-] BO: Fix #PSCFV-7730 update the multishop fields in adminproducts on default shop if context is all and if product is not associated to all shops
	[-] BO: Fix #PSCFV-7734 multiple order delivery number for the same order
	[-] BO : fixed bug #PSCFV-7551 - wrong breadcrumb when create root category
	[-] BO: Fix #PSCFV-7462 bad sql request for ordering by price in adminproducts
	[-] BO : fixed bug #PSCFV-7575 - BO shipping price by zones ang weigth error js
	[-] BO: Fix #PSCFV-7427 group id used for price computation on order edition
	[-] BO: Fix connection with Addons on AdminModules
	[-] BO: Forbid to add a pack into a pack
	[-] BO: Forbid to delete the defaults return statuses
	[-] BO: Fix error message for new language creation and iso code not exists
	[-] BO: Don't display delete icon for order carts
	[-] BO: Not allow to give an existing email when editing an employee
	[-] BO: Fix #PSCFV-6497 display of list when deleting customers
	[-] BO: Fix id_shop for configuration variables in global context for orders
	[-] BO: get the invoice prefix from the right shop
	[-] BO: Fix live edit links on homepage
	[-] BO: Fix #PSCFV-7576
	[-] BO : Adresses not deduplicate in orders page
	[-] BO : 'MCached' is 'CacheMemcache' for PS_CACHING_SYSTEM_
	[-] BO : Fix bug #PSCFI-6902 fatal error when memcache not installed and Memcached previously activated
	[-] BO: Fix #PSCFV-7522 update cover image after deleting it
	[-] BO: Fix #PSCFV-7523 htaccess generation for SSL domain
	[-] BO : Fix warnings when importing #PSCFV-6648 again
	[-] BO : Fiw warning on $current_order_state
	[-] Bo : Fix warnings #PSCFV-6648
	[-] BO: Fix warning when image is uploaded with PHP < 5.3 #PSCFV-7425
	[-] BO : reduced error catching severity in the module tab
	[-] BO: the attached file of downloadable products duplicated should not be the same than the original #PSCFV-7460
	[-] BO: Fix SQL request on downloadable product duplication
	[-] BO: Fix possible PHP notice on AdminGroups #PSCFV-7412
	[-] BO : Do not display country formatting twice, neither in FO
	[-] BO: Fix #PSCFV-7377 second part
	[-] BO : fix css for iframe of custom products when creating order in BO
	[-] BO: Fix #PSCFV-7377 customizable fields on product duplication
	[-] BO: Fix translations for overridden templates #PSCFV-7391
	[-] BO: Allow override for emails translations on the default theme without MODE_DEV
	[-] BO: Fix #PSCFV-6383 allow numerics chars on SQL Manager
	[-] BO: description_short product field validation when the limit is changed #PSCFV-7383
	[-] BO: Fix #PSCFV-6367 don't display the payment modules on BackOffice orders if they are disabled
	[-] BO: Standard Norm
	[-] BO : fixed bug #PSCFV-5601 - AddressFormat wrongly forbid the 'other' field from the Address to be part of the address format
	[-] BO : fixed quick access for upgrade from 1.4 #PSCFV-6370
	[-] BO : fixed bug #PSCFV-6381 - Customer Service mixing groups of shops (Multistore)
	[-] BO : fixed bug #PSCFV-6623 - fixed Parse error
	[-] BO: Fix #PSCFV-6616 id_shop should be loaded from cart when no order is created on Admin Carts
	[-] BO : fixed bug #PSCFV-6623 - multistore edit greek encoding
	[-] BO: Fix #PSCFV-5930 #PSCFV-5939 the filters are handled as the same between tabs which can cause sql errors
	[-] BO : fixed bug #PSCFV-6536 indefined index in toolbar.tpl
	[-] BO: Disallow advanced stock management if the product become a pa
	[-] BO : fixed bug #PSCFV-4961 - Strange behavior when reordering categories
	[-] BO : fixed bug #PSCFV-4668 - added check if module folder is writable before upgrade it
	[-] BO : bad initialization of context due to miss define of _PS_ADMIN_DIR_ in displayImage.php
	[-] BO : fixed bug #PSCFV-4925 - duplicate subject in SAV
	[-] BO: Fix #PSCFV-6386 recyclable should be init to 0 on BO orders
	[-] BO: Fix #PSCFV-6120 display of shipping price on BO order summary detail with freeshipping
	[-] BO: override the compile check to true for smarty in the BackOffice
	[-] BO : fixed import images
	[-] BO: Fix #PSCFV-6118 display of product image for git on BackOffice orders
	[-] BO : fixed bug #PSCFV-6130 - Wrong currency in product specific prices administration
	[-] BO: Fix #PSCFV-6394 price/weight/unit_price reduction impact on combinations form
	[-] BO: Fix #PSCFV-6415 php notice

	[-] Core: clean Language:: after adding a new lang
	[-] CORE : fixed bug #PSCFV-8035 - 'auth' hook exception is not working
	[-] Core: delete lang files
	[-] Core: Fix the listings in multishop context when you have at least a combination on one shop and not on the others and the same for the images
	[-] Core: don't compute again price_wt in Product::addCustomizationPrice if already computed
	[-] Core: Fix #PSCFV-8293 bad sql vars name on Order::getShipping() #PSCFV-8293
	[-] Core: Fix search indexation when nb languages * nb shops > 50
	[-] CORE : Preserve carrier reference integrity in cart rules when updating a carrier
	[-] Core: Fix #PSCFV-8130 getTaxesAverageUsed() for delivery address used
	[-] Core: Fix #PSCFV-8119 logos/shop_name for orders emails was not depend of the shop
	[-] Core: Fix #PSCFV-7813 override of modules email templates not working because of directory separator
	[-] Core: Fix TCPDF encoding for some languages like japan #PSCFV-8096
	[-] Core: Fix Shop::addSqlRestrictionOnLang() for module installation
	[-] Core: id_customer was missing in the SpecificPrice::getSpecificPrice() cache key #PSCFV-8086
	[-] Core: increase size of phone field
	[-] Core : you must always have an id_shop in a SQL query, not null
	[-] Core: bad operator used in PaymentModule #PSCFV-8040
	[-] Core: Fix #PSCFV-8012 attribute_url is sometimes null but also sometimes empty...
	[-] Core: Mobile_Detect library upgrade to 2.5.5
	[-] Core: ProductSale no more takes products with no visibility    Fixed bug that's ProductSale is taking products with no visibility, displaying them in module blockbestsellers. But as they have no visibility, we don't want to display them!
	[-] CORE : do not verify ssl certificate when using CURL
	[-] CORE : Fix too big query for lastNoneOrderedCart
	[-] Core: Change cache key name of objectmodel now using classname against table name #PSCFV-7795
	[-] CORE : fixed bug #PSCFV-6545 - ImageManager::resize() error
	[-] CORE : Fix warning  when result from query is not a ressource
	[-] Core: Fix rounding price computation with and without taxes #PSCFV-7796
	[-] Core: upgrade smarty to 3.1.13
	[-] CORe : Fix #PSCFV-7314 unregisterHook and unregisterExceptions in module::uninstall
	[-] CORE : file_put_contents() returns the number of bytes that were written to the file, or FALSE on failure.
	[-] CORE : Set default customer group to old default group when upgrading from 1.4.X
	[-] CORE : order state preparation now generate delivery slip
	[-] Core: Fix #PSCFV-6067 stock was not reserved sometimes because of time
	[-] Core : Fixed a lot of issue with free shipping vouchers #PSCFV-7325
	[-] Core : cart rule cache cleared on update
	[-] CORE : FIx #PSCFV-3163 getextendedstats returning new keys
	[-] Core : prepend/append are now a little more optionnal in the routes for the dispatcher
	[-] Core: Fix Tools::file_get_contents for post and curl
	[-] CORE : fixed bug #PSCFV-6238
	[-] CORE : Bad placement of overrided Stock files
	[-] CORE : Missing displayError for alias q
	[-] Core: Fix #PSCFV-7484 cache in Product::priceCalculation
	[-] Core: check the existence of the overriden emails templates before try to sending them
	[-] CORE : email with virtual products info was not send to the customer
	[-] Core: Store partial value in OrderCartRules #PSCFV-6566
	[-] Core: Hook actionUpdateQuantity was not called for product without attributes which depends on the physical stock
	[-] CORE : fixed bug #PSCFV-6555 - Custom theme not working properly with image size
	[-] CORE : fixed bug #PSCFV-5433 - Order confirmation email doesn't report customization
	[-] CORE : fixed bug #PSCFV-4523 - Static _PS_DEFAULT_CUSTOMER_GROUP_ is still use in code even if deprecated 1.5.0.1
	[-] CORE : fixed bug #PSCFV-4754 field name in image_type was too short
	[-] Core: Fix supplier_reference on cart/orders #PSCFV-6082
	[-] Core: Fix #PSCFV-5912 price computation on cart with multiple product without combinations

	[-] MO: followup - fix bug in template vars
	[-] MO: pscleaner - fixed bugs    We need to know that 'editorial' is a module and not always install (so, table can not be there).    ps2 need to be _DB_PREFIX_ !
	[-] MO : Fix bug #PSCFV-8160 iframe in editor
	[-] MO : Bug fix : AdminStores, smarty escape htmlall
	[-] MO : Bug fix : AdminHomeController, allow_url_fopen && Tools::file_get_contents()
	[-] MO : Fix bug #PSCFV-7822 could not load tinymce in referral program
	[-] MO : fixed double entities of meta titles in blocklayered #PSCFV-7986 #PSCFV-7985
	[-] MO : fixed statsbestmanufacturers.php query #PSCFV-8075
	[-] MO: Fix max lenght allowed for 3 field on homeslider configuration #PSCFV-7897
	[-] MO: html was broken on statsdata configuration
	[-] MO : fixed voucher currency in referral program #PSCFV-5950
	[-] MO : you should be able to empty values in homeslider #PSCFV-7407
	[-] MO: regenerate the class_index after adding a new override
	[-] MO : applied unachieved patch on blockbestsellers
	[-] MO: Clear blockcategories_footer.tpl cache
	[-] MO: Display real price instead of Free for product which are not gifts on blockcart #PSCFV-6423
	[-] MO : statsforecast fixed #PSCFV-7399
	[-] MO : Fix bug #PSCFV-6364 pagination in loyalty module, thankx Matthieu@202-ecommerce.com
	[-] MO : fixed bug #PSCFV-6407 - module follow up client
	[-] MO : Fix warning on nbProducts
	[-] MO : Fix bug #PNM-985 bad zone for carrier listing update
	[-] MO : Fix bug #PNM-985 bad zone for cariier listing update
	[-] MO : Update cart function was not functionning + optis
	[-] MO: Fix #PSCFV-7416 product name in blocklayered listing with multishop
	[-] MO: fix a problem with the wishlist_link    With @ArtDesign, we see that if you put the module "Block MyAccount" before the "Wishlist", the wishlist_link var is not declare yet, so the link is empty. If you put the var in the header, it can be accessed by the other tpl.    Or, we can put this in a {$link->getModuleLink(...)} in TPL
	[-] MO : fixed phone number in mailalert #PSCFV-6667
	[-] MO: coding standard
	[-] MO: coding standard
	[-] MO: Fix blockviewd for non identified customers #PSCFV-6042

	[-] WS: Fix #PSCFV-6559 deletion of category images

	[-] PDF : Fixed unecessary slash in manufacturer image path test    In the file_exists test of the manufacturer image path there is an unecessary slash after the constant _PS_MANU_IMG_DIR_, and then we can't display a specific manufacturer image.
	[-] PDF : Fixed unecessary slash in overriden template path

	[-] TR :  Fix #PSCFI-6818 increase input vars in french
	[-] TR : now you can use " or ' in tpl files

	Improved/changed features:

	[*] Installer: check if sessions path if writable
	[*] Installer : mbstring check added (optionnal) #PSCFV-6489
	[*] Installer : installer improvements - Step 1
	[*] Installer : Automatically drop the system compatibility check when everything's alright    // Fixed 'next' button when the page is refreshed
	[*] Installer: pre-compile the smarty templates to improve the loading time of first connection
	[*] Installer : Lower memory for update_order_messages.php

	[*] FO : Fix #PSCFV-7463 No Add to favorite for Chrome
	[*] FO : Fix #PSCFV-6122 for better adresses aliasing in shopping-cart
	[*] FO : Possibility of hook blocknewsletter in footer    I'm added hook footer to blocknewsletter, it is great to theme developers
	[*] FO : Possibility of hook blocknewsletter in footer

	[*] BO: More detailled errors when using Archive tar tool
	[*] BO : remove tiny_mce hard coded setup to tinymce.inc.js
	[*] BO : Set warning when trying to activate Xcache misconfigured
	[*] BO : file_put_contents returns length when success not true
	[*] BO : Add default Unknown.jpg to genders
	[*] BO: add a save and stay button in CMS edit page    This button was missing to edit easily CMS pages.
	[*] BO: store filter by category in admin products
	[*] BO : the option for accented URLs is now available in the backend
	[*] BO: you can now export listing of some tabs in CSV
	[*] BO: Add an option to htaccess generator to disable mod_security (some rules reject ajax file upload)
	[*] BO: Improvements on customer services - you are now able to create new threads for synced emails
	[*] BO: we don't need to clik on a line
	[*] BO : Fix #PSCFI-6225 for 1.5.X
	[*] BO : use the employee lang
	[*] BO: Improve form of catalog price rules #PSCFV-6099

	[*] CORE: Dissasemble CURLOPT_CONNECTTIMEOUT and CURLOPT_TIMEOUT in Tools::file_get_contents
	[*] Core : added the possibility to disable the emails (i.e. for test purpose)
	[*] Core : added automatic conversion of ',' into '.' for floating values

	[*] MO: Add smarty cache on editorial module
	[*] MO: Add smarty cache on blocksocial
	[*] MO: Add smarty cache on blocksearch
	[*] MO: Add smarty cache on blockcustomerprivacy
	[*] MO: Add smarty cache on homeslider
	[*] MO: Add smarty cache on some modules

	[*] WS: Add contact entity
	[*] WS: the customer services are now handled by webservices

	[*] TR: Update translations for errors
	[*] TR : update translations for FR and DE

	[*] LO : Updated associations of countries and languages

	Added Features:

	[+] INSTALLER : added modules install from addons

	[+] BO : added new marketing tab
	[+] BO : new display of payment modules in payment tab
	[+] BO : you can choose where you want to display modules in BO tabs
	[+] BO : new display of module list in all BO tabs
	[+] BO : Added customer language on the customer page

	[+] CORE : added new hook actionModuleInstallBefore and actionModuleInstallAfter
	[+] Core : added a boolean in the database (guest/cart/order) in order to know if the customer used the mobile theme for the order
	[+] CORE : Add .txt extention to CHANGELOG

	[+] MO : new module PrestaShop Cleaner: Check and fix functional integrity constraints and remove default data

	[+] WS : Add product bundle retrieval from Web services


####################################
#   v1.5.3.1 - (2012-12-31)  #
####################################

	Fixed bugs:

	[-] Project: Fix bug when you want to upload (and resize) an image
	[-] Installer: Fix #PSCFV-6392 redirect_type was missing on upgrade
	[-] FO: Fix retrocompatibility for modules and old themes
	[-] FO: Fix PHP warning on category controller
	[-] BO : fixed accentuated URLs in products


####################################
#   v1.5.3.0 - (2012-12-28)  #
####################################

	Added Features:

	[+] Project: add the possibility to change the default color (#db3484)    Let the user set the default color in the mail with a color picker (configuration set in Back Office, Themes)

	[+] FO: modifiy width and height smarty vars for the mobile logo

	[+] BO : you can now choose if a voucher is displayed under the cart in the frontend
	[+] BO: modifiy width and height configuration for the mobile logo
	[+] BO: modifiy smarty var $logo_url to have the mobile logo image if mobile version
	[+] BO: add updateOptionPsLogoMobile()
	[+] BO: add posibility to set a Mobile Header logo
	[+] BO: Allow override loadUpgradeVersionList()

	[+] CORE : now you can choose the redirect option when your product is disable

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-5721 Duplicate column name 'cover' part 2
	[-] INSTALLER : fixed bug #PSCFV-5721 Duplicate column name 'cover'
	[-] Installer: Fix #PSCFV-5367 update of uploadable_files field was missing in the upgrade of multishop
	[-] Installer : name of the supplier page fixed #PSCFV-5571
	[-] Installer : fixed missing backquote in update query #PSCFV-5331

	[-] FO : vouchers created in the backend order creation are not displayed in the frontend anymore
	[-] FO : fixed usage of "&" in the order messages added by the customers
	[-] Fo : fixed warning in empty categories
	[-] FO : fixed wrong variable
	[-] FO : Mobile, data-ajax added on vouchers form
	[-] FO : Mobile, bug fix (JS page reload on OPC)
	[-] FO : fixed bug #PSCFV-4878 - When disable show prices for default group don't show product accessories
	[-] FO : fixed multishipping crash when too many products and addresses
	[-] FO: Fix cache product features #PSCFV-6138
	[-] FO : fixed loop redirect when pagination have 0 product
	[-] FO : small js fix on gift checkbox update on mobile
	[-] FO : small fix on mobile logo url
	[-] FO : fixed bug #PSCFV-5980 && added 'js=1' in tpl when string is in script tag
	[-] FO: The dispatcher now load the custom routes prior the defaults to avoid infinite loops
	[-] FO : fixed bug #PSCFV-6057 - In step 4 by pressing terms and conditions, do not load css in Internet Explorer 8
	[-] FO: CLONE - order_conf still not fixed propertly #2 - #PSCFV-5817
	[-] FO : jquery mobile was not compatible with js minifier, I updated both
	[-] FO: fix The French order_return_state HTML mail template has the wrong colours - #PSCFV-6005
	[-] FO: fix Image attributes not set - #PSCFV-5957
	[-] FO : mobile template - states management
	[-] FO: FIX #PSCFV-5703 quotes in modules translations break javascript execution
	[-] FO : fixed bug #PSCFV-5849 now customer addresses can't be edited if country is not enable in this shop excepte if group shop is shared order
	[-] FO: Fix some tax_display_method value for not default customer group
	[-] FO: Fix cart summary ajax refreshment
	[-] FO: improvement on h4/h5 edits (id become class)
	[-] FO : fixed bug #PSCFV-5826 #PSCFV-4697 Live edit only works for home page && Live edit can't load module
	[-] FO: js was missing on order follow #PSCFV-5441
	[-] FO: fix CSS / formatting needed on blocks - #PSCFV-3013
	[-] FO: fix Add to cart button needs some changes in its css code - #PSCFV-5933
	[-] FO : fixed bug #PSCFV-5563 - address can't be changed when making an order as a guest
	[-] FO : fixed bug #PSCFV-5776 - Converting a guest account via GuestTrackingController allows empty passwords, warns of an invalid password but DOES convert the account
	[-] FO: Don't display categories in breadcrumb if there are not associated to the shop
	[-] FO: Bug CSS on SAFARI with iphone or ipad - #PSCFV-5704
	[-] FO: fix #product_list li span.new: IE 6,7,8 bug: New product badge not correct position - #PSCFV-5898
	[-] FO: added border-right on product-comparison table
	[-] FO : show mobile theme if you have click "Broswe the mobile site" on a PC
	[-] FO : fixed bug #PSCFV-5871 - URL rewrite with layered disabled
	[-] FO: fix Referral Program Email link fix generates duplicate address in the url - #PSCFV-5853    Fixed in all languages
	[-] FO : fixed bug #PSCFV-5865 - Payment modules are not visible in the hookPayment for a foreigner country
	[-] FO: fix The "Compare buttons" on the Manufacturers List page is coded incorrectly...  - #PSCFV-5636    I also fixed this bug on the supplier list
	[-] FO: fix Can't create consumer account if blockcart module is disabled - baseUri not defined - #PSCFV-5667
	[-] FO: bug fixed on infos fields authentification
	[-] FO: Fix cookie problem when accessing not accessing to the shop with the main url
	[-] FO: PSCFV-4181: pruneoff unavailable products
	[-] FO : fixed bug #PSCFV-5293 - product link rewrite bug with category keyword
	[-] FO: add target="_blank" on the "powered by" link in the footer
	[-] FO: Availability was not displayed anymore on product listing #PSCFV-5698
	[-] FO: Search product listing should use the stock of default attribute as in category product listing
	[-] FO : changed redirection management when accessing page number out of scope #PSCFV-5567
	[-] FO : fixed a problem with quantity of customized products #PSCFV-5630    [-] FO : removed cart rules already in the cart from available cart rules in the cart summary
	[-] FO : removed useless extra parameter not implemented in Manufacturer::getManufacturers() #PSCFV-5771
	[-] FO : fixed parse error on ContactController.php #PSCFV-5803
	[-] FO : fixed bug #PSCFV-5649 - Product comparison error when Features are not set
	[-] FO : store locator working hours fixed #PSCFV-5709
	[-] FO : fixed bug #PSCFV-5779 - order_conf still not fixed propertly
	[-] FO: Fix #PSCFV-5052 update the cart rules in the cart when the address is changed
	[-] FO : fixed error in price cache (multishop not taken into account) #PSCFV-5612
	[-] FO : added missing e-mail control on identity controller #PSCFV-5645
	[-] FO : cookie lifetime is now set with the front end lifetime value instead of the BO value #PSCFV-5668
	[-] FO: Fix: many fixes - domain for cookies with different url for ssl / add to cart button for minimal quantities with product attributes
	[-] FO : fixed bug #PSCFV-5481
	[-] FO : fixed bug #PSCFV-5460
	[-] FO : fixed bug #PSCFV-4783
	[-] FO: Fix #PSCFV-5652 url redirection after a guest order was bas
	[-] FO : Fix #PSCFV-5239 bad rewrite rule for category with no image
	[-] FO : fixed bug #PSCFV-5324 - Product url rewrite contains "root/home/"
	[-] FO: Fix #PSCFV-5359 do not redirect to canonical url on 404 error
	[-] FO : you cannot reset the password of a deactivated account anymore #PSCFV-5621
	[-] FO : replaced order id by order reference in the contact form (but kept the id_order for retrocompatibility) #PSCFV-5491
	[-] FO : replaced order id by order reference in the contact form (but kept the id_order for retrocompatibility) #PSCFV-5491
	[-] FO : fixed bug on mobile them with opc can't place order.
	[-] FO : fixed bug #PSCFV-5617 - fixed bug #PSCFV-5616 - mobile theme issues
	[-] FO : wrong cache ID fixed #PSCFV-5537
	[-] FO : fixed bug #PSCFV-5368 - CMS pages are all blank in front but exists in admin
	[-] FO : fixed geolocation issue (which caused some unexpected cart reset)
	[-] FO : removed deprecated configuration var "PS_VOUCHERS" #PSCFV-5240    // Removed useless DOS protection
	[-] FO : Fix error with geolocation enabled and satellite connection
	[-] FO : Fix 2 SSL links on order-follow tpl #PSCFV-5441
	[-] FO : shipping should not be free because the products in cart cart are free #PSCFV-5303
	[-] FO : restored the display of available cart rules in the cart #PSCFV-5473 (clean)
	[-] FO : fixed validation of birthdates #PSCFV-5465
	[-] FO : restored the display of available cart rules in the cart #PSCFV-5473
	[-] FO : Fix the group/zone/shop restriction on carriers when using advanced stock management
	[-] FO : missing vars in contact email replaced #PSCFV-4852
	[-] FO : fixed bug #PSCFV-5236 - 2 issues with Customer::outstanding_allow_amount
	[-] FO : fixed bug #PSCFV-5398 - "In stock" in the product page write in red
	[-] FO : fixed bug #PSCFV-5304 - theme tools.js needed in OrderFollowController.php and OrderSlipController.php
	[-] FO : fixed bug #PSCFV-5039
	[-] FO: Fix #PSCFV-5220 exception when birthday date is invalid
	[-] FO : Fix #PSCFV-5216 specific prices on cart refreshment when deleting product

	[-] BO : better error management for translation packs
	[-] BO : fixed translations on templates
	[-] BO : fixed image settings form #PSCFV-5458
	[-] BO : fixed warnings on the anti-XSS page
	[-] BO : fixed weight and distance units validation
	[-] BO : fixed image upload (except with OVH firewall) #PSCFV-6152 #PSCFV-6157 #PSCFV-5862 #PSCFV-5756 #PSCFV-6074 #PSCFV-5459
	[-] BO: Fix #PSCFV-6172 don't htmlentities the cart rule name && increase size of name order_cart_rule field
	[-] BO : fixed bug #PSCFV-5408 - Affect a new zone button for selected states in  States doesn't work correctly
	[-] BO : fixed duplicate code management on cart rules #PSCFV-6119
	[-] BO: Fix catalog price rules creation with mysql strict mod #PSCFV-5916
	[-] BO: useSSL global does not exist anymore #PSCFV-6113
	[-] BO: don't display stock available if stock management is disabled #PSCFV-6029
	[-] BO: Improve memory usage in admin product in global context with a lot of shops and attributes
	[-] BO: Fix root category should anyway be imported in shop creation #PSCFV-5885
	[-] BO: Fix various bugs in categories ntree generation
	[-] BO : fixed bug #PSCFV-6000 - added check if zip uploaded is a real module in AdminModules
	[-] BO : fixed bug #PSCFV-5991 - CMS friendly URL does not automatically copied
	[-] BO : added import button on listing
	[-] BO : fixed bug #PSCFV-5774 BO SAV : the response of the admin appears without newline
	[-] BO : fixed bug #PSCFV-4701 - Module onclickOption is not called
	[-] BO : fixed bug #PSCFV-4699 - Module uninstall confirmation message is missing
	[-] BO: Fix #PSCFV-4889 don't delete product if physical stock > 0
	[-] BO: Add display of modules errors on reset #PSCFV-2077
	[-] BO: Fix #PSCFV-5706 save of product availability on global context
	[-] BO : fixed bug when toggle status on product listing, redirect_type was not good
	[-] BO: Fix #PSCFV-5345 quotes in translations of languages packs imported
	[-] BO: Fix #PSCFV-5332 wrong rights on folder after uploading image
	[-] BO: Fix category association in global context #PSCFV-5551
	[-] BO : fixed bug #PSCFV-5501 - Can't edit Guest AccountAddress in Custumer -> Addresses
	[-] BO : fixed bug #PSCFV-5743 - modify status Preparation in progress and remove the delivery flag
	[-] BO : fixed bug #PSCFV-5610 Credit slip reference is too short    [*] BO : added prefix on credit slip reference
	[-] BO : improved error display on admincarriers #PSCFV-5660
	[-] BO: Fix product image link for admin orders #PSCFV-5163
	[-] BO : added Module::getInstanceByName brefore ->loadUpgradeVersionList
	[-] BO : fixed bug #PSCFV-5838 Advanced Parameters - E-mail - Custom SMTP does not work if the password contains symbols '<' or '>'
	[-] BO : you can now remove the english language by whatever mean you like most #PSCFV-5815
	[-] BO : admin does not crash anymore when custom BO theme is not available #PSCFV-5492
	[-] BO : fixed duplicated rows with free order in dashboard stats #PSCFV-5626
	[-] BO : fixed filters on statuses tab #PSCFV-5763
	[-] BO: Fix #PSCFV-5207 update of some fields on multishop with deleted property
	[-] BO : fixed sorting and filter in BO tabs #PSCFV-5618
	[-] BO: Fix the product indexation only on the default shop #PSCFV-5227
	[-] BO : image regeneration now gives a better reporting and crash less #PSCFV-5519
	[-] BO : tag saving does not crash with a bad line ending anymore #PSCFV-5663
	[-] BO: Fix #PSCFV-5445 - carts are empty on global context in the AdminCarts
	[-] BO : you can search a product by supplier reference again #PSCFV-5723
	[-] BO : check the folder permissions before writing PDF translations in the theme
	[-] BO : forbid the creation of 2 cart rules with the same code #PSCFV-5737
	[-] BO : added missing width and height of the logo in the supplier order PDF
	[-] BO: FIX #PSCFV-5088 - cant add a tax rule to a group if one have already defined as unique
	[-] BO : fixed bug #PSCFV-5141 - Product Url being rewritten when a product is edited
	[-] BO: Fix #PSCFV-4284 combinations import should delete available stock for combinations and not for products
	[-] BO: Remove useless warning #PSCFV-5122
	[-] BO : Fix #PSCFV-4949 position updating after deleting a category from a product
	[-] BO: Fix #PSCFV-5109 translations of admin module controller
	[-] BO: Fix #PSCFV-5263 tax rule deletion on tax rules group deletion
	[-] BO : fixed bug #PSCFV-4855 - AdminTab1.5 compatibility ; datepicker not included in listHeader
	[-] BO : fixed JS bug in category creation with URL rewrite field
	[-] BO: Fix language pack export
	[-] BO: Fix #PSCFV-5344 stock reinjecting values on returning products with advanced stock management
	[-] BO : fixed form bug with voucher with a value < 1.00 #PSCFV-5523
	[-] BO : fix the change of advanced stock management in the products on GroupShop context #PSCFV-5521
	[-] BO : Fix PDF translations with default theme without DEV MODE #PSCFV-4888
	[-] BO : date format in PDF fixed #PSCFV-5178
	[-] BO : fixed bug #PSCFV-5387 - Impossible to add more than 13 Keywords in index page (SEO & URLs)
	[-] BO : fixed bug #PSCFV-5105 - Internal server error 500 on fields names translation
	[-] BO : added more details when fail to regenerate thumbnails
	[-] BO: OrderSlips should not be deleted && add icon to download pdfs on admin order slips
	[-] BO: Fix product attribute values on product duplication with multishop #PSCFV-5435
	[-] BO : Fix carrier association listing on warehouse form
	[-] BO: delete the carrier on the warehouse from the id_reference
	[-] BO : fixed bug #PSCFV-5355 - issue in Carrier::delete() and Carrier::cleanPositions()
	[-] BO : fixed bug #PSCFV-5385 - bug in SEO and URL, select field "page"
	[-] BO : fixed bug #PSCFV-5321 - decreasing unit price impact in combinations not possible
	[-] BO : fixed bug #PSCFV-4274 - supplier reference missing in csv import of combinations
	[-] BO : fixed bug #PSCFV-4795 - Broken pack option for products with apostrophe in translation
	[-] BO : Fix #PSCFV-4858
	[-] BO : Fix #PSCFV-4710 - html was not saved in backups made in backoffice
	[-] BO: #PSCFV-5258 increase the allowed displayed results for product autocomplete
	[-] BO : fixed bug #PSCFV-5155
	[-] BO : fixed bug adminStores when enable multistory crash on save store
	[-] BO : Fix #PSCFV-5223 add product should be available when the package is not shipped
	[-] BO : fixed bug #PSCFV-4787 - Administration > Quick Access: token issue
	[-] BO : fixed bug #PSCFV-5251 - unable deactivate product via CSV import
	[-] BO : fixed bug #PSCFV-5230 - Employees skip permits on bulk delete category
	[-] BO : fixed bug #PSCFV-4844 - Category Image is deleted after update
	[-] BO : fix #PSCFV-5087

	[-] Classes : Bug fix : Modules, check module instance
	[-] Classes : Bug Fix : AdminStoresController (parse error)

	[-] Core: the gift wrapping taxes is now handled by tax rules group
	[-] CORE : fixed bug #PSCFV-5116 Horizontal top menu cache
	[-] Core: The emails can now be sent with amazon SES when logo is in png
	[-] CORE : fixed bug #PSCFV-4754 Image sizes are the same for all shops and themes
	[-] Core: Fix #PSCFV-6162 - can't add no tax for specific zip code or state
	[-] Core: Fix #PSCFV-5997 - Product::priceCalculation not return the price of default combination
	[-] CORE : fixed bug #PSCFV-6084
	[-] CORE : fixed bug #PSCFV-6098 Double @ in customer email address crashes BO
	[-] Core: send email when payment is remotly accepted #PSCFV-6064
	[-] Core: Fix Swift and TCPDF for hosting which disallow getmypid() php function
	[-] Core: Fix search indexation when id_product is forced #PSCFV-6039
	[-] CORE : fixed sql bug in PaymentModuleCore::getInstalledPaymentModules() - now get only active payment modules
	[-] CORE : small fix in Dispatcher::createURL() when friendly URL is disabled
	[-] Core: Locales should be setted anywhere #PSCFV-5953
	[-] Core: Fix #PSCFV-5948 id_warehouse was sometime set to  null on validateorder with stock management disabled
	[-] Core: Fix #PSCFV-5966 the tax rate applied to shipping cost for the visitors was the product tax rate
	[-] Core: Fix isDate validator
	[-] Core: Fix date validator #PSCFV-5797
	[-] CORE : fixed bug #PSCFV-5536 - Layout for index controller is broken
	[-] CORE : fixed some bad include of jquery plugin
	[-] CORE : fixed bug #PSCFV-5572 - getJqueryPluginCSSPath method does not pass folder argument
	[-] Core: Fix #PSCFV-5561 many payment informations are added when product is out of stock on order validation
	[-] Core: Fix #PSCFV-5301 Product::isDiscounted was returned a bad value
	[-] CORE : fixed bug #PSCFV-5514 - Override of module language file type fr.php in theme
	[-] CORE : fixed bug #PSCFV-5700 - loop on undefined variable, typo, quote missing in generic_add_missing_column.php
	[-] CORE : fixed bug #PSCFV-5400 - jquery.ui.core.css is never used
	[-] Core: Fix products duplication when using multiple taxe rule on the same country
	[-] Core: Fix #PSCFV-5327 the computation of real stock quantities was bad sometimes
	[-] Core: fix regular expression patterns for some hosting which don't support unicode
	[-] CORE : fixed bug #PSCFV-5261 - No easy way to associate xxx_shop table for an object => added Shop:: addTableAssociation($table_name, $table_details)
	[-] Core: Fix #PSCFV-5238 cache_has_attachments field update
	[-] Core : fix id_warehouse used for orders
	[-] Core : Fix #PSCFV-5370
	[-] Core: StockAvaible::updateQuantity should return a value
	[-] CORE : fixed bug #PSCFV-5190 - ObjectModel setDefinitionRetrocompatibility faulty
	[-] CORE : fixed bug #PSCFV-4910 - bug with cache_default_attribute when converting a product to pack
	[-] CORE : fixed bug #PSCFV-5153 - intifier and desintifier from Cart class are not reliable
	[-] CORE : fixed bug #PSCFV-5252 - Module::addOverride() erase existing override method already existe
	[-] Core : Fix #PSCFV-5194 object instead of object name stored in class definition

	[-] MO : statsbestvouchers small fix (but great difference)
	[-] MO : fixed bad path in productcomments
	[-] MO : fixed bad character in the statsbestvouchers module
	[-] MO : fixed bugs on RSS modules
	[-] MO: Fix Wishlist controller with ssl #PSCFV-5943
	[-] MO: Mailalert should send alert for new order independently of the stock management
	[-] MO : fixed backslashes in homeslider #PSCFV-5664
	[-] MO : fixed bug #PSCFV-5396 - Notices when ordering categories with layered navigation module
	[-] MO : use addJS instead of a tpl file
	[-] MO: Fix #PSCFV-5246 add and remove favorite products was not working using SSL
	[-] MO : block RSS encoding fixed #PSCFV-5689
	[-] MO : fixed referralprogram uninstall #PSCFV-5680
	[-] MO : "delete" in the module list now uninstall the module before deleting the files
	[-] MO : fixed bug #PSCFV-5348 - cant load any tinymce in any bo module works only in cms pages
	[-] MO: Fix Bankwire validation link using SSL #PSCFV-5266
	[-] MO : statsdata must use SSL when tracking a secure page #PSCFV-5443
	[-] MO : upgrade files are now called in the right order #PSCFV-5315
	[-] MO : fixed bug #PSCFV-5379 - code problem in editorial.php at function hookDisplayHome
	[-] MO : fixed bug #PSCFV-4632 - no german translation for my-account block in footer
	[-] MO : fixed bug #PSCFV-5333 - blockuserinfo css fails with localization
	[-] MO : fixed bug #PSCFV-5335 - duplication of background value in blockmyaccountfooter module

	[-] WS: Fix #PSCFV-5915 temporary images deletion
	[-] WS: #PSCFV-5982 logo email/invoices/mail don't return standard logo if not exists
	[-] WS: Fix #PSCFV-5981 logo path
	[-] WS : cart rules were missing in the WS #PSCFV-5602

	Improved/changed features:

	[*] FO : mobile template - states management    Put "p" and "div" in the same selector
	[*] FO : Bug fix : h4 -> title_block
	[*] FO : Cart vouchers style edited
	[*] FO : improve SEO and http error code
	[*] FO: use initLogoAndFavicon() function
	[*] FO: add initLogoAndFavicon()
	[*] FO : fixed wrong display of weight units in product comparaison #PSCFV-5662

	[*] BO : moved sample csv file
	[*] BO : added backup of the settings file whenever there is a modification #PSCFV-5676
	[*] BO : the global search now looks into the modules
	[*] BO : Mobile theme checks that the PayPal module is installed.
	[*] BO : you can now search by order reference #PSCFV-5592

	[*] Core: conversion_rate of currencies are now multishop

	[*] WS : add accessories association to product webservices


####################################
#   v1.5.2.0 - 17927 (2012-10-23)  #
####################################

	Added Features:

	[+] CORE : added transaction_id in PaymentModule::validateOrder() in $extra_vars['transaction_id']

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-4809

	[-] FO : fixed bug #PSCFV-4625
	[-] FO : fixed bug #PSCFV-4702
	[-] FO : fixed bug #PSCFV-4946
	[-] FO : fixed bug #PSCFV-4950
	[-] FO : fixed bug #PSCFV-5007
	[-] FO : fixed bug #PSCFV-5048

	[-] BO : fix #PSCFV-4053
	[-] BO : fix #PSCFV-4764
	[-] BO : fix #PSCFV-4766
	[-] BO : fix #PSCFV-4816
	[-] BO : fix #PSCFV-4846
	[-] BO : fix #PSCFV-4848
	[-] BO : fix #PSCFV-4854
	[-] BO : fix #PSCFV-4862
	[-] BO : fix #PSCFV-4884
	[-] BO : fix #PSCFV-4888
	[-] BO : fix #PSCFV-4901
	[-] BO : fix #PSCFV-4933 : add recursively index.php file
	[-] BO : fix #PSCFV-4953
	[-] BO : fix #PSCFV-4988
	[-] BO : fix #PSCFV-5008
	[-] BO : fix #PSCFV-5019
	[-] BO : fix #PSCFV-5031
	[-] BO : fixed bug #PSCFV-4209
	[-] BO : fixed bug #PSCFV-4439
	[-] BO : fixed bug #PSCFV-4653
	[-] BO : fixed bug #PSCFV-4674
	[-] BO : fixed bug #PSCFV-4750
	[-] BO : fixed bug #PSCFV-4769
	[-] BO : fixed bug #PSCFV-4865

	[-] Classes : Hook - Display payment method & shop default currency bug fix

	[-] CORE : fixed bug #PSCFV-4595
	[-] CORE : fixed bug #PSCFV-4759
	[-] CORE : fixed bug #PSCFV-4860
	[-] Core : Fix #PSCFV-4986

	[-] MO : fixed bug #PSCFV-4602
	[-] MO : fixed bug #PSCFV-4829
	[-] MO : fixed bug #PSCFV-4897
	[-] MO : fixed bug #PSCFV-4932
	[-] MO : fixed bug #PSCFV-4952


####################################
#   v1.5.1.0 - 17784 (2012-10-04)  #
####################################

	Improved/changed features:

	[*] TR : Loyalty module FR translation updated


####################################
#   v1.5.1.0 - 17771 (2012-10-04)  #
####################################

	Improved/changed features:

	[*] Installer : added brazilian/portuguese

	[*] Classes : Tools::replaceAccentedChars() method improved (lowercase/uppercase chars)

	[*] TR : update translations

	Added Features:

	[+] FO : now you can choose if at least on phone number is required

	[+] BO : Add CloudCache in Performance Tab

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-4072
	[-] Installer : Fix #PSCFV-4306
	[-] Installer : removed calls to Tools in installer (replace by local function) #PSCFV-4113

	[-] FO : #PSCFV-4329
	[-] FO : #PSCFV-4356 : index.php added when this file not exist on the default theme
	[-] FO : URL possibly misinterpreted (remove a product in the cart) #PSCFV-4179
	[-] FO : blockcart was only able to remove 1 product at a time #PSCFV-4170
	[-] FO : changed confusing "free shipping" mention #PSCFV-4151
	[-] FO : fixed #PSCFV-4120
	[-] FO : fixed #PSCFV-4123
	[-] FO : fixed bug #PSCFI-2571 #PSCFI-2571
	[-] FO : fixed bug #PSCFV-4092
	[-] FO : fixed bug #PSCFV-4112
	[-] FO : fixed bug #PSCFV-4117
	[-] FO : fixed bug #PSCFV-4137
	[-] FO : fixed bug #PSCFV-4175
	[-] FO : fixed bug #PSCFV-4223
	[-] FO : fixed bug #PSCFV-4310
	[-] FO : fixed bug #PSCFV-4316
	[-] FO : fixed bug #PSCFV-4317
	[-] FO : fixed bug #PSCFV-4336
	[-] FO : fixed bug #PSCFV-4340
	[-] FO : fixed bug #PSCFV-4341
	[-] FO : fixed bug #PSCFV-4347
	[-] FO : fixed bug #PSCFV-4357, #PSCFV-4270
	[-] FO : fixed bug #PSCFV-4367
	[-] FO : fixed bug #PSCFV-4368
	[-] FO : fixed bug #PSCFV-4388
	[-] FO : fixed bug #PSCFV-4414
	[-] FO : fixed bug #PSCFV-4488
	[-] FO : fixed bug #PSCFV-4490
	[-] FO : fixed bug #PSCFV-4495
	[-] FO : fixed bug #PSCFV-4526
	[-] FO : fixed bug #PSCFV-4535
	[-] FO : fixed bug #PSCFV-4553
	[-] FO : fixed bug #PSCFV-4557
	[-] FO : fixed bug #PSCFV-4611
	[-] FO : fixed bug #PSCFV-4618
	[-] FO : fixed width bug #PSCFV-4245
	[-] FO : instant search relevancy fixed #PSCFV-4267
	[-] FO : mobile theme : fix #PSCFV-4275
	[-] FO : mobile theme : fix #PSCFV-4275 : delete calls to css and js not used

	[-] BO : #PSCFV-4356 : index.php added when export translations
	[-] BO : #PSCFV-4392 : index.php in modules folder and sub folders
	[-] BO : added a truncate on a too long string #PSCFV-4009
	[-] BO : attribute values can appear beyond 50 values #PSCFV-2801 #PSCFV-4353
	[-] BO : changed misleading description in the performance tab #PSCFV-4281
	[-] BO : features are not doubled anymore in multishop #PSCFV-4527
	[-] BO : fix #PSCFV-2097
	[-] BO : fix #PSCFV-3600
	[-] BO : fix #PSCFV-3910
	[-] BO : fix #PSCFV-4037
	[-] BO : fix #PSCFV-4045
	[-] BO : fix #PSCFV-4069
	[-] BO : fix #PSCFV-4074
	[-] BO : fix #PSCFV-4081
	[-] BO : fix #PSCFV-4116
	[-] BO : fix #PSCFV-4131
	[-] BO : fix #PSCFV-4167
	[-] BO : fix #PSCFV-4204
	[-] BO : fix #PSCFV-4205
	[-] BO : fix #PSCFV-4216
	[-] BO : fix #PSCFV-4238 and fix #PSCFV-4258
	[-] BO : fix #PSCFV-4249
	[-] BO : fix #PSCFV-4295
	[-] BO : fix #PSCFV-4296
	[-] BO : fix #PSCFV-4309
	[-] BO : fix #PSCFV-4344
	[-] BO : fix #PSCFV-4401
	[-] BO : fix #PSCFV-4424
	[-] BO : fix #PSCFV-4461
	[-] BO : fix #PSCFV-4464
	[-] BO : fix #PSCFV-4469
	[-] BO : fix #PSCFV-4519
	[-] BO : fix #PSCFV-4582
	[-] BO : fix #PSCFV-4596
	[-] BO : fix #PSCFV-4596 : added an option for to force the id during CSV import
	[-] BO : fix #PSCFV-4607
	[-] BO : fix #PSCFV-4626
	[-] BO : fix #PSCFV-4631
	[-] BO : fix #PSCFV-4644
	[-] BO : fix #PSCFV-4662
	[-] BO : fix #PSCFV-4664
	[-] BO : fix #PSCFV-4672
	[-] BO : fix #PSCFV-4681
	[-] BO : fix #PSCFV-4718
	[-] BO : fixed bug #PSCFV-3934
	[-] BO : fixed bug #PSCFV-3957
	[-] BO : fixed bug #PSCFV-4021
	[-] BO : fixed bug #PSCFV-4157
	[-] BO : fixed bug #PSCFV-4201
	[-] BO : fixed bug #PSCFV-4213
	[-] BO : fixed bug #PSCFV-4247
	[-] BO : fixed bug #PSCFV-4262
	[-] BO : fixed bug #PSCFV-4288
	[-] BO : fixed bug #PSCFV-4319
	[-] BO : fixed bug #PSCFV-4355
	[-] BO : fixed bug #PSCFV-4373
	[-] BO : fixed bug #PSCFV-4395
	[-] BO : fixed bug #PSCFV-4471
	[-] BO : fixed bug #PSCFV-4472
	[-] BO : fixed bug #PSCFV-4555
	[-] BO : fixed bug #PSCFV-4660 , #PSCFV-4124
	[-] BO : fixed combination of cart rules when saving the rule #PSCFV-4147
	[-] BO : fixed country listing #PSCFV-4438
	[-] BO : fixed ecotax #PSCFV-4443
	[-] BO : fixed size management in objectmodel #PSCFV-4537
	[-] BO : fixed wrong extends in the stats #PSCFV-3852
	[-] BO : strange behaviour with the admin path fixed #PSCFV-4354

	[-] CORE : fixed bug #PSCFV-4002 - Error in webservices with /api/categories/1
	[-] CORE : fixed bug #PSCFV-4148 #PSCFV-4218 #PSCFV-4217
	[-] CORE : fixed bug #PSCFV-4272
	[-] CORE : fixed bug #PSCFV-4330
	[-] CORE : fixed bug #PSCFV-4366
	[-] CORE : fixed bug #PSCFV-4634 - Object::cleanPosition() is no longer call in controller but in Object::delete();

	[-] MO : fixed bug #PSCFV-3765
	[-] MO : fixed bug #PSCFV-3769
	[-] MO : fixed bug #PSCFV-4256
	[-] MO : fixed bug #PSCFV-4261
	[-] MO : fixed bug #PSCFV-4456
	[-] MO : fixed bug #PSCFV-4483
	[-] MO : fixed link in referral program #PNM-532
	[-] MO : statsales : fix #PSCFV-4089
	[-] MO : stupid code removed in editorial module template #PNM-467

	[-] TR : change string "gender" by "titles"...
	[-] TR : fix #PSCFV-4202
	[-] TR : fix #PSCFV-4282 : updated of some bad link on mail template


####################################
#   v1.5.0.17 - 17369 (2012-09-13)  #
####################################

	Improved/changed features:

	[*] Installer : added timout to sql connection
	[*] Installer : socket management for PDO + refactoring

	[*] FO : Optimization - don't redirect and allow WS and other script to work

	[*] BO : #PSCFV-3710 : select a current theme in AdminTranslations
	[*] BO : #PSCFV-3831 : check each field which are required in databases
	[*] BO : Added Mobile category in AdminModulesController
	[*] BO : Changed the default list view for products and categories when multistore is activated
	[*] BO : now you could translate a mobile theme
	[*] BO : set context shop by default when creating a new catalog price rule #PSCFV-3412

	[*] TR : #PSCFV-3999 : change string "multishop" by "multistore" in BO
	[*] TR : #PSCFV-4000 : change string "validity" by "valid" in BO
	[*] TR : add Deutsch translations
	[*] TR : add French translations
	[*] TR : add Italian translations
	[*] TR : add Spanish translations
	[*] TR : add setter for the type selected
	[*] TR : add spanish object for confirmation order email
	[*] TR : update French translations

	Added Features:

	[+] FO : mobile theme re-included in the trunk

	[+] BO : Added Mobile tab image
	[+] BO : in order tab you have new information of new customer message

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-2979
	[-] Installer : #PSCFV-3603 - loop while loading logo
	[-] Installer : changed the primary keys of tha language tables of category, product, meta, carrier #PSCFV-3726
	[-] Installer : deprecated tab removed in the 1.4 > 1.5 upgrade #PSCFV-3564
	[-] Installer : fix #PSCFV-4050
	[-] Installer : fixed errors at the installation with insertion of null values in the database #PSCFV-3544
	[-] Installer : fixed warnings #PSCFV-3633
	[-] Installer : fixed wrong return value in upgrade script
	[-] Installer : ignore port when creating the sender e-mail address #PSCFV-3756
	[-] Installer : install failed when you had an exotic (i.e. not by default in the installer) default country/language #PSCFV-3891
	[-] Installer : set admin theme to default after an upgrade

	[-] FO : Bug fix on carrier input value (comma)
	[-] FO : ObjectModel/Db tried to add entities with a primary key pre-filled #PSCFV-3652 #PSCFV-3651
	[-] FO : disable ajax transition on mobile theme in order to fix javascript issues
	[-] FO : fixed #PSCFV-3675
	[-] FO : fixed #PSCFV-3676
	[-] FO : fixed accessories display
	[-] FO : fixed bug #PNM-431
	[-] FO : fixed bug #PSCFV-2741
	[-] FO : fixed bug #PSCFV-3758 -  now you can display working hour on simplified mode in store locator
	[-] FO : fixed bug #PSCFV-3784 - fixed display bug in dateofdelivery and order history
	[-] FO : fixed bug #PSCFV-3794
	[-] FO : fixed bug #PSCFV-3811 - Customization field non present while not long description on product page
	[-] FO : fixed bug #PSCFV-3818
	[-] FO : fixed bug #PSCFV-3853
	[-] FO : fixed bug #PSCFV-3936
	[-] FO : fixed bug #PSCFV-3964 - #PSCFV-3527
	[-] FO : fixed bugs on customer messages #PSCFV-3733 #PSCFV-3712
	[-] FO : fixed cache management conflict for packed product #PSCFV-3294
	[-] FO : fixed country restrictions for payment modules #PSCFV-2738
	[-] FO : fixed height of homefeatured products (missing height caused problem on floating div position sometimes) #PSCFV-3638
	[-] FO : fixed mixed cache in different shops #PSCFV-3174
	[-] FO : fixed undeletable products in cart (when price < 1¤) #PSCFV-3707
	[-] FO : mobile : fix #PSCFV-3881
	[-] FO : mobile : fix #PSCFV-3904
	[-] FO : mobile theme: fix #PSCFV-3878 : now the cart isn't reload with Jquery Mobile
	[-] FO : mobile theme: fix #PSCFV-3913
	[-] FO : pagination form cannot have an css id because it is used more than once #PSCFV-3755
	[-] FO : some categories should not appear in some stores #PSCFV-4020

	[-] BO : #PSCFV-3670 : add a new format of currency in JS files
	[-] BO : #PSCFV-3776 : small fix
	[-] BO : #PSCFV-3797 : small fix
	[-] BO : #PSCFV-3808 : small fix
	[-] BO : #PSCFV-3834 : Check if file upload exist when use the contact form
	[-] BO : #PSCFV-3848 : Add reference order instead of id order for follow an order
	[-] BO : Attribute deletion fixed #PSCFV-3616
	[-] BO : BugFix : #PSCFV-3554 : Class Category, Method calcLevelDepth: throw Exception
	[-] BO : children categories were not really deleted #PSCFV-4028
	[-] BO : deactivated tab does are not displayed anymore #PSCFV-3740
	[-] BO : filename should be allowed to be empty #PSCFV-3592
	[-] BO : fix #PSCFV-3855
	[-] BO : fix #PSCFV-3874
	[-] BO : fix #PSCFV-3893
	[-] BO : fix #PSCFV-3908
	[-] BO : fix #PSCFV-3926
	[-] BO : fix #PSCFV-3928
	[-] BO : fix #PSCFV-3945
	[-] BO : fix #PSCFV-3979
	[-] BO : fix #PSCFV-4025
	[-] BO : fixed #PSCFV-3627
	[-] BO : fixed #PSCFV-4034
	[-] BO : fixed bug #PSCFV-2958
	[-] BO : fixed bug #PSCFV-3226
	[-] BO : fixed bug #PSCFV-3541
	[-] BO : fixed bug #PSCFV-3724 - fixed bug with "Save and Stay" on product page with DisplayAdminProductsExtra
	[-] BO : fixed bug #PSCFV-3738 - addCSS() and addJS() methods not working in backOfficeHeader hook
	[-] BO : fixed bug #PSCFV-3787 - Front displaying blank features
	[-] BO : fixed bug #PSCFV-3806 - fixed bug when unchecked all shop asso you can't access to item any more.
	[-] BO : fixed bug #PSCFV-3886
	[-] BO : fixed bug #PSCFV-3922
	[-] BO : fixed incorrect substr in customer service #PSCFV-3621
	[-] BO : fixed issue with dot and comma in import for floating numbers #PSCFV-3609
	[-] BO : fixed right permissions for new tabs #PSCFV-3640
	[-] BO : fixed wrong link on AdminHome #PSCFV-3614
	[-] BO : function str2url fixed #PSCFV-4017
	[-] BO : images extension weren't checked appropriately #PSCFV-3584
	[-] BO : null values ignored in objectmodel::update #PSCFV-3591
	[-] BO : original product price was saved without decimals #PSCFV-3968
	[-] BO : restricted some unauthorized accesses #PSCFV-3611
	[-] BO : set addresses to deleted when customer set to deleted #PSCFV-3975
	[-] BO : status image was not saved #PSCFV-3654
	[-] BO : super admins are now added to all shops #PSCFV-3561
	[-] BO : theme mobile : #PSCFV-3880 : Now you have 4 options for enable the theme mobile
	[-] BO : theme mobile : #PSCFV-3910
	[-] BO : theme mobile : #PSCFV-3937
	[-] BO : you can now delete multiple order statuses at one #PSCFV-3585

	[-] CLASSES : Report Contry::getCountries() changes from 1.4 to 1.5
	[-] Classes : Autoload, bug fix

	[-] CORE : fixed bug #PSCFV-3406
	[-] CORE : fixed bug #PSCFV-3889
	[-] CORE : fixed bug #PSCFV-3916
	[-] CORE : fixed bug #PSCFV-3982

	[-] MO : #PSCFV-3550 - Module Check : Display warning only if the module is active
	[-] MO : blocktopmenu : #PSCFV-3762 : Add link for CMS categories
	[-] MO : fixed #PSCFV-3940
	[-] MO : fixed #PSCFV-3944
	[-] MO : fixed bug #PSCFV-3148 - now referalprogram use module controller
	[-] MO : fixed bug #PSCFV-3751 - Links Block Formatting //need to re-install the module
	[-] MO : fixed bug #PSCFV-3768
	[-] MO : fixed bug #PSCFV-3770 - Uncheck "Display the Footer's informations" in CMS Block cause CMS links to hide too.
	[-] MO : fixed bug #PSCFV-3791- customer privacy module error bug
	[-] MO : fixed bug #PSCFV-3871
	[-] MO : fixed bug #PSCFV-3871 - part 2
	[-] MO : fixed context issues in loyalty #PNM-332
	[-] MO : fixed deprecated link in statdata #PNM-315
	[-] MO : fixed image upload in homeslider #PSCFV-3730
	[-] MO : followup : #PSCFV-3946
	[-] MO : loyalty : #PSCFV-3760 : fix warning && update number of loyalties by product && normalize
	[-] MO : loyalty : #PSCFV-3764 : display points of default attribute
	[-] MO : mailalert : #PSCFV-3763 : Fix error when i delete an mail alert
	[-] MO : mailalert : Fix duplicate result
	[-] MO : product_comment : fix #PSCFV-3983

	[-] WS : Fix 1.5 compatibility
	[-] WS : Fix id_shop behavior when use WS or script
	[-] WS : Multiple fix on Web Services

	[-] TR : #PSCFV-3849 : fix bug in TranslateCore class
	[-] TR : #PSCFV-3972 : change "%7Bshop_url%7D" by "{shop_url}" in Deutsch emails
	[-] TR : #PSCFV-3977 : fix bug when upgrade of 1.4.x to 1.5.x
	[-] TR : #PSCFV-4027 : change string "tabs" by "Menus"...
	[-] TR : #PSCFV-4032 : fix encoding of tabs.php file for all languages
	[-] TR : Mail : #PSCFV-3987 : add stripslashes for email object
	[-] TR : fix #PSCFV-3932
	[-] TR : fix bug when not have a mobile folder in a theme folder
	[-] TR : update French translations strings
	[-] TR : update French translations strings (fo)
	[-] TR : update translations strings


####################################
#   v1.5.0.15 - 16730 (2012-08-06)  #
####################################

	Improved/changed features:

	[*] FO : better management in the priority between the cart rules #PSCFV-2804

	[*] BO : #PSCFV-2671 : Added  a new currency format for Switzerland
	[*] BO : #PSCFV-3007 : Now you can create a voucher when you create a partial refund on the BO
	[*] BO : Added  translation for the template which are overridden on the BO
	[*] BO : Added an override capability for the admin templates
	[*] BO : Update Deutsch translations
	[*] BO : Update Italian translations
	[*] BO : Update Spanish translations (#PSCFV-3024)
	[*] BO : added a new Validate method "isPercentage"
	[*] BO : export name tabs by ISO code : check name of tab
	[*] BO : export name tabs by ISO code when export translations
	[*] BO : from 300 to 40 queries in Modules tab, does not really speed up the page, but eases my mind
	[*] BO : sending a mail is a little less strict with wrong parameters - it tries to send the e-mail, not to die!
	[*] BO : updated the "risk" class to the new 1.5 system (+several improvments)
	[*] BO : you can now disable automatic indexation of the products #PSCFV-3258

	[*] MO : missing logo added #PSCFV-3010

	[*] TR : Update English translation : step 1
	[*] TR : update Deutsch translations
	[*] TR : update English translations key for Back Office
	[*] TR : update English translations key for Errors
	[*] TR : update English translations key for Front Office
	[*] TR : update English translations key for Modules
	[*] TR : update Italian translations
	[*] TR : update Spanish translations
	[*] TR : update french translations

	Added Features:

	[+] BO : added new cool feature

	[+] CORE : Add version_compare tools to align version sent with alignVersionNumber method.

	Fixed bugs:

	[-] PROJECT : Fix on PS module compliancy check - #PSCFV-2783
	[-] Project : #PSCFV-2790 - Fix bug with stock synchronization

	[-] INSTALLER : Add hook alias - #PSCFV-2742
	[-] INSTALLER : Fix demo product installed (Search class) - #PSCFV-2880
	[-] INSTALLER : fixed bug #PSCFV-2751 - Prestashop 1.5 needs more than 32MB for PHP memory_limit but it is not tested at setup
	[-] Installer : #PSCFV-3042 - Fix bug with installer and hook_module position
	[-] Installer : The boolean for the cart rule activation wasn't assigned correctly when updating from 1.4 to 1.5 #PSCFV-2847
	[-] Installer : changed Guam zone #PSCFV-3134
	[-] Installer : crash with mysql strict mode fixed (datetime has a range of 1000-9999)
	[-] Installer : fixed Norway zone
	[-] Installer : theme name deprecated #PSCFV-2937
	[-] installer : missing italian translations #PSCFV-3289

	[-] FO : #PSCFI-5795 : fixed a bug where the opc freeze when an Order is to 0
	[-] FO : #PSCFV-2623 - Fix address redirection
	[-] FO : #PSCFV-2746 - Improve product return errors
	[-] FO : #PSCFV-2840 - Fix bug with typewatch on the opc (qty change) and multishipping
	[-] FO : #PSCFV-2920 - Hidding order number, use order reference instead
	[-] FO : #PSCFV-2951 - Fix bug with dispatcher and route rule with multilanguage
	[-] FO : #PSCFV-2981 - Fix bug with url rewrite and subdomain "www"
	[-] FO : #PSCFV-2993 #PSCFV-2811 - Default carriers and carrier sorting where ignored
	[-] FO : #PSCFV-3014 - On account creation, address delivery of all cart products must be set with the user address
	[-] FO : #PSCFV-3016 - Fix bug on removing quantity of a product with a customisation
	[-] FO : #PSCFV-3034 - Add return quantity to order detail
	[-] FO : #PSCFV-3055 - Part 2 : Hidding shipping price if a cart rule make shipping free
	[-] FO : #PSCFV-3079 - Change scene image size
	[-] FO : #PSCFV-3083 - Fix bug on up/down quantity on the cart
	[-] FO : #PSCFV-3083 - Fix bug with quantity update on cart
	[-] FO : #PSCFV-3099 - Fix bug with multishipping on changing billing address
	[-] FO : #PSCFV-3100 - With OPC shpping cost are not refreshed correctly
	[-] FO : #PSCFV-3121 - New JS vars baseUri. This vars must be used instead of baseDir for ajax queries.
	[-] FO : #PSCFV-3242 - Add PS version in cookie hach name
	[-] FO : #PSCFV-3267 - Summary ajax return do not contain the correct price without discount
	[-] FO : #PSCFV-3268 - Fix bug with cache and cart rule discount calculation
	[-] FO : #PSCFV-3268 - Fix bug with cache cartrule badly fill
	[-] FO : #PSCFV-3318 - Guest Tracking must use order reference and not order id
	[-] FO : #PSCFV-3318 - Guest Tracking retrocompatibility with old theme
	[-] FO : #PSCFV-3356 - Update delivery price on selecting a free shipping option
	[-] FO : #PSCFV-3362 - Order detail ajax call must use SSL
	[-] FO : #PSCFV-3365 - Add missing vars assigned to the tpl on refreshing carrier durring account creation on the OPC
	[-] FO : #PSCFV-3388 - Fix bug with js product combination id
	[-] FO : #PSCFV-3392 - Bad CSS syntax
	[-] FO : #PSCFV-PSCFV-2598 - Fix bug with features not ordering by position
	[-] FO : Added a simple space in order to be more readable
	[-] FO : Bug Fixed #PSCFV-3407 - Only index page allows an empty url_rewrite
	[-] FO : Bug Fixed #PSCFV-3417 - Wrong total order price calculation with tax disabled
	[-] FO : BugFix : #PSCFV-2837 : City not displaying in address selection of checkout process
	[-] FO : BugFix : #PSCFV-2896 : Every contacts from contact page are displayed, without shop restriction
	[-] FO : BugFix : #PSCFV-2970 : Order history displays an error
	[-] FO : BugFix : #PSCFV-3182 : In 5 steps order process, when login, the 5 steps are displaying but they should not.
	[-] FO : BugFix : #PSCFV-3283 : Customer group deleted when updating personnal informations
	[-] FO : BugFix : #PSCFV-3332 : Error for multiple store products
	[-] FO : double escape removed #PSCFV-3530 (already done in the controller)
	[-] FO : fix PSCFV-2948 display of specific prices on the product for combinations
	[-] FO : fix bug #PSCFV-2901 - Minor authentication.css validate issue
	[-] FO : fix bug #PSCFV-2902 - Minor category.css validation issue
	[-] FO : fixed bug #PSCFV-2760 - live edit close confirm
	[-] FO : fixed bug #PSCFV-3189
	[-] FO : fixed price display precision in the product sheet template #PSCFI-6111
	[-] FO : fixed warning when a discount wasn't associated to any reduction type (shipping, currency, percentage)
	[-] FO : potential divide by zero removed #PSCFV-2787

	[-] BO : #/PSCFV-3246 - Change french translation
	[-] BO : #PSCFV-2596 - Hide custom features values from customization detail list
	[-] BO : #PSCFV-2638 - Fix bug combination mess up in product/quantities
	[-] BO : #PSCFV-2736 : import product : fix bug when the image isn't uploaded
	[-] BO : #PSCFV-2739 - Hide button merchandise return if disable
	[-] BO : #PSCFV-2758 : fix error when use Tools::displayErrors()
	[-] BO : #PSCFV-2790 - Fix bug with Stock Advanced
	[-] BO : #PSCFV-2835 : fix bugs in webservices translations
	[-] BO : #PSCFV-2851 : fix bug when export a theme
	[-] BO : #PSCFV-2925 - CMS tab, display notice "Array to string conversion" with php 5.4
	[-] BO : #PSCFV-2947 - isArrowKey doesn't always return a valaue
	[-] BO : #PSCFV-2956 - Fix bug on creating carriers
	[-] BO : #PSCFV-2964 : Display error when PDF translation doesn't exist
	[-] BO : #PSCFV-2972 : fix unnecessary message
	[-] BO : #PSCFV-3000 - Send an email on changing an order from the BO
	[-] BO : #PSCFV-3006 - Change presentation of group selects
	[-] BO : #PSCFV-3011 - Add details of refund and returned products on the BO order page.
	[-] BO : #PSCFV-3036 : fix bug and fix notice and fix deprecated function
	[-] BO : #PSCFV-3039 : Add customer thread when i have a order message
	[-] BO : #PSCFV-3055 - Part 1 : If there is a rules with free shipping, shipping prices are not displayed
	[-] BO : #PSCFV-3055 - Part 1 : Improving displaying of resume cart (payment step)
	[-] BO : #PSCFV-3064 - Fix bug on creating order using a cart
	[-] BO : #PSCFV-3066 - Fix bug on selecting delivery option
	[-] BO : #PSCFV-3086 - Improve visibility of some elements on return details
	[-] BO : #PSCFV-3111 - Avoid double click on saving button
	[-] BO : #PSCFV-3112 - Fix bug with payment by cheque and multishipping
	[-] BO : #PSCFV-3126 - Change mail object. Mail object must be unique for a specific template
	[-] BO : #PSCFV-3146 - Customer Thread, fix encoding chars bugs
	[-] BO : #PSCFV-3175 : fix price excluded when import product width specific price
	[-] BO : #PSCFV-3192 - Product::getAttributeGroups return duplicated attributes
	[-] BO : #PSCFV-3206 - Add description for the field "Shop name" on the shop configuration.
	[-] BO : #PSCFV-3213 - Fix bug with FO product url on the BO
	[-] BO : #PSCFV-3222 - Fix array unique strange working
	[-] BO : #PSCFV-3234 - Change error message
	[-] BO : #PSCFV-3247 - Fix link to edit customer profile
	[-] BO : #PSCFV-3366 - Not possible to create customizable fields on multishop context
	[-] BO : #PSCFV-3474 - Force ajax request to be synchron
	[-] BO : #PSTP-73 : fix bug translations in AdminStatsTabController
	[-] BO : AdminProductController::updateTags has no return value
	[-] BO : Bug Fixed ##PSCFV-3128 - part 2
	[-] BO : Bug Fixed #PSCFI-5506 - Incorrect product price in BO
	[-] BO : Bug Fixed #PSCFV-2116 - Import combinations images
	[-] BO : Bug Fixed #PSCFV-3090 - Outstanding exception in the outstanding tab
	[-] BO : Bug Fixed #PSCFV-3093 - typo in JS
	[-] BO : Bug Fixed #PSCFV-3122 - Cart rules applied 2 times on shipping fees if the order is splitted
	[-] BO : Bug Fixed #PSCFV-3125 - Fields already filled when creating a new supplier
	[-] BO : Bug Fixed #PSCFV-3128 - Incorrect voucher value via product return
	[-] BO : Bug Fixed #PSCFV-3270 - CSV Import addresses + multishop
	[-] BO : Bug fixed related to #PSCFV-2954 - order slip do not include VAT on carriers
	[-] BO : BugFix : #PSCFV-2205 : Combination attributes are displayed as many time as they are associated to a shop.
	[-] BO : BugFix : #PSCFV-2761 : Change a default language by shop is not possible
	[-] BO : BugFix : #PSCFV-2798 : Multistore : BUG on the "modify products page" with another shop device
	[-] BO : BugFix : #PSCFV-2823 : Product::priceCalculation() returns null specific_price after two calls
	[-] BO : BugFix : #PSCFV-2844 : Problem in image associated to shop (AdminImportController)
	[-] BO : BugFix : #PSCFV-2958 : Tags do not work after import
	[-] BO : BugFix : #PSCFV-2960 : Exception thrown when updating customer email
	[-] BO : BugFix : #PSCFV-2965 : Localization : updating default currency does not change currency on BO
	[-] BO : BugFix : #PSCFV-2973 : Product Return : unable to create a product return
	[-] BO : BugFix : #PSCFV-3031 : Unable to edit categories from the list
	[-] BO : BugFix : #PSCFV-3033 : attributes and values in multishop
	[-] BO : BugFix : #PSCFV-3033 : features in multishop
	[-] BO : BugFix : #PSCFV-3069 : OrderDetail->purchase_supplier_price is not saved in DB
	[-] BO : BugFix : #PSCFV-3120 : Multishop : employees without shop
	[-] BO : BugFix : #PSCFV-3142 : Admin Tracking displaying categories from other shops
	[-] BO : BugFix : #PSCFV-3178 : Attributes are duplicated in the attribute value creation form dropdown list
	[-] BO : BugFix : #PSCFV-3235 : Multistore : unable to duplicate a product
	[-] BO : BugFix : #PSCFV-3334 : Price Rules : Catalog Price Rules - In condition group when you want to make a condition with categories, in the list appears every categories from every stores
	[-] BO : BugFix : #PSCFV-3537 : Product Indexing lost when editing a product
	[-] BO : FIx issue failling the multilang field length validation on products
	[-] BO : Fix W3C errors
	[-] BO : Fix the graph engine path
	[-] BO : Fixed #PSCFV-2759
	[-] BO : Fixed SQL crash with an empty shop list #PSCFV-2946
	[-] BO : Fixing modules permissions system
	[-] BO : Product : add missing properties
	[-] BO : Undefined tax calculator
	[-] BO : advanced stock management should not appear when the advanced stock management is deactivated #PSCFV-3141
	[-] BO : cart rules are now cleaned when a component of a product rule (like a product, a category, a supplier...) is deleted
	[-] BO : fix #PSCFV-2883
	[-] BO : fix #PSCFV-2889
	[-] BO : fix #PSCFV-2941
	[-] BO : fix #PSCFV-2953
	[-] BO : fix #PSCFV-2955
	[-] BO : fix #PSCFV-2961
	[-] BO : fix #PSCFV-2962
	[-] BO : fix #PSCFV-2983 : add iso_code in URI's for robots.txt
	[-] BO : fix #PSCFV-3022
	[-] BO : fix #PSCFV-3027
	[-] BO : fix #PSCFV-3032
	[-] BO : fix #PSCFV-3041
	[-] BO : fix #PSCFV-3046
	[-] BO : fix #PSCFV-3070
	[-] BO : fix #PSCFV-3076
	[-] BO : fix #PSCFV-3087
	[-] BO : fix #PSCFV-3101
	[-] BO : fix #PSCFV-3102
	[-] BO : fix #PSCFV-3106 : Patchouli mistake
	[-] BO : fix #PSCFV-3116
	[-] BO : fix #PSCFV-3117
	[-] BO : fix #PSCFV-3127
	[-] BO : fix #PSCFV-3131
	[-] BO : fix #PSCFV-3143
	[-] BO : fix #PSCFV-3145
	[-] BO : fix #PSCFV-3190
	[-] BO : fix #PSCFV-3194
	[-] BO : fix #PSCFV-3198
	[-] BO : fix #PSCFV-3200
	[-] BO : fix #PSCFV-3207 && normalize
	[-] BO : fix #PSCFV-3243
	[-] BO : fix #PSCFV-3244
	[-] BO : fix #PSCFV-3276
	[-] BO : fix #PSCFV-3277
	[-] BO : fix #PSCFV-3278 : add a parameter id_shop in a method Mail::send() && normalize
	[-] BO : fix #PSCFV-3280
	[-] BO : fix #PSCFV-3284
	[-] BO : fix bug #PSCFV-2897 - JS error on combination page
	[-] BO : fix strict standard #PSCFV-3173
	[-] BO : fix translation #PSCFV-2998
	[-] BO : fixed #PSCFV-3005 - problems to create a shop for contact with multishop
	[-] BO : fixed #PSCFV-3043 - can't active language in BO
	[-] BO : fixed #PSCFV-3058 SAV multi fix
	[-] BO : fixed #PSCFV-3058 SAV multi fix part 2
	[-] BO : fixed access rights in employee permissions #PSCFV-3157
	[-] BO : fixed alt text for duplication #PSCFV-3180
	[-] BO : fixed bug #PSCFV-2604
	[-] BO : fixed bug #PSCFV-2731
	[-] BO : fixed bug #PSCFV-2756 - error in installation 1.5 RC Warning on copy()
	[-] BO : fixed bug #PSCFV-2779 - live edit not working + friendly URL
	[-] BO : fixed bug #PSCFV-2826
	[-] BO : fixed bug #PSCFV-2827 - AdminProducts : Customer autocomplete on specific price not available
	[-] BO : fixed bug #PSCFV-2828 - Changing the default attribute : no refresh
	[-] BO : fixed bug #PSCFV-2843 - Can't create first level admin tab
	[-] BO : fixed bug #PSCFV-2859 - In my preferences, user can change his her profile
	[-] BO : fixed bug #PSCFV-2859 - part 2
	[-] BO : fixed bug #PSCFV-2878 - Displaying wrong link in the SEO tab of a product using multistore
	[-] BO : fixed bug #PSCFV-3088 - customer import with multistore
	[-] BO : fixed bug #PSCFV-3142
	[-] BO : fixed bug #PSCFV-3202
	[-] BO : fixed bug #PSCFV-3261
	[-] BO : fixed bug #PSCFV-3336
	[-] BO : fixed bug #PSCFV-3338
	[-] BO : fixed bug #PSCFV-3342
	[-] BO : fixed bug #PSCFV-3352
	[-] BO : fixed bug #PSCFV-3376 - BO - Dashboard - Information message wich is sending to a forbidden access page
	[-] BO : fixed bug #PSCFV-3383
	[-] BO : fixed bug #PSCFV-3437
	[-] BO : fixed bug #PSCFV-3439
	[-] BO : fixed bug #PSCFV-3439 part2
	[-] BO : fixed bug #PSCFV-3457
	[-] BO : fixed bug #PSCFV-3457 - part2
	[-] BO : fixed bug #PSCFV-3466
	[-] BO : fixed bug on customer edit when context is in "all shop" or "group shop"
	[-] BO : fixed problem with case sensitive path #PSCFV-3179
	[-] BO : inappropriate condition fixed for module access #PSCFV-3312
	[-] BO : moved some code from AdminModulesController to AdminController because is is used on AdminHomeController
	[-] BO : original product price was not set in the order detail table #PSCFV-3159
	[-] BO : patch to grid engines fixed #PSCFV-3153
	[-] BO : product state did not show in the back office search #PSCFV-3150
	[-] BO : you could not remove a gift once it had been set #PSCFV-3420
	[-] BO : you do not need to add the admin controller in the core, the override directory is enough
	[-] Bo : #PSCFV-2680 : fix bug
	[-] Bo : replace constant _PS_THEME_DIR_ by _PS_MAIL_DIR_ when send a email

	[-] CLASSES : fixed bug #PSCFV-2769 - Accolade missing in AdminTab.php
	[-] CLASSES : fixed bug #PSCFV-2786 - Error in getOrderInvoice function
	[-] CLASSES : fixed bug #PSCFV-2836 - Warning on Category::recurseLiteCategTree()
	[-] Classes : fixed bug #PSCFV-3260 - Bug when add product to existing order

	[-] CORE : Fixed bug #PSCFV-2862. onclick evet properly calle.
	[-] Core : Delete stock_available for combinations in the import
	[-] Core : Fix PSCFV-2898 delete stock_available after combination deletion
	[-] Core : Swift exception(s) handled #PSCFI-6121

	[-] MO : #PNM-286 : Block top menu bug fix (Shop ID)
	[-] MO : #PNM-293 : Block CMS bug fix (contact url)
	[-] MO : #PSCFI-5815 - Fix bug on chrome with Chrome
	[-] MO : #PSCFI-5957 - Blocklayered - Fix bug with price ordering
	[-] MO : #PSCFV-2858 - Fix bugs with non latin chars. Htmlentities was not usefull
	[-] MO : #PSCFV-2868 - Fix addslashes
	[-] MO : #PSCFV-2922 - Blocklayered, make sure url ordering parameters is each time the same
	[-] MO : #PSCFV-2924 - Cannot comment a product if there already comments validated
	[-] MO : #PSCFV-3049 - Fix Bug with module block search
	[-] MO : #PSCFV-3057 - Block cart: If no products, block cart is never displayed
	[-] MO : #PSCFV-3059 - Block menu top invert add/remove item
	[-] MO : #PSCFV-3193 Blocktopmenu - Fix css bug
	[-] MO : #PSCFV-3223 - Fix bug with blocktags module
	[-] MO : #PSCFV-3274 - Blockcart, fix bug with gift products
	[-] MO : #PSCFV-3274 - No links to remove discounts without code in module blockcart
	[-] MO : Blockspecials - Bug Fixed #PSCFV-3360 - Price displayed even in catalog mode
	[-] MO : BugFix : #PSCFV-2821 : ProductComment module does not save grade with only one criterion
	[-] MO : BugFix : #PSCFV-2822 : ProductComment module : submitNewMessage url problem
	[-] MO : BugFix : #PSCFV-2830 : Product Comments module does not publish guest comment, returns exception.
	[-] MO : BugFix : #PSCFV-2831 : ProductComments module : css override #fancybox-wrap and #fancybox-content
	[-] MO : Fix hook name on differents modules - #PSCFV-2784
	[-] MO : Fix on BlocTopMenu hook name - #PSCFV-2784
	[-] MO : Fixed bug #PNM-284. Use correctly the new controller for the validation process
	[-] MO : Fixed #PSCFV-2864 column name statssearch.id_group_shop is now id_shop_group, thanks to Fabien :)
	[-] MO : Watermark - Bug Fixed #PSCFV-2770 - Watermark is not working
	[-] MO : blockadvertising update did not update the image extension #PSCFV-3355
	[-] MO : blockcart retrocompatibility
	[-] MO : blocklayered : #PSCFV-2796 : add charset UTF-8 in SQL tables
	[-] MO : cashondelivery - translations files are now into translations dir
	[-] MO : fixed #PSCFV-2978 - Block reinsurance shows incorrect when its text is changed to work with other language than English
	[-] MO : fixed bug #PSCFV-2853 - bug in the blocklink : you can not update the title block or edit links.
	[-] MO : fixed bug #PSCFV-2874 - blocklink_shop.id_shop is varchar, It must be integer.
	[-] MO : fixed bug #PSCFV-3010
	[-] MO : fixed deprecated link in blocktopmenu (search form)
	[-] MO : multishop update for sekeywords #PSCFV-3271
	[-] MO : productcomments : fix #PSCFV-2890

	[-] WS : #PSCFV-2888 : Fix bug
	[-] WS : Fix id_shop to not being mandatory
	[-] WS : creation of new product combination returned an error #PSCFV-3333

	[-] PDF : #PSCFV-2795 : Add font : freeserif and fix bug in tcpdf.php
	[-] PDF : Bug Fixed #PSCFV-2516 - Unable to print invoice when the physical url has been removed
	[-] PDF : Bug Fixed #PSCFV-2735 - Missing tax details in order slip
	[-] PDF : Bug Fixed #PSCFV-2773 - Front office, error on generating RMA form
	[-] PDF : Bug Fixed #PSCFV-2788 - Incorrect discount value if free shipping
	[-] PDF : Bug Fixed #PSCFV-2912 - .htaccess & index.php in the PDF folder
	[-] PDF : Bug Fixed #PSCFV-2945 - Basic Authentication + TCPDF : Beware if  you need to modify the getLogo think to symlinks, vhosts etc ...
	[-] PDF : Bug Fixed #PSCFV-3044 - Images incorrectly displayed
	[-] PDF : Bug Fixed #PSCFV-3225 - Translations
	[-] PDF : Canadian taxes

	[-] TR : BugFix : #PSCFV-3470 : french mispelling
	[-] TR : fix #PSCFV-3200
	[-] TR : fix #PSCFV-3229
	[-] TR : fix #PSCFV-3253
	[-] TR : fix #PSCFV-3269 : remove call to PSQL() which is unnecessary
	[-] TR : fix #PSCFV-3358
	[-] TR : fix #PSCFV-3374
	[-] TR : fix #PSCFV-3403 : check if is an object before loading stock data
	[-] TR : fix #PSCFV-3425
	[-] TR : fix #PSCFV-3436


####################################
#   v1.5.0.13 - 15948 (2012-06-07)  #
####################################

	Added Features:

	[+] PROJECT : Add method Module::isEnabled

	[+] MO : Adding CashOnDelivery Module :)

	Improved/changed features:

	[*] PROJECT : update the physical data model

	[*] BO : add method for import translations tabs

	Fixed bugs:

	[-] PROJECT : active field for Object Module is not compliant with multishop :)
	[-] Project : #PSCFV-2594 - Allow accent in URL
	[-] Project : #PSCFV-2633 #PSCFV-2622 - Fix problems with multishipping and order payment & invoice

	[-] INSTALLER : Add missing key on image product
	[-] Installer : fixed bug #PSCFV-2690 - wrong back office screenshot in the installer
	[-] Installer : Notice some constants are already defined
	[-] Installer : Specific price could now be equal to 0

	[-] FO : BugFix : #PSCFV-2541 : TECHNICAL ERROR : unable to save addresses
	[-] FO : BugFix : #PSCFV-2590 : State not appear in front-office
	[-] FO : BugFix : #PSCFV-2628 : Combination is not selected from the URL (at least on firefox)
	[-] FO : Cart products cache fixed (when you remove a product from the cart)
	[-] FO : fixed bug #PSCFV-2669 - fix bug on product customization in order process
	[-] FO : Fixed #PSCFV-2704 category position is now correct after upgrade, thanks to Conny !
	[-] FO : #PSCFV-2580 - Fix bug with customisation and increasing/decreasing qty

	[-] BO : Add a check on the scandir for the Employees theme
	[-] BO : Bug Fixed #2676 - Missing button in group shop tab
	[-] BO : Bug Fixed #PSCFV-2119 - Import CSV: Supplier details not visible
	[-] BO : Bug Fixed #PSCFV-2555 - AdminController with Options: Add new button turns into Save
	[-] BO : Bug Fixed #PSCFV-2677 - You shouldn't be allowed to put spaces in virtual url
	[-] BO : BugFix : #PSCFV-2597 : Category tree is not loaded with context shop
	[-] BO : BugFix : #PSCFV-2620 : Wrong client age when the age is not filled
	[-] BO : BugFix : #PSCFV-2630 : Combination and multishop association issue with shared stock through group shop
	[-] BO : BugFix : #PSCFV-2639 : The search autocomplete does not work in multi store mod
	[-] BO : BugFix : #PSCFV-2644 : Unable to remove stock to a product with advanced stock management
	[-] BO : Can not access to module configuration if not installed anymore
	[-] BO : Delete backslashes quotes on the BackOffice search
	[-] BO : fix bug #PSCFV-2522 - Unable to switch a product from virtual to normal
	[-] BO : fixed bug on SEO & URLs page
	[-] BO : fixed bug #PSCFV-2502 - fixed bug on notification system in back office
	[-] BO : fixed bug #PSCFV-2584 - fix translations issue in product page
	[-] BO : fixed bug #PSCFV-2608 - carrier creation fail redirect
	[-] BO : fixed bug #PSCFV-2624 - Error after deleting supplier associated with a product
	[-] BO : fixed bug #PSCFV-2641
	[-] BO : fixed bug #PSCFV-2652
	[-] BO : fixed bug #PSCFV-2665
	[-] BO : fixed bug #PSCFV-2714 - Product availability not upgraded
	[-] BO : fixed bug #PSCFV-2717 - Final price does not appear anymore in the BO product page
	[-] BO : Fixed #PSCFV-2714 - option when out of stock - with vAugagneur
	[-] BO : Fix gradient in ie
	[-] BO : Fix gradient in ie
	[-] BO : fix #PSCFV-2480 : fix translations
	[-] BO : fix #PSCFV-2480 : fix translations
	[-] BO : fix #PSCFV-2504 : Now class PaymentModule can be translated
	[-] BO : fix #PSCFV-2513
	[-] BO : fix #PSCFV-2517 : CSV importing combinaisons
	[-] BO : fix #PSCFV-2540 : CSV importing categories errors + manufacturers + suppliers
	[-] BO : fix #PSCFV-2544 : delete selected manufacturers
	[-] BO : fix #PSCFV-2545 - can't change product out of stock order status
	[-] BO : fix #PSCFV-2564 : imported customers with a CSV file
	[-] BO : fix #PSCFV-2578 : Not duplicate customers with the CSV file
	[-] BO : fix #PSCFV-2581 : update Jquery Ajax File Uploader in version 2.1
	[-] BO : fix #PSCFV-2603 : translations
	[-] BO : Import CSV: Supplier is not active when created throught csv import
	[-] BO : Import CSV: Supplier not linked to shops
	[-] BO : #PSCFV-2511 - Country visible in all shop
	[-] BO : #PSCFV-2530 - Change warning message
	[-] BO : #PSCFV-2542 - Fix bug : Unable to translate PaymentModule : some email terms are still in english
	[-] BO : #PSCFV-2553 : fix bug html for email order_conf.html
	[-] BO : #PSCFV-2556 #PSCFV-2550 - Fix password alert message "&eacute;"
	[-] BO : #PSCFV-2559 - Ask user to reload all product tabs not loaded correctly
	[-] BO : #PSCFV-2562 - Select all categories on creating a new shop
	[-] BO : #PSCFV-2568 - CmsController and CmsCategoriesController cannot be called dirrectly
	[-] BO : #PSCFV-2569 - Fix CMS category duplication
	[-] BO : #PSCFV-2576 : add URL back when create address when checkout
	[-] BO : #PSCFV-2581 : Minify Jquery Ajax File Uploader version 2.1
	[-] BO : #PSCFV-2582 : now list customer is not empty when deleting multiple customer
	[-] BO : #PSCFV-2583 fix customers which are displaying in notifications
	[-] BO : #PSCFV-2591 : fix translations in bankwire module
	[-] BO : #PSCFV-2606 - Fix bug with FastCGI/CGI and url multishopping (we cannot be sure the mod_rewrite is enable or disable)
	[-] BO : #PSCFV-2626 : fix bug in localization pack for the currency format
	[-] BO : #PSCFV-2635 - Confirmation message asked multiple times
	[-] BO : #PSCFV-2660 : Fix bug in regex for parse translations
	[-] BO : #PSCFV-2661 : Fix translation when use parent::displayError() in modules
	[-] BO : #PSCFV-2661 : Fix translation when use parent::displayError() in modules
	[-] BO : #PSCFV-2700 : fix translations
	[-] BO : #PSCFV-2711 : Delete button "edit" in AdminSlip
	[-] BO : #PSCFV-2716 : Fix memory limit when upload image file
	[-] BO : #PSCFV-2729 : delete translations of this character : "?" in AdminGroups
	[-] BO : Total tax doesn't appear on the invoice
	[-] BO : Unable to save admin preferences
	[-] BO : Update assign value
	[-] BO : Warnings while getting modules logo has been fixed - Bug #PSCFV-2602

	[-] Classes : fixed bug #PSCFV-2681 - issue with updating of current_state column on order table

	[-] CORE : Bug Fixed #PSCFV-2703 - Unable to redirect if one arg contain .php

	[-] MO : BugFix : #PSCFV-2566 : Created category does not appear on CMS module configuration (blockcms)
	[-] MO : Fixed typo on module followup french mail
	[-] MO : #PNM-240 - Fix bug with blocklayered price filter on IE
	[-] MO : #PSCFV-2437 : Bug fix adding block using multishop
	[-] MO : #PSCFV-2437 : Bug fix adding block using multishop (upgrader)
	[-] MO : #PSCFV-2437 : Shop ID configuration changed
	[-] MO : #PSCFV-2539 - Module block newsletter don't show success error message correctly
	[-] MO : #PSCFV-2567 - Module CMS block was not merged with new shop
	[-] MO : #PSCFV-2587 - Fix bug with sliding up block cart
	[-] MO : #PSCFV-2587 - Fix slidedown duration
	[-] MO : #PSCFV-2587 - Remove "white line" when shopping cart is empty.
	[-] MO : #PSCFV-2640 - Fix bug with blocklayered and multishop

	[-] PDF : After an upgrade, the Invoice's tax tab doesn't use the discounts
	[-] PDF : Bug Fixed #PSCFV-2724 - Incorrect SQL query for ecotax breakdown

	[-] TR : fix #PSCFV-2543


####################################
#   v1.5.0.12 - 15612 (2012-05-22)  #
####################################

	Added Features:

	[+] BO : Request when a module is installed is sent to the webservice.

	[+] Classes :  include new method isXmlHttpRequest() in Controller class, allows to make ajax request without ajax=1 in GET parameter

	[+] CORE : Add statistic request for theme too (refacto of the last commit for module)

	Improved/changed features:

	[*] PROJECT : Adding hook on dispatcher
	[*] PROJECT : Adding hook on FrontController and AdminController SetMedia method

	[*] Installer : add new function for move the translation module files

	[*] FO : cart summary is adapted to cart rules with a special "friendly" display
	[*] FO : #PSCFV-1463 & #PSCFV-1258 - Gift products and standard products are now displayed on seperate lines

	[*] BO : Added a link to the customer group edition on the customer page
	[*] BO : Improved the UI of the Combinations generator and added some explanations - #PSCFV-770

	[*] MO : Added a # before the order number in the e-mail sent to the merchant when an order is placed
	[*] MO : change calls method Tools::displayError() by $name_module->l() && Translations

	[*] PDF : Cart rules are now displayed as a "product line"

	Fixed bugs:

	[-] PROJECT : Deleting duplicate hook - #PSCFV-163

	[-] Installer : Decimal replaces Float
	[-] INSTALLER : Fixed a missing "echo" at Step 3 in the SMTP configuration
	[-] installer : fixed bug #PSCFV-2303
	[-] INSTALLER : Fixed bug #PSCFV-372 - Added phone number for German, Spanish and Italian
	[-] Installer : fix missing columns, #PSCFV-2464
	[-] Installer : Order detail taxes table is now filled
	[-] Installer : query cut into 1 separated queries for performance issue #PSCFV-2277 #PSCFV-2263 #PSCFV-1817
	[-] Installer : Undefined variable due to hook call in objectModel::add()

	[-] FO : added the concept of product package (multi-shipping) for the cart rules in getContextualValue()
	[-] FO : BugFix : #PSCFV-2099 : Block reinsurance doesn't appear in front office (style was not loaded + install fixtures)
	[-] FO : BugFix : #PSCFV-2198 : Unable to edit customer account in front
	[-] FO : BugFix : #PSCFV-2208 : Params link from CMS page link are incorrect (only one char instead of a sentence)
	[-] FO : BugFix : #PSCFV-2221 : Column 'price' in order clause is ambiguous by filtering search result
	[-] FO : BugFix : #PSCFV-2243 : CCC optimization on scripts compile each script two times
	[-] FO : cart rules did not use specific prices in the calculations #PSCFV-702
	[-] FO : Cart rules local cache wasn't cleaned correctly #PSCFV-91
	[-] FO : Cart summary : quantity is fixed to 1
	[-] FO : Center column is now in full size when left column is not displayed #PSCFV-1497
	[-] FO : fix bug #PSCFV-737 - cannot download virtual file from order history
	[-] FO : fixed a great part of the cart rules with multi-shipping
	[-] FO : fixed bug #PSCFV-1286 - live edit bug when module name contains "_"
	[-] FO : fixed bug #PSCFV-1368 - Password is restricted to 32 characters.
	[-] FO : fixed bug #PSCFV-2382 - Your shopping cart is empty not appear and the right column go to the left side
	[-] FO : fixed bug #PSCFV-2393 - On Linux system there is a little problem around the "link <a>"
	[-] FO : fixed bug #PSCFV-484 - live edit bug
	[-] FO : Fixed bug PSCFV-564 related to Google Maps API (Added "region" parameter)
	[-] FO : Fix issue on compare product when cookie->id_compare value is invalid
	[-] FO : fix #PSCFV-548 - when ordering out of stock downloadable product, the download is not available in order history
	[-] FO : fix #PSCFV-548 - when ordering out of stock downloadable product, the download is not available in order history
	[-] FO : Fix SSL redirection
	[-] FO : #FSCFV-903 : Add Mail confirmation sending when subscribing to the newsletter via Accont creation or edition
	[-] FO : improvements with OPC, Cart Rules and refresh #PSCFV-377 #PSCFV-2196
	[-] FO : Invalid voucher name
	[-] FO : #PSCFV-1463 - Disallow removing free product from the blockcart
	[-] FO : #PSCFV-1463 - Fix bug on removing a product where one is a free gift
	[-] FO : #PSCFV-152 - Check payment method are allowed before displaying them on the checkout page
	[-] FO : #PSCFV-1792 - Fix bug with attribute check_access of the method Category::getProducts()
	[-] FO : #PSCFV-2138 Removed * on Home Phone (it's not a required field)
	[-] FO : #PSCFV-2147 - Fix bug with date of delivery
	[-] FO : #PSCFV-2149 : Front office translations are connected width sprintf()
	[-] FO : #PSCFV-2150 : Translations of back office are connected width sprintf()
	[-] FO : #PSCFV-2150 : Translations of modules are connected width sprintf()
	[-] FO : #PSCFV-2151 : Translations of errors are connected width sprintf()
	[-] FO : #PSCFV-2156 - Avoid undefined index
	[-] FO : #PSCFV-2158 - Add warning message when a product cannot be delivered to an address
	[-] FO : #PSCFV-2197 - Show which products is assigned to which carrier, when multiple carriers are proposed for the one delivery method
	[-] FO : #PSCFV-2211 : Make sure _PS_BASE_URL_ is defined
	[-] FO : #PSCFV-2219 - Change "No carriers" message when user is not logged in.
	[-] FO : #PSCFV-2282 - Allow "+" in email address during account creation
	[-] FO : #PSCFV-2306 : Fixed duplicate meta title on manufacturer page
	[-] FO : #PSCFV-2317 : fix bug
	[-] FO : #PSCFV-2478 : Fixed a problem with payment method which displays an error when a product created in multi-shop was chosen
	[-] FO : #PSCFV-67 : Translation english updated and english keys update in all languages
	[-] FO : wrong calcul of the free shipping in multi-shipping

	[-] BO : Add check to avoid redefine _PS_BASE_URL_ on the admin init
	[-] BO : added a translation in French
	[-] BO : admin tab without multishop classes couldn't be displayed #PSCFV-2427
	[-] BO : BugFix : Creating a category in multishop updates her position as well
	[-] BO : Bug Fixed #PSCFV-1475 - Multishop themes pictures not configurable
	[-] BO : Bug fixed #PSCFV-1975 - Combination import + multishop
	[-] BO : Bug fixed #PSCFV-2443 - Incorrect default tab for my new employee
	[-] BO : Bug Fixed #PSCFV-2470 - Group by id_category
	[-] BO : Bug fixed #PSCFV-2474 - Missing shop association when creating a manufacturer with a logo
	[-] BO : Bug fixed related to #PSCFV-1354 - Specific price with multishop, groups/currencies/countries should vary in function of the selected shop
	[-] BO : Bug fixed related to #PSCFV-2490 - Created group doesn't appear in my shop
	[-] BO : Bug fixed related to #PSCFV-2490 - Default group should be copied
	[-] BO : Bug fix on module extract zip - #PSCFI-5335
	[-] BO : BugFix : #PSCFV-1297 :Multistore: admin can delete special price of another shop
	[-] BO : BugFix : #PSCFV-1297 : Multistore: admin cannot delete special price of another shop anymore
	[-] BO : BugFix : #PSCFV-2133 : AdminTracking bug in multishop context (ambigus active field in SQL query)
	[-] BO : BugFix : #PSCFV-2205 : Cannot associate shop with products
	[-] BO : BugFix : #PSCFV-2206 : Cannot change active or inactive for a product with multishop
	[-] BO : BugFix : #PSCFV-2209 : Multishop : cannot delete shops with dependencies
	[-] BO : BugFix : #PSCFV-2242 :CSV Import - Issues with products
	[-] BO : BugFix : #PSCFV-2260 : Admin in one shop can see categories from another shop
	[-] BO : BugFix : #PSCFV-2292 : Column 'price' in order clause is ambiguous by filtering manufacturer product
	[-] BO : BugFix : #PSCFV-2300 : Bug on categories position
	[-] BO : BugFix : #PSCFV-2308 : Missing WHERE clause in Manufacturer::getManufacturers()
	[-] BO : BugFix : #PSCFV-2337 : Multishop : Attributes and values : problem creation attribute
	[-] BO : BugFix : #PSCFV-2343 : Group discount does not show associated categories properly
	[-] BO : BugFix : #PSCFV-2372 : Created zones do not appear
	[-] BO : BugFix : #PSCFV-2373 : Created currency do not appear
	[-] BO : BugFix : #PSCFV-2373 : Problem on country creation
	[-] BO : BugFix : #PSCFV-2374 : After creating a shop without category, category default from product displays wrong name
	[-] BO : BugFix : #PSCFV-2378 : Created carriers do not appear.
	[-] BO : BugFix : #PSCFV-2423 / #PSCFV-2424 : .htaccess generation is improved (description updated if you cannot generate your htaccess)
	[-] BO : BugFix : #PSCFV-2440 : Impossible to delete a shop with share option
	[-] BO : BugFix : #PSCFV-2441 : Shop creation : unable to save parameters
	[-] BO : BugFix : #PSCFV-2465 : When creating a shop without importing categories, I can still see the default category from other shop
	[-] BO : BugFix : #PSCFV-2476 : Shop creation : adding an error message if you do not select at least the root category
	[-] BO : BugFix : #PSCFV-2481 : Scene creation needs to show categories from context
	[-] BO : Bug with slash on modules description - #PSCFV-2146
	[-] BO : Categories do not appear in allshop context
	[-] BO : changed state iso code max length #PSCFV-2220
	[-] BO : Check if store is set.
	[-] BO : CONTEXT_ALL shouldn't display a product price
	[-] BO : CSV Import multishop combinations + products
	[-] BO : Delete accounting
	[-] BO : fix bug #PSCFV-1597 - image upload size display
	[-] BO : fix bug #PSCFV-2169 - broken toolbar
	[-] BO : fix bug #PSCFV-2188 - imported products with combinations are not added to cart
	[-] BO : fix bug #PSCFV-2230 - some tables are not cleaned when deleting products during import
	[-] BO : fix bug #PSCFV-2231 - blocklink problem when not in multishop
	[-] BO : fix bug #PSCFV-2237 - Broken SQL Request in Product->getAccessories()
	[-] BO : fix bug #PSCFV-2239 - js error on product page on IIS + PHP5.4
	[-] BO : fix bug #PSCFV-2251 - http_build_query must fix arg_separator
	[-] BO : fix bug #PSCFV-2268 - blocklink bug with multishop and link list
	[-] BO : fix bug #PSCFV-2307 - multishop: product modification applied to the wrong shop caused by race condition with ajax calls
	[-] BO : fix bug #PSCFV-2363 - wrong product tabs loaded when the product page is saved and has an error
	[-] BO : fix bug #PSCFV-2383 - adding warehouses not working
	[-] BO : fix bug #PSCFV-2387 - z-index fixes
	[-] BO : fix bug #PSCFV-2397 - broken language import with multishop
	[-] BO : fix bug #PSCFV-2402 - scenes creation with multishop is broken
	[-] BO : fix bug #PSCFV-341 - ajax call could be made twice for the same product tab
	[-] BO : Fixed a bug which did not permitted to found a customer in the creation of order in the back office
	[-] BO : Fixed a French hardcoded page (Favorites Views)
	[-] BO : Fixed an issue with htmlentities()
	[-] BO : Fixed a typo ("Informations" => "Information")
	[-] BO : fixed bug #PSCFV-1296 - Can't add a product in order (BO)
	[-] BO : Fixed bug #PSCFV-1590. Save restrictions won't delete the ones for inactive module.
	[-] BO : fixed bug #PSCFV-2155 - carrier max_height, max_depth, max_weight, max_width problem
	[-] BO : fixed bug #PSCFV-2180 - Not auto height with long name shop
	[-] BO : Fixed bug #PSCFV-2183 - Missing French translations on the PDF documents
	[-] BO : fixed bug #PSCFV-2217 - Assign new zone in BO > Localisation > States generate an error
	[-] BO : fixed bug #PSCFV-2256 - Error when duplicate a product
	[-] BO : fixed bug #PSCFV-2259 - "Contact options" section is missing from Customers > Contacts page
	[-] BO : fixed bug #PSCFV-2285 - Unable to activate/deactivate a product from list
	[-] BO : Fixed bug #PSCFV-2288. _PS_ADMIN_DIR_ was not defined
	[-] BO : fixed bug #PSCFV-2304
	[-] BO : fixed bug #PSCFV-2324 - Genertating roobots.txt in BO not working
	[-] BO : fixed bug #PSCFV-2342 - fix issue on Admin Tab position
	[-] BO : fixed bug #PSCFV-2390 - Suppliers multishop issue
	[-] BO : fixed bug #PSCFV-2428 - fix bug on combination creation
	[-] BO : fixed bug #PSCFV-2434 - FIx bug on Product line edition in order page
	[-] BO : fixed bug #PSCFV-2436 - fix bug on product adding on order page
	[-] BO : fixed bug #PSCFV-2503 - fix issue on stock update when product line edition in order
	[-] BO : fixed bug #PSCFV-383
	[-] BO : fixed bug #PSCFV-521 - range fix
	[-] BO : fixed bug #PSCFV-727 - added some help
	[-] BO : fixed #PSCFV-1239 - tinyMCE issue on IE8
	[-] BO : fixed #PSCFV-2176 - missing confirmation when deleting product
	[-] BO : fixed #PSCFV-2190 - error at pack creation
	[-] BO : Fixed the Sample file for Categories Import - #PSCFV-1960
	[-] BO : Fixing module restrictions in multishop context
	[-] BO : Fixing warnings on PaymentModule Tab
	[-] BO : fix #PSCFV-2120 - no product listed in product return form
	[-] BO : fix #PSCFV-2177 - js bug with default supplier selection
	[-] BO : fix #PSCFV-2212
	[-] BO : fix #PSCFV-2299 - Unknown gender issue
	[-] BO : fix #PSCFV-2302 - import: bug with truncate confirmation
	[-] BO : fix #PSCFV-2316
	[-] BO : fix #PSCFV-2318
	[-] BO : fix #PSCFV-2322 - cannot deactivate multishop with only one shop
	[-] BO : fix #PSCFV-2344
	[-] BO : fix #PSCFV-2345
	[-] BO : fix #PSCFV-2353
	[-] BO : fix #PSCFV-2359 : change name default theme in module themeinstallator
	[-] BO : fix #PSCFV-2364 : Now we can exported a theme of all shops
	[-] BO : fix #PSCFV-2364 : Now we can imported a theme in each shop && normalize && translations
	[-] BO : fix #PSCFV-2364 : Now we can selected of modules which must be disabled
	[-] BO : fix #PSCFV-2365 : add message for using the sprintf() in yours translations
	[-] BO : fix #PSCFV-2366 : check if an sentence use an specific syntax
	[-] BO : fix #PSCFV-2369 - post data is lost if there is an error while saving
	[-] BO : fix #PSCFV-2377 - missing JS files when saving product with errors
	[-] BO : fix #PSCFV-2381 : now count translations fields are good and translations...
	[-] BO : fix #PSCFV-2466 : Fix translations tabs to spanish in installor
	[-] BO : fix #PSCFV-2466 : Fix translations tabs to spanish in installor
	[-] BO : fix #PSCFV-2466 : Fix translations tabs to spanish in installor : fix encoding errors
	[-] BO : fix #PSCFV-2467 : Now, You can update your theme in AdminThemes
	[-] BO : fix #PSCFV-2517 : Import combinaison, now the minimal quantity is not the quantity in ps_product_attribute
	[-] BO : Fix scroll when errors occurred on modules
	[-] BO : Fix translations issues on module description #PSCFV-2144
	[-] BO : Hide description label when there is no description #PSCFV-2145
	[-] BO : in the cart rules, when a reduction is associated to a specific product, the product is automatically added to the restrictions #PSCFV-2195
	[-] BO : Missing modules logo #PSCFV-427
	[-] BO : Modified a translation in French
	[-] BO : Modified a translation in French
	[-] BO : module tab crashed when trying to update a module that wasn't loaded (because of the XML cache file)
	[-] BO : Multiple cart rules should be save in order total discount
	[-] BO : no more fatal error when using Tools::apacheModExists and phpinfo() not available
	[-] BO : Product filter initialization fixed in cart rules #PSCFV-2524
	[-] BO : #PSCFV-139 - Improving Retial refund
	[-] BO : #PSCFV-1786 : fix size logo for PDF invoice
	[-] BO : #PSCFV-2164 Added description for Cache options, and fixed links
	[-] BO : #PSCFV-2186 : Find the good translation when a module is overrided
	[-] BO : #PSCFV-2214 : Change the order of localizations packs
	[-] BO : #PSCFV-2248 : translations for the back office
	[-] BO : #PSCFV-2255 - overide helper/options in admin-dev/themes/.../stores
	[-] BO : #PSCFV-2276 - Fix bug on changing status of a order with virtual products
	[-] BO : #PSCFV-2279 Removed alert if token is invalid.
	[-] BO : #PSCFV-2286 : Added errors message when the CMS form isn't filled && normalize
	[-] BO : #PSCFV-2289 : fix CSS for hint messages
	[-] BO : #PSCFV-2295 : remove the duplicate errors message && refactoring zip code insert
	[-] BO : #PSCFV-2336 : Now importation of lang pack is moving in selected themes
	[-] BO : #PSCFV-2473 - Fix bug with attribute value and shop
	[-] BO : #PSCFV-2520 - Js error on advanced stock management
	[-] BO : #PSCFV-71 - Fix bug with currency conversion
	[-] BO : #PSCFV-731 : change type int by string for zipcode_from and zipcode_to
	[-] BO : #PSCFV-858 - Rest to paid warning must be changed if the order is overpaid
	[-] BO : refresh currency rates button fixed
	[-] BO : there was some row doubled in the cart rules because of the multi-shop
	[-] BO : translations errors : fix regex
	[-] BO : Translations errors : now the modules files are search recursively
	[-] BO : you cannot create 2 states with the same iso code in the same country anymore #PSCFV-53

	[-] Classes : Bug Fixed #PSCFV-1271 - Order confirmation email + tax excl group
	[-] Classes : fix bug #PSCFV-1568 - ImageManager PNG thumbnail param not used
	[-] Classes : fix bug #PSCFV-2309 - Unable to override Shop::asso_tables
	[-] Classes : fix #PSCFV-1218 - Re-ordering customized products don't duplicate the customization
	[-] Classes : fix #PSCFV-2185 - bad handling of order states for merchandise returns
	[-] Classes : #PSCFI-4973 : Bug fix mail receiver was null

	[-] Core : Fixed bug #PSCFV-586 - index.php was deleted during the Smarty Cache deletion
	[-] Core : fixed typo in a SQL query #PSCFV-2189

	[-] MO : Add ModuleController in ProductComments
	[-] MO : Bug fixed #PSCFV-2311 - blockspecials doesn't display discounted products
	[-] MO : Fixed Blockcart jump effect on hover
	[-] MO : fixed bug #PSCFV-1356 - Module hometexteditor has the same text for each sub multishop
	[-] MO : fixed bug #PSCFV-2269 - reset cache module block categories
	[-] MO : fixed bug #PSCFV-2270 - fixe part 2
	[-] MO : fixed bug #PSCFV-2270 - JS  refacto module favorite products
	[-] MO : fixed bug #PSCFV-2278 - Function hookActionProductUpdate() is deprecated in mailalert module
	[-] MO : fixed bug #PSCFV-2332
	[-] MO : Fixed bug #PSCFV-2414 - Mail alert "Order e-mail" was badly formated - Fixed in the 5 languages
	[-] MO : gsitemap : generate sitemap for multi-shop fix #PSCFV-1493
	[-] MO : #PSCFV-2261 Check if the id_product is set
	[-] MO : #PSCFV-2349 - Fix bugs with theme export
	[-] MO : #PSCFV-2354 - Remove chars number limit of version number
	[-] MO : #PSCFV-2356 - Theme installor - Check one theme at least is selected before exportation
	[-] MO : #PSCFV-2357 - Fix bug with error displaying
	[-] MO : #PSCFV-2415 : Add multilanguage support to blocktopmenu
	[-] MO : retro compatibility fixed with Referral program #PSCFV-1531
	[-] MO : themeinstallator : add blockmyaccountfooter in the native modules

	[-] WS : id_group_shop is not mandatory

	[-] PDF : Bug Fixed #PSCFV-168 - Invoice discount & shipping are now correctly displayed
	[-] PDF : Incorrect Order Return title

	[-] TR : fix #PSCFV-2352
	[-] TR : Minor changes


####################################
#   v1.5.0.11 - 14988 (2012-04-30)  #
####################################

	Added Features:

	[+] BO : Module controllers can now create custom rewrite in SEO page

	[+] MO : CloudCache module
	[+] MO : Shipwire module

	Improved/changed features:

	[*] Installer : countries are now translated in German too (thanks to Bernhard Ankenbrand !)

	Fixed bugs:

	[-] FO : BugFix #PSCFV-1450 The Alias "My Address" is already used, please chose another one.
	[-] FO : fixed bug #PSCFI-5454 - Guest tracking should be SSL encrypted
	[-] FO : fixed bug #PSCFI-5502 - Incorrect resizing of addresses on the order history page
	[-] FO : Fixed  bug #PSCFV-1251 & #PSCFV-1727
	[-] FO : Fixed  bug #PSCFV-1251 & #PSCFV-1727
	[-] FO : free products emptied when there isn't any other products in the cart #PSCFV-300
	[-] FO : #PSFV-813 - Fix bug with cart rule discount rounding price and price validator

	[-] BO : BugFix #PSCFV-1506 Fatal error when editing e-mail template in BO
	[-] BO : BugFix #PSCFV-2110 #PSCFV-2117 Category association in product page (back-office) is now saved when you have only one shop
	[-] BO :  fixed bug #PSCFV-1726 - Meta Title Suppliers not save
	[-] BO : Fix #PSCFV-2113 : replace Tools::file_exists_cache() by file_exists() && normalize
	[-] BO : Fix #PSCFV-758 : translations
	[-] BO : Fix #PSCFV-778 : encoding character in meta tags
	[-] BO : #PSCFV-1325 - Remove warning message "$X paid instead of $X" if the order has not been paid
	[-] BO : #PSCFV-139 - Partial refund must not be available when order was not paid
	[-] BO : #PSCFV-139 - Partial refund must not be available when order was not paid
	[-] BO : #PSCFV-1669 - Fix bug with customer add form, when an account already exists with the same email adddress

	[-] Classes : fixed bug #PSCFI-5435 - Webservice: cannot set negative combination quantity

	[-] MO : BugFix #PSCFV-2114 blocktopmenu : filter the categories that the user is allowed to see and browse
	[-] MO : #PSCFV-1261 : Bug fix on CMS block delete action
	[-] MO : Remove modules from wrong branche


####################################
#   v1.5.0.10 - 14874 (2012-04-25)  #
####################################

	Improved/changed features:

	[*] Project : Jquery 1.7.2

	[*] FO : Layout & Template override

	[*] BO : fixed #PSTEST-1100
	[*] BO : fix #PSTEST-1140
	[*] BO : Help text have been improved (related to (#PSTEST-779)
	[*] BO : #PI-107 refactoring product page JS - adding ProductTabsManager
	[*] BO : #PI-123 - toolbar and page title refactoring
	[*] BO : #PI-124 - lazy registering of smarty functions
	[*] BO : #PI-124 - update lazy registering
	[*] BO : #PI-84 - virtual product page has been remade
	[*] BO : #PSFV-696 : add attachment when we duplicate a product
	[*] BO : #PSFV-832 : change the type of the property "ajax"
	[*] BO : #PSFV-865 - it is now possible to use drag and drop positions in custom controllers using HelperList
	[*] Bo : #PSTEST-1095 : Remove id_address of the table table supplier and add a new fixture in the installer for the table address
	[*] BO : #PSTEST-1141 : fix bugs in AdminImportController
	[*] BO : #PSTEST-1157 - Ajax deletion of virtual file
	[*] BO : #PSTEST-791 - Fiche produit Virtuels - Onglet Produit dématérialisé incompréhensible

	[*] WS : Allow override of getter from different classes

	[*] PDF : PDF templates are now into the root directory, you can override those templates into the /theme/<name>/pdf/ directory

	Fixed bugs:

	[-] Project : #PSCFI-519 - Blocklayered installation optimization
	[-] Project : #PSFV-753 - OrderPayment::payment_method must be a genericName and not a name
	[-] Project : #PSFV-781 - Fix bug with blockcart adding product animation
	[-] Project : #PSFV-781 - Fix problem on transplanted Block cart on left/right collumn
	[-] Project : #PSFV-781 - Profile and access cannot be managed by SHOP
	[-] Project : #PSFV-786 - Link::getPaginationLink ignores array parameters
	[-] Project : #PSFV-816 - Allow to attach multiple files to an email with the function Mail::send
	[-] Project : #PSFV-820 - Cartrules are now reapplied each time we add/remove a product on/from the cart

	[-] INSTALLER : Active only the country selected by the merchant (#PI-69)
	[-] Installer : Bug Fixed #PSFV-819 - order_tax shouldn't exist
	[-] INSTALLER : BugFix : #PSTEST-1179 : iPod Nano specific price was wrong
	[-] Installer : Fixed #PSCFI-5182

	[-] FO : BugFix : #PSFV-844 : Categories links are now handled with multishop in footer
	[-] FO : cart rules are now removed when the cart is empty #PSTEST-1205
	[-] FO : fixed bug where you couldn't get a free product with a cart rule if you already had the same product in your cart #PSTEST-1063
	[-] FO : fixed infinite loop in free shipping cart rule #PSTEST-1138
	[-] FO : fixed quantity display on customized product
	[-] FO : #PSCFI-5322 - Order::hasBeenDelivered and Order::hasBeenPaid don't work for all order states
	[-] FO : #PSCFI-5343 : Fixed a problem of E-mail subject encoding
	[-] FO : #PSFV-604 - Add commentaries
	[-] FO : #PSFV-656 - Fix bug with nbr product par page selector
	[-] FO : #PSFV-660 - Fix bug with multishipping proposed whereas de multishipping is disable
	[-] FO : #PSFV-706 - Fix problem with jqzoom and dom with relative position
	[-] FO : #PSFV-717 - Bad parameter used
	[-] FO : #PSFV-717 - Missing "bold" text in some mudules
	[-] FO : #PSFV-719 - Fix bug with getting not available carriers on the cart
	[-] FO : #PSFV-755 - Fix bug with bad total paid real
	[-] FO : #PSFV-755 - Fix bug with bad total paid real
	[-] FO : #PSFV-771 - Fix retrocompatibility problem with method displayContent
	[-] FO : #PSFV-773 - Remove a double slash from breadcrumb image url
	[-] FO : #PSFV-797 - Fix bug with order detail and customized products
	[-] FO : #PSFV-803 - Fix bugs with customization and cart summary
	[-] FO : #PSFV-813 - Fix bug with partial cartrules and free order
	[-] FO : #PSFV-815 - Fix bug on the cart with carrier on updating the country of the address
	[-] FO : #PSFV-815 - Moving an SQL request on the controller to the model
	[-] FO : sometimes the cart rules total was doubled - fixed! #PSTEST-1202
	[-] FO : W3C fix
	[-] FO : W3C fix
	[-] FO : W3C fix

	[-] BO : addons display fixed #PSTEST-1110
	[-] BO : array_unique added in the cart rules in order to prevent sql error #PSTEST-1094
	[-] BO : Bug Fixed #PSFV-339 - Multishop logo
	[-] BO : BugFix : #PSFV-689 : customer groups selection on category edition fixed
	[-] BO : BugFix : #PSTEST-1054 : Employees and permission updated
	[-] BO : BugFix : #PSTEST-1058 : Adding Save And Stay button to the customer group interface
	[-] BO : BugFix : #PSTEST-1088 : Customer group creation : fix on the category reduction creation
	[-] BO : BugFix #PSTEST-1137 Customers : Accounting export comment is now improved
	[-] BO : BugFix : #PSTEST-1190 : email customer verification improved
	[-] BO : fix attributes bulk deletion
	[-] BO : Fix bad use of 'uninstanciated' variable product
	[-] BO : fix broken delete specific price action
	[-] BO : fix bug count empty translations
	[-] BO : fix bug in links of sitemaps
	[-] BO : fix bug #PSFV-700 - On IE8, the login.js' displayErrors() method fails
	[-] BO : fix bug #PSFV-839 - Reset products features while editing products
	[-] BO : fix bug #PSFV-860 - Can't edit combinations with an existing product
	[-] BO : fix bug #PSTEST-1079 - product supplier page accordion is initialized too early if page loading is slow, resizing necessary
	[-] BO : fix display bug when virtual file upload fails
	[-] BO : Fixed bug #PSFV-282. Add back the currentIndex and token global value for the modules compatibility
	[-] BO : fixed bug #PSFV-504 - Even if the invoices management is disabled, you can create an invoice
	[-] BO : fixed bug #PSFV-727 - forgot password redirect
	[-] BO : fixed bug #PSFV-738 - [1.4 compatibility] : some option list parameters not supported in 1.5
	[-] BO : fixed bug #PSFV-751 - Carrier - Rule of free shipping does not work
	[-] BO : fixed bug #PSTEST-1144 - carrier image problem
	[-] BO : fixed double in the product list of the cart rules when multi-shop is activated #PSTEST-1154
	[-] BO : fixed #PSFV-722
	[-] BO : fixed #PSFV-727 (issue #4)
	[-] BO : fixed #PSFV-727 (issue #9 to #13)
	[-] BO : fixed #PSFV-747 - mod_rewrite not detected
	[-] BO : fixed #PSFV-802 : now mail subject are saved
	[-] BO : fixed #PSFV-808 : added mail backoffice_order.html for de, it, and es language
	[-] Bo : Fixed #PSTEST-1055 & #PSFV-768 : update call identifier
	[-] BO : fixed #PSTEST-1134
	[-] BO : Fix error due to helper modification
	[-] BO : Fixing missing translation on title attribute AdminModules #PSTEST-1201
	[-] BO : fix JS exception when advanced stock management is inactive
	[-] BO : fix pack item deletion
	[-] BO : fix product page suppliers
	[-] BO : fix #PSCFI-4878
	[-] BO : fix #PSCFI-5408
	[-] BO : Fix #PSFV-549 : Now two customer with the same mail, isn't possible
	[-] BO : Fix #PSFV-746
	[-] BO : fix #PSFV-826
	[-] BO : fix #PSFV-852 : url encoded incorrect when in the search there is specials character
	[-] BO : fix #PSFV-856 (translation)
	[-] BO : fix #PSFV-857
	[-] BO : fix #PSFV-866 : Add the missing hook for update a product
	[-] BO : Fix #PSFV-868 : Unity price can be set
	[-] BO : fix #PSFV-870 : translations modules
	[-] BO : fix #PSTEST-1102 - change warning message at pack creation
	[-] BO : fix #PSTEST-1117 - bad handling of UTF8 strings in templates
